﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Crossform Content Validations</title>

  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgts/cgts_0003/cgts.0003.lodge.request.02.00.report.xsd']]">

    <!-- Rule ID: VR.ATO.IITR.310063
    
         IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([cgts125] > 0) AND ([cgts131] > 0)
             RETURN VALIDATION MESSAGE
         ENDIF
      
         [cgts125] = CGTS:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
         [cgts131] = CGTS:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
    -->
    <assert  id="VR.ATO.IITR.310063" diagnostics="DVR.ATO.IITR.310063"
             test="not(
                          count($CGT.Context) = 1
                          and
                          $cgts125 > 0
                          and
                          $cgts131 > 0                          
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310068
         ELS Ref: V2645

		     IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([iitr312] <> [cgts118])
             RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
         [cgts118] = rvctc3.xx.xx:Capital.Gains.Total.Amount
    -->
    <assert  id="VR.ATO.IITR.310068" diagnostics="DVR.ATO.IITR.310068"
             test="not(
                          count($CGT.Context) = 1
                          and
                          sum($iitr312) != sum($cgts118)
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310070
         ELS Ref: V2653

		    IF (COUNT(SCHEDULE = "CGTS") = 1) AND 
           (
              [iitr313] <> 
              CGTS:RP.Collectables.Unapplied:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount 
              + 
              CGTS:RP.CGTOther.Unapplied:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
           )
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr313] = rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        [cgts124] = CGTS:RP.Collectables.Unapplied:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
        [cgts125] = CGTS:RP.CGTOther.Unapplied:rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
    -->
    <assert  id="VR.ATO.IITR.310070" diagnostics="DVR.ATO.IITR.310070"
             test="not(
                          count($CGT.Context) = 1
                          and
                          (
                              sum($iitr313) != sum($cgts124 | $cgts125)
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310071
    
         IF (COUNT(SCHEDULE = "CGTS") = 1) AND 
         ([iitr311] <> CGTS:RP:bafpr1.xx.xx:Income.CapitalGainsNet.Amount)
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
         [cgts131] = CGTS:bafpr1.xx.xx:Income.CapitalGainsNet.Amount
    -->
    <assert  id="VR.ATO.IITR.310071" diagnostics="DVR.ATO.IITR.310071"
             test="not(
                          count($CGT.Context) = 1
                          and
                          sum($iitr311) != sum($cgts131)
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310085
    
         IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS126] > ((([CGTS118] - [CGTS123]) *0.5) +1))
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [cgts118] = CGTS:rvctc3.xx.xx:Capital.Gains.Total.Amount
         [cgts123] = CGTS:rvctc3.xx.xx:Capital.Losses.Total.Amount
         [cgts126] = CGTS:gfagc.xx.xx:TaxConcession.CapitalGains.DiscountTotal.Amount
    -->
    <assert  id="VR.ATO.IITR.310085" diagnostics="DVR.ATO.IITR.310085"
             test="not(
                          count($CGT.Context) = 1
                          and
                          $cgts126 > (sum($cgts118) - sum($cgts123)) * 0.5 + 1
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310091
    
         IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS122] <> NULL)  
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [cgts122] = CGTS:rvctc3.xx.xx:Capital.Losses.TransferredTotal.Amount
    -->
    <assert  id="VR.ATO.IITR.310091" diagnostics="DVR.ATO.IITR.310091"
             test="not(
                          count($CGT.Context) = 1
                          and
                          $cgts122[not(@i:nil='true')]
                      )" />


    <!-- Rule ID: VR.ATO.GEN.438022
    
         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "A - Small business active asset reduction") AND 
            (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS127] = NULL
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [iitr310] = RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code
         [cgts127] = CGTS:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
    -->
    <assert  id="VR.ATO.GEN.438022" diagnostics="DVR.ATO.GEN.438022"
             test="not(
                          $iitr310[. = 'A - Small business active asset reduction']
                          and
                          count($CGT.Context) = 1
                          and
                          not($cgts127[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.GEN.438023
    
         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "B - Small business retirement exemption") AND 
            (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS128] = NULL
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [iitr310] = RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code
         [cgts128] = CGTS:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
    -->
    <assert  id="VR.ATO.GEN.438023" diagnostics="DVR.ATO.GEN.438023"
             test="not(
                          $iitr310[. = 'B - Small business retirement exemption']
                          and
                          count($CGT.Context) = 1
                          and
                          not($cgts128[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.GEN.438024
    
         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "C - Small business roll-over") AND 
            (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS129] = NULL
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [iitr310] = RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code
         [cgts129] = CGTS:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
    -->
    <assert  id="VR.ATO.GEN.438024" diagnostics="DVR.ATO.GEN.438024"
             test="not(
                          $iitr310[. = 'C - Small business roll-over']
                          and
                          count($CGT.Context) = 1
                          and
                          not($cgts129[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.GEN.438025
    
         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "D - Small business 15 year exemption") AND 
            (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS138] = NULL
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [iitr310] = RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code
         [cgts138] = CGTS:gfagc.xx.xx:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
    -->
    <assert  id="VR.ATO.GEN.438025" diagnostics="DVR.ATO.GEN.438025"
             test="not(
                          $iitr310[. = 'D - Small business 15 year exemption']
                          and
                          count($CGT.Context) = 1
                          and
                          not($cgts138[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.GEN.438026
    
         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "E - Foreign resident CGT exemption") AND 
            (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS140] = NULL
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [iitr310] = RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code
         [cgts140] = CGTS:rvctc3.xx.xx:Capital.Gains.ForeignResidentExemption.Amount
    -->
    <assert  id="VR.ATO.GEN.438026" diagnostics="DVR.ATO.GEN.438026"
             test="not(
                          $iitr310[. = 'E - Foreign resident CGT exemption']
                          and
                          count($CGT.Context) = 1
                          and
                          not($cgts140[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.GEN.438027
    
         IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "F - Scrip for scrip roll-over") AND 
            (COUNT(SCHEDULE = "CGTS") = 1) AND [CGTS45] = NULL
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [iitr310] = RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code
         [cgts45] = CGTS:rvctc3.xx.xx:Capital.Gains.ScriptForScriptRolloverDeferral.Amount
    -->
    <assert  id="VR.ATO.GEN.438027" diagnostics="DVR.ATO.GEN.438027"
             test="not(
                          $iitr310[. = 'F - Scrip for scrip roll-over']
                          and
                          count($CGT.Context) = 1
                          and
                          not($cgts45[not(@i:nil='true')])
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310232
         ELS Ref: N/A
         
         IF (COUNT(SCHEDULE = "CGTS") = 1) AND (CGTS:RP:period.startDate <> RP:period.startDate)
           RETURN VALIDATION MESSAGE
         ENDIF      
    -->
    <assert  id="VR.ATO.IITR.310232" diagnostics="DVR.ATO.IITR.310232"
             test="not(
                          count($CGT.Context) = 1
                          and
                          (
                              $CGT.RP.Context/xbrli:period/xbrli:startDate
                              !=
                              $IITR.RP.Context/xbrli:period/xbrli:startDate                              
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310233
         ELS Ref: N/A
         
         IF (COUNT(SCHEDULE = "CGTS") = 1) AND (CGTS:RP:period.endDate <> RP:period.endDate)
           RETURN VALIDATION MESSAGE
         ENDIF      
    -->
    <assert  id="VR.ATO.IITR.310233" diagnostics="DVR.ATO.IITR.310233"
             test="not(
                          count($CGT.Context) = 1
                          and
                          (
                              $CGT.RP.Context/xbrli:period/xbrli:endDate
                              !=
                              $IITR.RP.Context/xbrli:period/xbrli:endDate                              
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310234
         ELS Ref: N/A
         
         IF (COUNT(SCHEDULE = "CGTS") = 1) AND (CGTS:RP:entity.identifier.TFN  <>  RP:entity.identifier.TFN)
           RETURN VALIDATION MESSAGE
         ENDIF      
    -->
    <assert  id="VR.ATO.IITR.310234" diagnostics="DVR.ATO.IITR.310234"
             test="not(
                          count($CGT.Context) = 1
                          and
                          (
                              $CGT.RP.Context/xbrli:entity/xbrli:identifier
                              [
                                  @scheme = 'http://www.ato.gov.au/tfn'
                                  and 
                                  not(@i:nil='true') 
                                  and 
                                  string-length(.) != 0
                              ]
                              !=
                              $IITR.RP.Context/xbrli:entity/xbrli:identifier
                              [
                                  @scheme = 'http://www.ato.gov.au/tfn'
                                  and 
                                  not(@i:nil='true' or @i:nil='1')
                                  and 
                                  string-length(.) != 0
                              ]     
                          )
                      )" />
  </rule>

  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iitr/iitr_0001/iitr.0001.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.310066
         ELS Ref: V2642

		     IF ([iitr311] > 10000) AND (COUNT(SCHEDULE = "CGTS") = 0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		      [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
    -->
    <assert  id="VR.ATO.IITR.310066" diagnostics="DVR.ATO.IITR.310066"
             test="not(
                          $iitr311[. > 10000]
                          and
                          count($CGT.Context) = 0
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310067
         ELS Ref: V2645

		     IF ([iitr312] > 10000) AND (COUNT(SCHEDULE = "CGTS") = 0)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
    -->
    <assert  id="VR.ATO.IITR.310067" diagnostics="DVR.ATO.IITR.310067"
             test="not(
                          $iitr312[. > 10000]
                          and
                          count($CGT.Context) = 0
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310069
    
         IF COUNT(SCHEDULE = "CGTS") > 1
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310069" diagnostics="DVR.ATO.IITR.310069"
             test="not(
                          count($CGT.Context) > 1
                      )" />

  </rule>

</pattern>
