﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>DIDS Crossform Content Validations</title>
  
  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iitr/iitr_0001/iitr.0001.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]">
    
  	<!-- Rule ID: VR.ATO.IITR.310100
         ELS Ref: V106

		    IF ([iitr146] + [iitr147] > 4999) AND ((COUNT(SCHEDULE = "DIDS") = 0) OR ([iitr146] + [iitr147] <> SUM([dids21])))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids21]  = rvctc2.xx.xx:IncomeTax.Deduction.InterestDividendClaimed.Amount
		    [iitr146] = rvctc2.xx.xx:IncomeTax.Deduction.Interest.Amount
		    [iitr147] = rvctc2.xx.xx:IncomeTax.Deduction.Dividend.Amount
    -->	
    <assert id="VR.ATO.IITR.310100" diagnostics="DVR.ATO.IITR.310100"
            test="not(
                          sum($iitr146 | $iitr147) > 4999
                          and
                          (
                              count($DIDS.Context) = 0                              
                              or
                              sum($iitr146 | $iitr147) != sum($dids21)                              
                          )                          
                      )" />

    
    <!-- Rule ID: VR.ATO.IITR.600042
         ELS Ref: N/A
         
         IF (COUNT(SCHEDULE = "DIDS") = 1) AND (RP:entity.identifier.TFN  <> DIDS:RP:entity.identifier.TFN)
           RETURN VALIDATION MESSAGE
         ENDIF      
    -->
    <assert  id="VR.ATO.IITR.600042" diagnostics="DVR.ATO.IITR.600042"
             test="not(
                          count($DIDS.Context) = 1
                          and
                          (                              
                              $IITR.RP.Context/xbrli:entity/xbrli:identifier
                              [
                                  @scheme = 'http://www.ato.gov.au/tfn'
                                  and 
                                  not(@i:nil='true' or @i:nil='1')
                                  and 
                                  string-length(.) != 0
                              ]     
                              !=
                              $DIDS.RP.Context/xbrli:entity/xbrli:identifier
                              [
                                  @scheme = 'http://www.ato.gov.au/tfn'
                                  and 
                                  not(@i:nil='true') 
                                  and 
                                  string-length(.) != 0
                              ]
                          )
                      )" />

  </rule>

  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/dids/dids_0001/dids.0001.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]">

    <let name="startDate" value="xbrli:context/xbrli:period/xbrli:startDate"/>
    <let name="endDate" value="xbrli:context/xbrli:period/xbrli:endDate"/>

    <!-- Rule ID: VR.ATO.IITR.600040
         ELS Ref: N/A

		    IF (COUNT(SCHEDULE = "DIDS") > 0) AND (ANY OCCURRENCE OF (DIDS:RP:period.startDate) <> RP:period.startDate)
		       RETURN VALIDATION MESSAGE
		    ENDIF
    -->
    <assert  id="VR.ATO.IITR.600040" diagnostics="DVR.ATO.IITR.600040"
             test="not(
                          count($DIDS.Context) > 0
                          and
                          (                                                                                          
                              $startDate != $IITR.RP.Context/xbrli:period/xbrli:startDate
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600041
         ELS Ref: N/A

		    IF (COUNT(SCHEDULE = "DIDS") > 0) AND (ANY OCCURRENCE OF (DIDS:RP:period.endDate) <> RP:period.endDate)
		       RETURN VALIDATION MESSAGE
		    ENDIF
    -->
    <assert  id="VR.ATO.IITR.600041" diagnostics="DVR.ATO.IITR.600041"
             test="not(
                          count($DIDS.Context) > 0
                          and
                          (                              
                              $endDate != $IITR.RP.Context/xbrli:period/xbrli:endDate                              
                          )
                      )" />

  </rule>
</pattern>
