﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Crossform Content Validations</title>

  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iitr/iitr_0001/iitr.0001.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]">

    <let name="businessContextRefs" value="$pss15[. = 'Business']/@contextRef"/>
    <let name="psiContextRefs" value="$pss15[. = 'Personal Services Income']/@contextRef"/>
    <let name="businessOrPSIContextRefs" value="$pss15[. = 'Business' or . = 'Personal Services Income']/@contextRef"/>
    
    <!-- Rule ID: VR.ATO.IITR.300041
         ELS Ref: V1561

		    IF (([iitr286] > 0 OR [iitr287] > 0 OR [iitr288] > 0 OR [iitr289] > 0) AND COUNT(SCHEDULE = "PSS") = 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr286] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
		    [iitr287] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
		    [iitr288] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
		    [iitr289] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
    -->
    <assert id="VR.ATO.IITR.300041" diagnostics="DVR.ATO.IITR.300041"
            test="not(
                          (
                              sum($iitr286) > 0
                              or
                              sum($iitr287) > 0
                              or
                              sum($iitr288) > 0
                              or
                              sum($iitr289) > 0
                          )
                          and
                          count($PSS.Context) = 0
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300042
         ELS Ref: V1563A

        IF (COUNT(SCHEDULE = "PSS") = 1) AND (SUM([pss23] WHERE [pss15] = "Business")) <> [iitr287]		    
		       RETURN VALIDATION MESSAGE
		    ENDIF
        
        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss23]   = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
		    [iitr287] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.300042" diagnostics="DVR.ATO.IITR.300042"
            test="not(
                          count($PSS.Context) = 1             
                          and                                       
                          sum($pss23[@contextRef = $businessContextRefs]) != sum($iitr287)             
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300043
         ELS Ref: V1563B

        IF (COUNT(SCHEDULE = "PSS") = 1) AND (SUM([pss24] WHERE [pss15] = "Business")) <> [iitr286]
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss24]   = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
		    [iitr286] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
    -->
    <assert id="VR.ATO.IITR.300043" diagnostics="DVR.ATO.IITR.300043"
            test="not(
                          count($PSS.Context) = 1             
                          and                                       
                          sum($pss24[@contextRef = $businessContextRefs]) != sum($iitr286)             
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300044
         ELS Ref: V1563C

        IF (COUNT(SCHEDULE = "PSS") = 1) AND (SUM([pss25] WHERE [pss15] = "Business")) <> [iitr289]
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss25]   = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
		    [iitr289] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
    -->
    <assert id="VR.ATO.IITR.300044" diagnostics="DVR.ATO.IITR.300044"
            test="not(
                          count($PSS.Context) = 1             
                          and                                       
                          sum($pss25[@contextRef = $businessContextRefs]) != sum($iitr289)             
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300045
         ELS Ref: V1563D

        IF (COUNT(SCHEDULE = "PSS") = 1) AND (SUM([pss22] WHERE [pss15] = SET("Business", "Personal Services Income"))) <> [iitr288]
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss22]   = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
		    [iitr288] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
    -->
    <assert id="VR.ATO.IITR.300045" diagnostics="DVR.ATO.IITR.300045"
            test="not(
                          count($PSS.Context) = 1
                          and
                          sum($pss22[@contextRef = $businessOrPSIContextRefs]) != sum($iitr288)
                      )" />

    
    <!-- Rule ID: VR.ATO.IITR.300046
         ELS Ref: V1581

		    IF ([iitr112] > 0 AND COUNT(SCHEDULE = "PSS" = 0))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
    -->
    <assert id="VR.ATO.IITR.300046" diagnostics="DVR.ATO.IITR.300046"
            test="not(
                          sum($iitr112) > 0
                          and
                          count($PSS.Context) = 0
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300047
         ELS Ref: V1582
		    
        IF (([iitr276] > 0 OR [iitr277] > 0 OR [iitr278] > 0 OR [iitr411] > 0 OR [iitr412] > 0 OR [iitr413] > 0) AND COUNT(SCHEDULE = "PSS") = 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr276] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount
		    [iitr277] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount
		    [iitr278] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount
		    [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
		    [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
		    [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
    -->
    <assert id="VR.ATO.IITR.300047" diagnostics="DVR.ATO.IITR.300047"
            test="not(
                          (
                              sum($iitr276) > 0
                              or
                              sum($iitr277) > 0
                              or
                              sum($iitr278) > 0
                              or
                              sum($iitr411) > 0
                              or
                              sum($iitr412) > 0
                              or
                              sum($iitr413) > 0
                          )
                          and
                          count($PSS.Context) = 0
                      )" />
    

    <!-- Rule ID: VR.ATO.IITR.300048
         ELS Ref: V1609A

        IF  (COUNT(SCHEDULE = "PSS") = 1) 
            AND 
            (
                ([iitr276] <> NULL) 
                AND 
                [iitr276] <> (SUM([pss24] WHERE [pss15] = "Personal Services Income"))
            ) 
            OR 
            (
                ([iitr276] = NULL) 
                AND 
                0 <> (SUM([pss24] WHERE [pss15] = "Personal Services Income"))
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss24]   = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
		    [iitr276] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount
    -->
    <assert id="VR.ATO.IITR.300048" diagnostics="DVR.ATO.IITR.300048"
            test="not(
                          count($PSS.Context) = 1             
                          and
                          (
                              $iitr276[not(@i:nil='true')]
                              and
                              sum($iitr276) != sum($pss24[@contextRef = $psiContextRefs])
                          )
                          or
                          (
                              not($iitr276[not(@i:nil='true')])
                              and
                              0 != sum($pss24[@contextRef = $psiContextRefs])
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300049
         ELS Ref: V1609B

        IF  (COUNT(SCHEDULE = "PSS") = 1) 
            AND 
            (
                ([iitr277] <> NULL) 
                AND 
                [iitr277] <> (SUM([pss23] WHERE [pss15] = "Personal Services Income"))
            ) 
            OR 
            (
                ([iitr277] = NULL) 
                AND 
                0 <> (SUM([pss23] WHERE [pss15] = "Personal Services Income"))
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss23]   = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
		    [iitr277] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.300049" diagnostics="DVR.ATO.IITR.300049"
             test="not(
                          count($PSS.Context) = 1             
                          and
                          (
                              $iitr277[not(@i:nil='true')]
                              and
                              sum($iitr277) != sum($pss23[@contextRef = $psiContextRefs])
                          )
                          or
                          (
                              not($iitr277[not(@i:nil='true')])
                              and
                              0 != sum($pss23[@contextRef = $psiContextRefs])
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300050
         ELS Ref: V1609C
        
        IF  (COUNT(SCHEDULE = "PSS") = 1) 
            AND 
            (
                ([iitr278] <> NULL) 
                AND 
                [iitr278] <> (SUM([pss25] WHERE [pss15] = "Personal Services Income"))
            ) 
            OR 
            (
                ([iitr278] = NULL) 
                AND 
                0 <> (SUM([pss25] WHERE [pss15] = "Personal Services Income"))
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss25]   = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
		    [iitr278] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount
    -->
    <assert id="VR.ATO.IITR.300050" diagnostics="DVR.ATO.IITR.300050"
            test="not(
                          count($PSS.Context) = 1             
                          and
                          (
                              $iitr278[not(@i:nil='true')]
                              and
                              sum($iitr278) != sum($pss25[@contextRef = $psiContextRefs])
                          )
                          or
                          (
                              not($iitr278[not(@i:nil='true')])
                              and
                              0 != sum($pss25[@contextRef = $psiContextRefs])
                          )
                      )" />



    <!-- Rule ID: VR.ATO.IITR.300051
         ELS Ref: V1612A

        IF  (COUNT(SCHEDULE = "PSS") = 1) 
            AND 
            (
                ([iitr111] <> NULL) 
                AND 
                [iitr111] <> (SUM([pss32] WHERE [pss15] = "Personal Services Income"))
            ) 
            OR 
            (
                ([iitr111] = NULL) 
                AND 
                0 <> (SUM([pss32] WHERE [pss15] = "Personal Services Income"))
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss32]   = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
		    [iitr111] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
    -->
    <assert id="VR.ATO.IITR.300051" diagnostics="DVR.ATO.IITR.300051"
            test="not(
                          count($PSS.Context) = 1             
                          and
                          (
                              $iitr111[not(@i:nil='true')]
                              and
                              sum($iitr111) != sum($pss32[@contextRef = $psiContextRefs])
                          )
                          or
                          (
                              not($iitr111[not(@i:nil='true')])
                              and
                              0 != sum($pss32[@contextRef = $psiContextRefs])
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.300052
         ELS Ref: V1612B

        IF  (COUNT(SCHEDULE = "PSS") = 1) 
            AND 
            (
                ([iitr112] <> NULL) 
                AND 
                [iitr112] <> (SUM([pss31] WHERE [pss15] = "Personal Services Income"))
            ) 
            OR 
            (
                ([iitr112] = NULL) 
                AND 
                0 <> (SUM([pss31] WHERE [pss15] = "Personal Services Income"))
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss31]   = lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedGross.Amount
		    [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
    -->
    <assert id="VR.ATO.IITR.300052" diagnostics="DVR.ATO.IITR.300052"
            test="not(
                          count($PSS.Context) = 1             
                          and
                          (
                              $iitr112[not(@i:nil='true')]
                              and
                              sum($iitr112) != sum($pss31[@contextRef = $psiContextRefs])
                          )
                          or
                          (
                              not($iitr112[not(@i:nil='true')])
                              and
                              0 != sum($pss31[@contextRef = $psiContextRefs])
                          )
                      )" />
    

    <!-- Rule ID: VR.ATO.IITR.310021
         ELS Ref: V1372A

		    IF (([iitr436] + [iitr437] + [iitr438] + [iitr439] + [iitr440] + [iitr441] + [iitr442]) > 0 AND COUNT(SCHEDULE = "PSS") = 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
		    [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
		    [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
		    [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
		    [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
		    [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
		    [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
    -->
    <assert id="VR.ATO.IITR.310021" diagnostics="DVR.ATO.IITR.310021"
            test="not(
                          sum($iitr436 | $iitr437 | $iitr438 | $iitr439 | $iitr440 | $iitr441 | $iitr442) > 0
                          and
                          count($PSS.Context) = 0
                      )" />
   

    <!-- Rule ID: VR.ATO.IITR.310035
         ELS Ref: V1560A

        IF (COUNT(SCHEDULE = "PSS") = 1) AND (SUM([pss19] WHERE [pss15] = "Business")) <> ([iitr436] + [iitr437])
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss19]   = lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
		    [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
		    [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
    -->
    <assert id="VR.ATO.IITR.310035" diagnostics="DVR.ATO.IITR.310035"
            test="not(
                          count($PSS.Context) = 1             
                          and                                       
                          sum($pss19[@contextRef = $businessContextRefs]) != sum($iitr436 | $iitr437)             
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310036
         ELS Ref: V1560B

        IF (COUNT(SCHEDULE = "PSS") = 1) AND (SUM([pss20] WHERE [pss15] = "Business")) <> ([iitr439] + [iitr440])
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss20]   = lrla.xx.xx:Remuneration.VoluntaryAgreementGross.Amount
		    [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
		    [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
    -->
    <assert id="VR.ATO.IITR.310036" diagnostics="DVR.ATO.IITR.310036"
            test="not(
                          count($PSS.Context) = 1             
                          and                                       
                          sum($pss20[@contextRef = $businessContextRefs]) != sum($iitr439 | $iitr440)             
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310037
         ELS Ref: V1560C

        IF (COUNT(SCHEDULE = "PSS") = 1) AND (SUM([pss21] WHERE [pss15] = "Business")) <> ([iitr441] + [iitr442])
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss21]   = lrla.xx.xx:Remuneration.LabourHireArrangementPaymentGross.Amount
		    [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
		    [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
    -->
    <assert id="VR.ATO.IITR.310037" diagnostics="DVR.ATO.IITR.310037"
            test="not(
                          count($PSS.Context) = 1             
                          and                                       
                          sum($pss21[@contextRef = $businessContextRefs]) != sum($iitr441 | $iitr442)
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310038
         ELS Ref: V1560E

        IF (COUNT(SCHEDULE = "PSS") = 1) AND (SUM([pss18] WHERE [pss15] = SET("Business", "Personal Services Income")) <> [iitr438])
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
        [pss18]   = lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
		    [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.310038" diagnostics="DVR.ATO.IITR.310038"
            test="not(
                          count($PSS.Context) = 1             
                          and                                       
                          sum($pss18[@contextRef = $businessOrPSIContextRefs]) != sum($iitr438)
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310039
         ELS Ref: V1611A
        
        IF  (COUNT(SCHEDULE = "PSS") = 1) 
            AND 
            (
                ([iitr411] <> NULL) 
                AND 
                [iitr411] <> (SUM([pss20] WHERE [pss15] = "Personal Services Income"))
            ) 
            OR 
            (
                ([iitr411] = NULL) 
                AND 
                0 <> (SUM([pss20] WHERE [pss15] = "Personal Services Income"))
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:IncomeTax.IncomeType.Code
        [pss20]   = lrla.xx.xx:Remuneration.VoluntaryAgreementGross.Amount
		    [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
    -->
    <assert id="VR.ATO.IITR.310039" diagnostics="DVR.ATO.IITR.310039"
            test="not(
                          count($PSS.Context) = 1             
                          and
                          (
                              $iitr411[not(@i:nil='true')]
                              and
                              sum($iitr411) != sum($pss20[@contextRef = $psiContextRefs])
                          )
                          or
                          (
                              not($iitr411[not(@i:nil='true')])
                              and
                              0 != sum($pss20[@contextRef = $psiContextRefs])
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310040
         ELS Ref: V1611B
        
        IF  (COUNT(SCHEDULE = "PSS") = 1) 
            AND 
            (
                ([iitr412] <> NULL) 
                AND 
                [iitr412] <> (SUM([pss19] WHERE [pss15] = "Personal Services Income"))
            ) 
            OR 
            (
                ([iitr412] = NULL) 
                AND 
                0 <> (SUM([pss19] WHERE [pss15] = "Personal Services Income"))
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:IncomeTax.IncomeType.Code
        [pss19]   = lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
		    [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.310040" diagnostics="DVR.ATO.IITR.310040"
            test="not(
                          count($PSS.Context) = 1             
                          and
                          (
                              $iitr412[not(@i:nil='true')]
                              and
                              sum($iitr412) != sum($pss19[@contextRef = $psiContextRefs])
                          )
                          or
                          (
                              not($iitr412[not(@i:nil='true')])
                              and
                              0 != sum($pss19[@contextRef = $psiContextRefs])
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310041
         ELS Ref: V1611C

        IF  (COUNT(SCHEDULE = "PSS") = 1) 
            AND 
            (
                ([iitr413] <> NULL) 
                AND 
                [iitr413] <> (SUM([pss21] WHERE [pss15] = "Personal Services Income"))
            ) 
            OR 
            (
                ([iitr413] = NULL) 
                AND 
                0 <> (SUM([pss21] WHERE [pss15] = "Personal Services Income"))
            )
		       RETURN VALIDATION MESSAGE
		    ENDIF

        [pss15]   = rvctc1.xx.xx:IncomeTax.IncomeType.Code
        [pss21]   = lrla.xx.xx:Remuneration.LabourHireArrangementPaymentGross.Amount
		    [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
    -->
    <assert id="VR.ATO.IITR.310041" diagnostics="DVR.ATO.IITR.310041"
            test="not(
                          count($PSS.Context) = 1             
                          and
                          (
                              $iitr413[not(@i:nil='true')]
                              and
                              sum($iitr413) != sum($pss21[@contextRef = $psiContextRefs])
                          )
                          or
                          (
                              not($iitr413[not(@i:nil='true')])
                              and
                              0 != sum($pss21[@contextRef = $psiContextRefs])
                          )
                      )" />
    

    <!-- Rule ID: VR.ATO.IITR.310089
         ELS Ref: V1584

         IF COUNT(SCHEDULE = "PSS") > 1
            RETURN VALIDATION MESSAGE
        ENDIF 
    -->
    <assert id="VR.ATO.IITR.310089" diagnostics="DVR.ATO.IITR.310089"
             test="not(
                          count($PSS.Context) > 1
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310117
         ELS Ref: V1372B

		    IF (([iitr436] + [iitr437]) > 0 AND COUNT(SCHEDULE = "PSS") = 0)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
		    [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
    -->
    <!-- BUG 42820
    <assert id="VR.ATO.IITR.310117" diagnostics="DVR.ATO.IITR.310117"
            test="not(
                          sum($iitr436 | $iitr437) > 0
                          and
                          count($PSS.Context) = 0
                      )" />
                      -->

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY LOSS SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/pss/pss_0001/pss.0001.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]/
                    xbrli:context[@id = $PSS.RPPSSSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.310088
         ELS Ref: V1412

		     IF COUNT(SCHEDULE = "PSS") = 1 AND (ANY OCCURRENCE OF [pss15] = NULL) 
           RETURN VALIDATION MESSAGE
         ENDIF

         [pss15] = rvctc1.xx.xx:IncomeTax.IncomeType.Code
    -->
    <assert id="VR.ATO.IITR.310088" diagnostics="DVR.ATO.IITR.310088"
            test="not(
                          not($pss15[not(@i:nil='true') and @contextRef = $thisContextId])
                      )" />
    

    <!-- Rule ID: VR.ATO.IITR.400059
    
         IF (COUNT(SCHEDULE = "PSS") = 1) AND (RP:period.startDate <> PSS:RP.Payer.{PSSeqNum}:period.StartDate)
              RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <let name="startDate" value="xbrli:period/xbrli:startDate"/>

    <assert id="VR.ATO.IITR.400059" diagnostics="DVR.ATO.IITR.400059"
            test="not(
                          $IITR.RP.Context/xbrli:period/xbrli:startDate != $startDate
                      )" />


    <!-- Rule ID: VR.ATO.IITR.400060
    
         IF (COUNT(SCHEDULE = "PSS") = 1) AND (RP:period.endDate <> PSS:RP.Payer.{PSSeqNum}:period.endDate)
              RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <let name="endDate" value="xbrli:period/xbrli:endDate"/>

    <assert id="VR.ATO.IITR.400060" diagnostics="DVR.ATO.IITR.400060"
            test="not(
                          $IITR.RP.Context/xbrli:period/xbrli:endDate != $endDate
                      )" />


    <!-- Rule ID: VR.ATO.IITR.400061
    
         IF (COUNT(SCHEDULE = "PSS") = 1) AND (RP:entity.identifier.TFN  <> PSS:RP.Payer.{PSSeqNum}:entity.identifier.ID)
              RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <let name="thisIdentifier" value="xbrli:entity/xbrli:identifier"/>

    <assert id="VR.ATO.IITR.400061" diagnostics="DVR.ATO.IITR.400061"
            test="not(
                          $IITR.RP.Context/xbrli:entity/xbrli:identifier != $thisIdentifier
                      )" />



  </rule>
</pattern>
