﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.000003
    
      IF (([iitr41] = FOUND("AS ABOVE")) OR ([iitr42] = FOUND("AS ABOVE")))
         RETURN VALIDATION MESSAGE
      ENDIF
      
      [iitr41] = pyde.02.00:AddressDetails.Line1.Text
      [iitr42] = pyde.02.00:AddressDetails.Line2.Text
    -->
    <assert  id="VR.ATO.IITR.000003" diagnostics="DVR.ATO.IITR.000003"
             test="not(
                          $iitr41[contains(upper-case(.), 'AS ABOVE')] 
                          or
                          $iitr42[contains(upper-case(.), 'AS ABOVE')]
                      )" />


    <!-- Rule ID: VR.ATO.IITR.000023
         ELS Ref: V17         
        
        If (([iitr28] <> NULL) AND ([iitr21] <> SET("EF", "RF", "TF"))) 
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr28] = pyde.xx.xx:PersonDemographicDetails.Death.Date
    -->
    <assert id="VR.ATO.IITR.000023" diagnostics="DVR.ATO.IITR.000023"
            test="not(
                        $iitr28[not(@i:nil='true')]
                        and
                        not($iitr21[matches(.,'^(EF|RF|TF)(.*)$', 'i')])
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000028
         ELS Ref: V41A
         
        IF ([iitr21] = "MR") AND ([iitr20] <> "1")
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr20] = pyde.xx.xx:PersonDemographicDetails.Sex.Code
        [iitr21] = pyde.xx.xx:PersonNameDetails.Title.Text
    -->
    <assert id="VR.ATO.IITR.000028" diagnostics="DVR.ATO.IITR.000028"
            test="not(
                         $iitr21[upper-case(.) = 'MR']
                         and
                         $iitr20[. != '1']
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000029
         ELS Ref: V41A
         
        IF ([iitr21] = SET("MRS", "MS", "MISS")) AND ([iitr20] <> "2")
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr20] = pyde.xx.xx:PersonDemographicDetails.Sex.Code
        [iitr21] = pyde.xx.xx:PersonNameDetails.Title.Text
    -->
    <assert id="VR.ATO.IITR.000029" diagnostics="DVR.ATO.IITR.000029"
            test="not(
                        $iitr21
                        [
                            upper-case(.) = 'MRS'
                            or
                            upper-case(.) = 'MS'
                            or
                            upper-case(.) = 'MISS'
                        ]
                        and
                        $iitr20[. != '2']
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.000032
         ELS Ref: V2426
         
         IF (
              (
                  [iitr16] = TRUE AND 
                  (
                      [iitr17] = NULLORBLANK OR 
                      [iitr18] = NULLORBLANK
                  )
              ) 
              OR 
              (
                  (
                      [iitr16] = NULL OR 
                      [iitr16] = FALSE
                  ) 
                  AND 
                  (
                      [iitr17] <> NULLORBLANK OR 
                      [iitr18] <> NULLORBLANK OR 
                      [iitr56] <> NULL
                   )
               )
            )         
              RETURN VALIDATION MESSAGE
        ENDIF
         
        [iitr16] = pyin.02.07:Report.Amendment.Indicator
        [iitr17] = pyin.02.08:Report.AmendmentType.Code
        [iitr18] = pyin.02.08:Report.AmendmentReason.Text
        [iitr56] = pyin.02.08:Report.AmendmentSequence.Number
    -->
    <assert id="VR.ATO.IITR.000032" diagnostics="DVR.ATO.IITR.000032"
            test="not(
                          (
                              $iitr16[matches(.,'^(true|1)$')]
                              and
                              (
                                  not($iitr17[not(@i:nil='true') and string-length(.) != 0])
                                  or
                                  not($iitr18[not(@i:nil='true') and string-length(.) != 0])                                  
                              )
                          ) 
                          or
                          (
                              ( 
                                  not($iitr16[not(@i:nil='true')])                                  
                                  or
                                  $iitr16[matches(.,'^(false|0)$')]
                              )                                  
                              and
                              (
                                  $iitr17[not(@i:nil='true') and string-length(.) != 0]
                                  or
                                  $iitr18[not(@i:nil='true') and string-length(.) != 0]
                                  or
                                  $iitr56[not(@i:nil='true')]
                              )
                          )                                                
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000044
         ELS Ref: M505

		     IF ([iitr24] = NULLORBLANK) AND ([iitr22] <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr22] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
         [iitr24] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.IITR.000044" diagnostics="DVR.ATO.IITR.000044"
            test="not(
                          not($iitr24[not(@i:nil='true') and string-length(.) != 0])
                          and
                          $iitr22[not(@i:nil='true') and string-length(.) != 0]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000054
         ELS Ref: M1055

		     IF ([iitr49] = NULL OR [iitr50] = NULL) AND ([iitr48] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr48] = pyde.xx.xx:ElectronicContact.Telephone.Mobile.Number
         [iitr49] = pyde.xx.xx:ElectronicContact.Telephone.Area.Code
         [iitr50] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.IITR.000054" diagnostics="DVR.ATO.IITR.000054"
            test="not(
                          (
                            not($iitr49[not(@i:nil='true')])
                            or
                            not($iitr50[not(@i:nil='true')])
                          )
                          and
                          not($iitr48[not(@i:nil='true')])
                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.000112
         ELS Ref: V210I
         
        IF ([iitr36] = NULL) AND ([iitr37] = NULL) AND (([iitr38] = NULL) OR ([iitr38] = "au"))
            RETURN VALIDATION MESSAGE
        ENDIF

        [iitr38] = pyde.02.08:AddressDetails.Country.Code
        [iitr36] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [iitr37] = pyde.02.00:AddressDetails.Postcode.Text        
     -->
    <assert  id="VR.ATO.IITR.000112" diagnostics="DVR.ATO.IITR.000112"
             test="not(
                          not($iitr36[not(@i:nil='true') and string-length(.) != 0]) 
                          and
                          not($iitr37[not(@i:nil='true') and string-length(.) != 0]) 
                          and
                          (
                            not($iitr38[not(@i:nil='true') and string-length(.) != 0]) 
                            or
                            $iitr38 = 'au'
                          )
                   )"/>


    <!-- Rule ID: VR.ATO.IITR.000113
         ELS Ref: V210I
         
        IF ([iitr44] = NULL) AND ([iitr45] = NULL) AND (([iitr52] = NULL) OR ([iitr52] = "au"))
            RETURN VALIDATION MESSAGE
        ENDIF

        [iitr52] = pyde.02.08:AddressDetails.Country.Code
        [iitr44] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [iitr45] = pyde.02.00:AddressDetails.Postcode.Text        
     -->
    <assert  id="VR.ATO.IITR.000113" diagnostics="DVR.ATO.IITR.000113"
             test="not(
                          not($iitr44[not(@i:nil='true') and string-length(.) != 0]) 
                          and
                          not($iitr45[not(@i:nil='true') and string-length(.) != 0]) 
                          and
                          (
                            not($iitr52[not(@i:nil='true') and string-length(.) != 0]) 
                            or
                            $iitr52 = 'au'
                          )
                   )"/>


    <!-- Rule ID: VR.ATO.IITR.000114
         ELS Ref: V210G
         
        IF ([iitr36] <> NULL) AND ([iitr37] = NULL)
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr36] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [iitr37] = pyde.02.00:AddressDetails.Postcode.Text
     -->
    <assert  id="VR.ATO.IITR.000114" diagnostics="DVR.ATO.IITR.000114"
             test="not(
                          $iitr36[not(@i:nil='true') and string-length(.) != 0] 
                          and
                          not($iitr37[not(@i:nil='true') and string-length(.) != 0])
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.000115
         ELS Ref: V210E
         
        IF ([iitr38] <> NULL) AND ([iitr38] <> "au") AND (([iitr36] <> NULL) OR ([iitr37] <> NULL))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr36] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [iitr37] = pyde.02.00:AddressDetails.Postcode.Text
        [iitr38] = pyde.02.08:AddressDetails.Country.Code
     -->
    <assert  id="VR.ATO.IITR.000115" diagnostics="DVR.ATO.IITR.000115"
             test="not(
                          $iitr38[not(@i:nil='true') and string-length(.) != 0]
                          and
                          $iitr38 != 'au'
                          and
                          (
                              $iitr36[not(@i:nil='true')]
                              or
                              $iitr37[not(@i:nil='true')]
                          )                                                  
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.000116
         ELS Ref: V210E
         
        IF (([iitr44] <> NULL) OR ([iitr45] <> NULL)) AND (([iitr52] <> NULL) AND ([iitr52] <> "au"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr44] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [iitr45] = pyde.02.00:AddressDetails.Postcode.Text        
        [iitr52] = pyde.02.08:AddressDetails.Country.Code
     -->
    <assert  id="VR.ATO.IITR.000116" diagnostics="DVR.ATO.IITR.000116"
             test="not(
                          $iitr52[not(@i:nil='true') and string-length(.) != 0]
                          and
                          $iitr52 != 'au'
                          and
                          (
                              $iitr44[not(@i:nil='true')]
                              or
                              $iitr45[not(@i:nil='true')]
                          )                                                  
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.000117
         ELS Ref: V210H
         
        IF ([iitr37] <> NULLORBLANK) AND ([iitr36] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr36] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [iitr37] = pyde.02.00:AddressDetails.Postcode.Text        
     -->
    <assert  id="VR.ATO.IITR.000117" diagnostics="DVR.ATO.IITR.000117"
             test="not(
                          not($iitr36[not(@i:nil='true') and string-length(.) != 0]) 
                          and
                          $iitr37[not(@i:nil='true') and string-length(.) != 0]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.000118
         ELS Ref: V210H
         
        IF ([iitr45] <> NULLORBLANK) AND ([iitr44] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr44] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [iitr45] = pyde.02.00:AddressDetails.Postcode.Text        
     -->
    <assert  id="VR.ATO.IITR.000118" diagnostics="DVR.ATO.IITR.000118"
             test="not(
                          not($iitr44[not(@i:nil='true') and string-length(.) != 0]) 
                          and
                          $iitr45[not(@i:nil='true') and string-length(.) != 0]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.000121
           ELS Ref: V173B
         
          IF ([iitr50] = NULLORBLANK) AND ([iitr49] <> NULLORBLANK)
             RETURN VALIDATION MESSAGE
          ENDIF
        
          [iitr49] = pyde.02.00:ElectronicContact.Telephone.Area.Code
          [iitr50] = pyde.02.00:ElectronicContact.Telephone.Minimal.Number
      -->
    <assert id="VR.ATO.IITR.000121" diagnostics="DVR.ATO.IITR.000121"
          test="not(
                        not($iitr50[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $iitr49[not(@i:nil='true') and string-length(.) != 0]
                   )"/>


    <!-- Rule ID: VR.ATO.IITR.000122
         ELS Ref: V210E
         
        IF ([iitr44] <> NULL) AND ([iitr45] = NULL)
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr44] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [iitr45] = pyde.02.00:AddressDetails.Postcode.Text
     -->
    <assert  id="VR.ATO.IITR.000122" diagnostics="DVR.ATO.IITR.000122"
             test="not(
                          $iitr44[not(@i:nil='true') and string-length(.) != 0] 
                          and
                          not($iitr45[not(@i:nil='true') and string-length(.) != 0])
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.000132
         ELS Ref: V176
         
        IF ( ([iitr53] <> NULLORBLANK) AND (([iitr53] < 012000) OR ([iitr53] > 999999)))
          RETURN VALIDATION MESSAGE
        ENDIF

        [iitr53] = pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
     -->
    <assert  id="VR.ATO.IITR.000132" diagnostics="DVR.ATO.IITR.000132"
             test="not(
                          $iitr53
                          [                          
                              not(@i:nil='true') 
                              and 
                              string-length(.) != 0
                              and
                              (
                                  . &lt; 012000
                                  or
                                  . > 999999
                              )
                          ]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.000137
         ELS Ref: V173B
         
        IF ([iitr50] <> NULLORBLANK) AND ([iitr49] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000137" diagnostics="DVR.ATO.IITR.000137"
            test="not(
                        $iitr50[not(@i:nil='true') and string-length(.) != 0] 
                        and
                        not($iitr49[not(@i:nil='true') and string-length(.) != 0])
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000186
        ELS Ref: N/A
         
        IF ((([iitr16] = NULL) OR ([iitr16] = FALSE)) AND ([iitr56]<> NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr16] = pyin.02.07:Report.Amendment.Indicator
        [iitr56] = pyin.02.08:Report.AmendmentSequence.Number
    -->
    <assert id="VR.ATO.IITR.000186" diagnostics="DVR.ATO.IITR.000186"
            test="not(
                        (
                            not($iitr16[not(@i:nil='true') and string-length(.) != 0]) 
                            or
                            $iitr16[matches(.,'^(false|0)$')]
                        ) 
                        and
                        $iitr56[not(@i:nil='true') and string-length(.) != 0]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000189
         ELS Ref: V17         
        
        IF (pyin.xx.xx:Declaration.StatementAccepted.Indicator <> TRUE)
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr544RPTAC]  = pyin.02.00:Declaration.StatementAccepted.Indicator
        [iitr544INTTAC] = pyin.02.00:Declaration.StatementAccepted.Indicator
    -->
    <assert id="VR.ATO.IITR.000189" diagnostics="DVR.ATO.IITR.000189"
            test="not(
                        (
                            not($IITR.INTTAC.Context) 
                            and 
                            (not($iitr544RPTAC) or $iitr544RPTAC[not(matches(.,'^(true|1)$'))])
                        )
                        or
                        (
                            $IITR.INTTAC.Context
                            and 
                            (not($iitr544INTTAC) or $iitr544INTTAC[not(matches(.,'^(true|1)$'))])
                        )
                     )" />


    <!-- Rule ID: VR.ATO.IITR.100071
         ELS Ref: V35
         
        IF ([iitr20] <> NULLORBLANK) AND ([iitr20] <> SET("1","2"))
           RETURN VALIDATION MESSAGE
        ENDIF                 
    -->
    <assert id="VR.ATO.IITR.100071" diagnostics="DVR.ATO.IITR.100071"
            test="not(
                        $iitr20
                        [
                            not(@i:nil='true') 
                            and 
                            string-length(.) != 0
                            and
                            not(. = '1' or . = '2')
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.100072
         ELS Ref: V301D

        IF ([iitr24] = NULLORBLANK) AND ([iitr25] <> NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF        
        
        [iitr24] = pyde.xx.xx:PersonNameDetails.GivenName.Text
     -->
    <assert  id="VR.ATO.IITR.100072" diagnostics="DVR.ATO.IITR.100072"
               test="not(
                            not($iitr24[not(@i:nil='true') and string-length(.) != 0])
                            and
                            $iitr25[not(@i:nil='true') and string-length(.) != 0]
                        )"/>    
    
    
    <!-- Rule ID: VR.ATO.IITR.100073
         ELS Ref: V137A
    
        IF ([iitr24] = FOUND("Exec for","Rep for","Trustee for"))
          RETURN VALIDATION MESSAGE
        ENDIF        
    -->
    <assert id="VR.ATO.IITR.100073" diagnostics="DVR.ATO.IITR.100073"
            test="not(
                        $iitr24
                        [
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                        ]
                     )"/>  
    
    
    <!-- Rule ID: VR.ATO.IITR.100074
         ELS Ref: V137A
    
        IF ([iitr25] = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF    
    -->
    <assert id="VR.ATO.IITR.100074" diagnostics="DVR.ATO.IITR.100074"
            test="not(
                        $iitr25
                        [
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                        ]
                     )"/>    
    
    
    <!-- Rule ID: VR.ATO.IITR.100078
         ELS Ref: V140
    
        IF ([iitr25] = FOUND("MR","MRS","MISS","MS"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.100078" diagnostics="DVR.ATO.IITR.100078"
            test="not(
                        $iitr25
                        [
                            matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                            matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                            matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                            matches(.,'^(MR|MRS|MISS|MS)$','i')
                        ]
                     )"/>
    
    

    <!-- Rule ID: VR.ATO.IITR.100079
         ELS Ref: V141
         
        IF ([iitr25] = FOUND("ESQ","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.100079" diagnostics="DVR.ATO.IITR.100079"
            test="not(
                        $iitr25
                        [
                            matches(.,'^(ESQ |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                            matches(.,'^(ESQ|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                        ]
                     )"/>
    
    
    
    <!-- Rule ID: VR.ATO.IITR.100087
         ELS Ref: V140
    
        IF ([iitr24] = FOUND("MR","MRS","MISS","MS"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.100087" diagnostics="DVR.ATO.IITR.100087"
            test="not(
                        $iitr24
                        [
                             matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                             matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                             matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                             matches(.,'^(MR|MRS|MISS|MS)$','i')                         
                        ]
                     )"/>    
    
    
    <!-- Rule ID: VR.ATO.IITR.100088
         ELS Ref: V141
         
        IF ([iitr24] = FOUND("ESQ","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.100088" diagnostics="DVR.ATO.IITR.100088"
            test="not(
                        $iitr24
                        [
                            matches(.,'^(ESQ |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                            matches(.,'^(ESQ|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                        ]
                     )"/>    
    

    <!-- Rule ID: VR.ATO.GEN.500061
         ELS Ref: V173A
         
         IF (
                (CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number = NULLORBLANK) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)
            ) 
            OR 
            (
                (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)
            )
            RETURN VALIDATION MESSAGE
         ENDIF
                          
         [iitr540RPTAC]  = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [iitr540INTTAC] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         
         [iitr541RPTAC]  = pyde.02.00:ElectronicContact.Telephone..Minimal.Number
         [iitr541INTTAC] = pyde.02.00:ElectronicContact.Telephone..Minimal.Number         
    -->
    <assert id="VR.ATO.GEN.500061" diagnostics="DVR.ATO.GEN.500061"
            test="not(
                        (
                            not($IITR.INTTAC.Context) 
                            and 
                            not($iitr541RPTAC[not(@i:nil='true') and string-length(.) != 0])
                            and
                            $iitr540RPTAC[not(@i:nil='true')]
                        ) 
                        or
                        (
                            $IITR.INTTAC.Context 
                            and 
                            not($iitr541INTTAC[not(@i:nil='true') and string-length(.) != 0])
                            and
                            $iitr540INTTAC[not(@i:nil='true')]
                        )                      
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500062
         ELS Ref: V173B
         
         IF (
                (CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number <> NULLORBLANK) AND 
                (RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            ) 
            OR 
            (
                (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            )         
            RETURN VALIDATION MESSAGE
         ENDIF
                  
         [iitr540RPTAC]  = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [iitr540INTTAC] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         
         [iitr541RPTAC]  = pyde.02.00:ElectronicContact.Telephone..Minimal.Number
         [iitr541INTTAC] = pyde.02.00:ElectronicContact.Telephone..Minimal.Number         
    -->
    <assert id="VR.ATO.GEN.500062" diagnostics="DVR.ATO.GEN.500062"
            test="not(
                        (
                            not($IITR.INTTAC.Context) 
                            and 
                            $iitr541RPTAC[not(@i:nil='true') and string-length(.) != 0]
                            and
                            not($iitr540RPTAC[not(@i:nil='true')])
                        ) 
                        or
                        (
                            $IITR.INTTAC.Context 
                            and 
                            $iitr541INTTAC[not(@i:nil='true') and string-length(.) != 0]
                            and
                            not($iitr540INTTAC[not(@i:nil='true')])
                        )                      
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500065
         ELS Ref: V17         
        
        IF (CONTEXT(RP.TrueAndCorrect) <> NULL) AND (RP.TrueAndCorrect:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier <> NULL)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500065" diagnostics="DVR.ATO.GEN.500065"
            test="not(
                        $IITR.RPTAC.Context 
                        and
                        $iitr542RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                     )" />

  </rule>

  <rule context="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.IITR.000140
         ELS Ref: V35
        
        IF ([iitr36] <> NULLORBLANK) AND ([iitr36] <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
        ENDIF
     -->
    <assert  id="VR.ATO.IITR.000140" diagnostics="DVR.ATO.IITR.000140"
             test="not(
                          @contextRef = $IITR.RPPOS.ContextId 
                          and
                          not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.000141
         ELS Ref: V35
        
        IF ([iitr44] <> NULLORBLANK) AND ([iitr44] <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
        ENDIF
     -->
    <assert  id="VR.ATO.IITR.000141" diagnostics="DVR.ATO.IITR.000141"
             test="not(
                          @contextRef = $IITR.RPRES.ContextId 
                          and
                          not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))
                    )"/>

  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.000459
         ELS Ref: V1215
           
        IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))
          RETURN VALIDATION MESSAGE
        ENDIF             
    -->
    <let name="ucName" value="upper-case(.)" />

    <assert id="VR.ATO.GEN.000459" diagnostics="DVR.ATO.GEN.000459"
            test="not(    
                        @contextRef = $IITR.RP.ContextId 
                        and
                        not(
                              $ucName = '2LT' or
                              $ucName = 'AB' or
                              $ucName = 'ABBOT' or
                              $ucName = 'AC' or
                              $ucName = 'ACM' or
                              $ucName = 'ADM' or
                              $ucName = 'AIR CDRE' or
                              $ucName = 'ALDERMAN' or
                              $ucName = 'AM' or
                              $ucName = 'ARCHBISHOP' or
                              $ucName = 'ARCHDEACON' or
                              $ucName = 'ASSOC PROF' or
                              $ucName = 'AVM' or
                              $ucName = 'BARON' or
                              $ucName = 'BARONESS' or
                              $ucName = 'BISHOP' or
                              $ucName = 'BR' or
                              $ucName = 'BRIG' or
                              $ucName = 'CANON' or
                              $ucName = 'CAPT' or
                              $ucName = 'CARDINAL' or
                              $ucName = 'CDRE' or
                              $ucName = 'CDT' or
                              $ucName = 'CHAP' or
                              $ucName = 'CMDR' or
                              $ucName = 'CMM' or
                              $ucName = 'COL' or
                              $ucName = 'CONST' or
                              $ucName = 'COUNT' or
                              $ucName = 'COUNTESS' or
                              $ucName = 'CPL' or
                              $ucName = 'CPO' or
                              $ucName = 'DAME' or
                              $ucName = 'DEACON' or
                              $ucName = 'DEACONESS' or
                              $ucName = 'DEAN' or
                              $ucName = 'DEPUTY SUPT' or
                              $ucName = 'DR' or
                              $ucName = 'DUCHESS' or
                              $ucName = 'DUKE' or
                              $ucName = 'EARL' or
                              $ucName = 'EF' or
                              $ucName = 'FLGOFF' or
                              $ucName = 'FLT LT' or
                              $ucName = 'FR' or
                              $ucName = 'FSGT' or
                              $ucName = 'GEN' or
                              $ucName = 'GNR' or
                              $ucName = 'GP CAPT' or
                              $ucName = 'HON' or
                              $ucName = 'HON JUDGE' or
                              $ucName = 'HON JUST' or
                              $ucName = 'HRH' or
                              $ucName = 'INSP' or
                              $ucName = 'JUDGE' or
                              $ucName = 'JUST' or
                              $ucName = 'LAC' or
                              $ucName = 'LACW' or
                              $ucName = 'LADY' or
                              $ucName = 'LBDR' or
                              $ucName = 'LCPL' or
                              $ucName = 'LORD' or
                              $ucName = 'LS' or
                              $ucName = 'LT' or
                              $ucName = 'LT CMDR' or
                              $ucName = 'LT COL' or
                              $ucName = 'LT GEN' or
                              $ucName = 'MADAM' or
                              $ucName = 'MAJ' or
                              $ucName = 'MAJ GEN' or
                              $ucName = 'MASTER' or
                              $ucName = 'MATRON' or
                              $ucName = 'MAYOR' or
                              $ucName = 'MAYORESS' or
                              $ucName = 'MIDN' or
                              $ucName = 'MISS' or
                              $ucName = 'MON' or
                              $ucName = 'MOST REV' or
                              $ucName = 'MR' or
                              $ucName = 'MRS' or
                              $ucName = 'MS' or
                              $ucName = 'PASTOR' or
                              $ucName = 'PATRIARCH' or
                              $ucName = 'PLT OFF' or
                              $ucName = 'PO' or
                              $ucName = 'PRIOR' or
                              $ucName = 'PROF' or
                              $ucName = 'PTE' or
                              $ucName = 'RABBI' or
                              $ucName = 'RADM' or
                              $ucName = 'RECTOR' or
                              $ucName = 'REV' or
                              $ucName = 'RF' or
                              $ucName = 'RT HON' or
                              $ucName = 'RT REV' or
                              $ucName = 'RTREV BISHOP' or
                              $ucName = 'RT REV MON' or
                              $ucName = 'SBLT' or
                              $ucName = 'SEN' or
                              $ucName = 'SGT' or
                              $ucName = 'SIR' or
                              $ucName = 'SMN' or
                              $ucName = 'SNR CONST' or
                              $ucName = 'SQN LDR' or
                              $ucName = 'SR' or
                              $ucName = 'SSGT' or
                              $ucName = 'SUPR' or
                              $ucName = 'SWAMI' or
                              $ucName = 'TF' or
                              $ucName = 'VADM' or
                              $ucName = 'VERY REV' or
                              $ucName = 'VICAR' or
                              $ucName = 'VISCOUNT' or
                              $ucName = 'WG CDR' or
                              $ucName = 'WO' or
                              $ucName = 'WO1' or
                              $ucName = 'WO2' 
                           )
                       )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.IITR.000008
          ELS Ref: V137A
    
        IF ([iitr22]= FOUND ("Exec for","Rep for","Trustee for"))
          RETURN VALIDATION MESSAGE
        ENDIF        
        
        [iitr22] = pyde.02.00:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000008" diagnostics="DVR.ATO.IITR.000008"
            test="not(
                         @contextRef = $IITR.RP.ContextId 
                         and
                         (
                             matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                             matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                             matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                             matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                         )            
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000019
         ELS Ref: V140
    
        IF ([iitr22] = FOUND("MR","MRS","MISS","MS"))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr22] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000019" diagnostics="DVR.ATO.IITR.000019"
            test="not(
                         @contextRef = $IITR.RP.ContextId 
                         and
                         (
                              matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                              matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                              matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                              matches(.,'^(MR|MRS|MISS|MS)$','i')
                         )
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000021
         ELS Ref: V141
         
        IF ([iitr22] = FOUND("ESQ","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr22] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000021" diagnostics="DVR.ATO.IITR.000021"
            test="not(
                        @contextRef = $IITR.RP.ContextId 
                        and
                        (
                            matches(.,'^(ESQ |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                            matches(.,'^(ESQ|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                        )
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.000458
         ELS Ref: V1216

        IF (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.NameSuffix.Text <> SET(DOMAIN(SUFFIX CODES)))
          RETURN VALIDATION MESSAGE
        ENDIF
     -->
    <let name="ucName" value="upper-case(.)" />

    <assert id="VR.ATO.GEN.000458" diagnostics="DVR.ATO.GEN.000458"
             test="not(
                          @contextRef = $IITR.RP.ContextId 
                          and
                          not(
                                $ucName = 'ESQ' or
                                $ucName = 'II' or
                                $ucName = 'III' or
                                $ucName = 'IV' or
                                $ucName = 'JNR' or
                                $ucName = 'JP' or
                                $ucName = 'MHA' or
                                $ucName = 'MHR' or
                                $ucName = 'MLA' or
                                $ucName = 'MLC' or
                                $ucName = 'MP' or
                                $ucName = 'QC' or
                                $ucName = 'SNR'
                          )
                      )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.IITR.000001    
    
       IF ([iitr33] <> NULLORBLANK) AND ([iitr33] STARTSWITH SET("C/O ","C/ ","Care Of ","CO ") OR [iitr33] CONTAINS SET(" C/O "," C/ "," Care Of "))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.IITR.000001" diagnostics="DVR.ATO.IITR.000001"
            test="not(
                        @contextRef = $IITR.RPPOS.ContextId 
                        and
                        (
                          matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or
                          matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or
                          matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                          matches(.,'^(C/O|C/|Care Of|CO)$','i')
                        )
            )" />


    <!-- Rule ID: VR.ATO.IITR.000005
         ELS Ref: V1220
        
        IF (([iitr33] CONTAINS "C/-") AND ([iitr34] = NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr33] = pyde.xx.xx:AddressDetails.Line1.Text
        [iitr34] = pyde.xx.xx:AddressDetails.Line2.Text      
    -->
    <assert id="VR.ATO.IITR.000005" diagnostics="DVR.ATO.IITR.000005"
            test="not(
                        @contextRef = $IITR.RPPOS.ContextId 
                        and
                        matches(upper-case(.),'^(.*)(C/-)(.*)$') 
                        and 
                        not($iitr34[not(@i:nil='true') and string-length(.) != 0])
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000100
    
        IF ([iitr33] CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000100" diagnostics="DVR.ATO.IITR.000100"
            test="not(
                        @contextRef = $IITR.RPPOS.ContextId 
                        and
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                      )" />


    <!-- Rule ID: VR.ATO.IITR.000104
    
        IF ([iitr41] CONTAINS "UNKNOWN")
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000104" diagnostics="DVR.ATO.IITR.000104"
            test="not(
                        @contextRef = $IITR.RPRES.ContextId 
                        and
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                     )" />
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.IITR.000002   
    
        IF ([iitr34] <> NULLORBLANK) AND ([iitr34] STARTSWITH SET("C/- ","C/O ","C/ ","Care Of ","CO ") OR ([iitr34] CONTAINS SET(" C/- "," C/O "," C/ "," Care Of "))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.000002" diagnostics="DVR.ATO.IITR.000002"
            test="not(
                        @contextRef = $IITR.RPPOS.ContextId 
                        and
                        (
                          matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or
                          matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or
                          matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                          matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')
                        )
            )" />


    <!-- Rule ID: VR.ATO.IITR.000101
    
        IF ([iitr34] CONTAINS "UNKNOWN")
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000101" diagnostics="DVR.ATO.IITR.000101"
            test="not(
                        @contextRef = $IITR.RPPOS.ContextId 
                        and
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                      )" />


    <!-- Rule ID: VR.ATO.IITR.000105
    
        IF ([iitr42] CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000105" diagnostics="DVR.ATO.IITR.000105"
            test="not(
                        @contextRef = $IITR.RPRES.ContextId 
                        and
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                      )" />

  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.IITR.000102
    
        IF ([iitr35] CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000102" diagnostics="DVR.ATO.IITR.000102"
            test="not(
                        @contextRef = $IITR.RPPOS.ContextId 
                        and
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000106
    
        IF ([iitr43] CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000106" diagnostics="DVR.ATO.IITR.000106"
            test="not(
                        @contextRef = $IITR.RPRES.ContextId 
                        and
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000110
    
        IF (([iitr38] = NULL) OR ([iitr38] = "au")) AND ([iitr35] = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000110" diagnostics="DVR.ATO.IITR.000110"
            test="not(
                        @contextRef = $IITR.RPPOS.ContextId 
                        and
                        (
                            not($iitr38[not(@i:nil='true') and string-length(.) != 0])
                            or
                            $iitr38 = 'au'
                        )
                        and
                        matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i')
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000111
    
        IF (([iitr52] = NULL) OR ([iitr52] = "au")) AND ([iitr43] = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr52] = pyde.02.08:AddressDetails.Country.Code
        [iitr43] = pyde.02.00:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.IITR.000111" diagnostics="DVR.ATO.IITR.000111"
            test="not(
                        @contextRef = $IITR.RPRES.ContextId 
                        and
                        (
                            not($iitr52[not(@i:nil='true') and string-length(.) != 0])
                            or
                            $iitr52 = 'au'
                        )
                        and
                        matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i')
                     )" />
  </rule>

  <rule context="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500066
         
        IF (pyin.xx.xx:Declaration.Signature.Date > DATE(TODAY))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500066" diagnostics="DVR.ATO.GEN.500066"
            test="not(
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>

  </rule>

  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: V21
         
        IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
            test="not(
                        not(function:ValidateTAN(.)) 
                     )"/>
  </rule>


  <rule context="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.IITR.000017
         ELS Ref: V145
        
        IF (pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND (pyin.xx.xx:Report.TargetFinancial.Year <> SET(2014))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr10] = pyin.xx.xx:Report.TargetFinancial.Year
    -->
    <assert id="VR.ATO.IITR.000017" diagnostics="DVR.ATO.IITR.000017"
            test="not(
                        not(.='2014')
                     )"/>

  </rule>

</pattern>
