﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.000034
        ELS Ref: V7
         
        IF LENGTH([iitr22]) > 30
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr22] = pyde.02.00:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000034" diagnostics="DVR.ATO.IITR.000034"
            test="not(
                        $iitr22[string-length(.) > 30]
                     )"/>
    

    <!-- Rule ID: VR.ATO.IITR.000049
        ELS Ref: V7
         
        IF LENGTH([iitr33]) > 38
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr33] = pyde.02.00:AddressDetails.Line1.Text (Postal)
      -->
    <assert id="VR.ATO.IITR.000049" diagnostics="DVR.ATO.IITR.000049"
            test="not(
                        $iitr33[string-length(.) > 38]
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.000050
        ELS Ref: V7
         
        IF LENGTH([iitr34]) > 38
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr34] = pyde.02.00:AddressDetails.Line1.Text (Residential)
      -->
    <assert id="VR.ATO.IITR.000050" diagnostics="DVR.ATO.IITR.000050"
            test="not(
                        $iitr34[string-length(.) > 38]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000051
        ELS Ref: V7
         
        IF LENGTH([iitr35]) > 27
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr35] = pyde.02.00:AddressDetails.LocalityName.Text (Postal)
    -->
    <assert id="VR.ATO.IITR.000051" diagnostics="DVR.ATO.IITR.000051"
            test="not(
                        $iitr35[string-length(.) > 27]
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.000135
         ELS Ref: V7
         
        IF LENGTH([iitr18]) > 3000
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr18] = pyin.xx.xx:Report.AmendmentReason.Text
    -->
    <assert id="VR.ATO.IITR.000135" diagnostics="DVR.ATO.IITR.000135"
            test="not(
                        $iitr18[string-length(.) > 3000]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000145
        ELS Ref: V7
         
        IF LENGTH([iitr41]) > 38
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr41] = pyde.02.00:AddressDetails.Line1.Text (Residential)
      -->
    <assert id="VR.ATO.IITR.000145" diagnostics="DVR.ATO.IITR.000145"
            test="not(
                        $iitr41[string-length(.) > 38]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000146
        ELS Ref: V7
         
        IF LENGTH([iitr42]) > 38
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr41] = pyde.02.00:AddressDetails.Line2.Text (Residential)
      -->
    <assert id="VR.ATO.IITR.000146" diagnostics="DVR.ATO.IITR.000146"
            test="not(
                        $iitr42[string-length(.) > 38]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000147
        ELS Ref: V7
         
        IF LENGTH([iitr43]) > 27
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr43] = pyde.02.00:AddressDetails.LocalityName.Text (Residential)
      -->
    <assert id="VR.ATO.IITR.000147" diagnostics="DVR.ATO.IITR.000147"
            test="not(
                        $iitr43[string-length(.) > 27]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000151
        ELS Ref: V7
         
        IF LENGTH([iitr48]) > 10
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr48] = pyde.xx.xx:ElectronicContact.Telephone.Mobile.Number
      -->
    <assert id="VR.ATO.IITR.000151" diagnostics="DVR.ATO.IITR.000151"
            test="not(
                        $iitr48[string-length(.) > 10]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000152
        ELS Ref: V7
         
        IF LENGTH([iitr10]) > 4
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr10] = pyin.02.00:Report.TargetFinancial.Year
      -->
    <assert id="VR.ATO.IITR.000152" diagnostics="DVR.ATO.IITR.000152"
            test="not(
                        $iitr10[string-length(.) > 4]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000153
        ELS Ref: V7
         
        IF LENGTH([iitr50]) > 15
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr50] = pyde.02.00:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.IITR.000153" diagnostics="DVR.ATO.IITR.000153"
            test="not(
                        $iitr50[string-length(.) > 15]
                     )"/>
    

    <!-- Rule ID: VR.ATO.IITR.000154
        ELS Ref: V7
         
        IF LENGTH([iitr51]) > 76
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr51] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.IITR.000154" diagnostics="DVR.ATO.IITR.000154"
            test="not(
                        $iitr51[string-length(.) > 76]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000156
        ELS Ref: V7
         
        IF LENGTH([iitr54]) > 9
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr54] = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
    -->
    <assert id="VR.ATO.IITR.000156" diagnostics="DVR.ATO.IITR.000156"
            test="not(
                        $iitr54[string-length(.) > 9]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000159
        ELS Ref: V7
         
        IF LENGTH([iitr533]) > 10
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr533] = pyid.02.09:Identifiers.FamilyAssistanceOfficeCustomerReferenceNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.000159" diagnostics="DVR.ATO.IITR.000159"
            test="not(
                        $iitr533[string-length(.) > 10]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000160
         ELS Ref: V9
         
        IF LENGTH([iitr536]) > 10
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr536] = pyid.02.00:Identifiers.TaxAgentClientReference.Text
    -->
    <assert id="VR.ATO.IITR.000160" diagnostics="DVR.ATO.IITR.000160"
            test="not(
                        $iitr536RPTAC[string-length(.) > 10]
                        or
                        $iitr536INTTAC[string-length(.) > 10]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000188
         ELS Ref: V7
         
        IF LENGTH([iitr31]) > 3000
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr31] = bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
    -->
    <assert id="VR.ATO.IITR.000188" diagnostics="DVR.ATO.IITR.000188"
            test="not(
                        $iitr31[string-length(.) > 3000]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.100070
         ELS REF: V7
         
        IF LENGTH([iitr541]) > 15
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr541] = pyde.02.00:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.IITR.100070" diagnostics="DVR.ATO.IITR.100070"
            test="not(
                        $iitr541RPTAC[string-length(.) > 15]
                        or
                        $iitr541INTTAC[string-length(.) > 15]
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.100080
         ELS Ref: V7
         
        IF LENGTH([iitr25]) > 30
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.100080" diagnostics="DVR.ATO.IITR.100080"
            test="not(
                        $iitr25[string-length(.) > 30]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.100082
         ELS Ref: V7
         
        IF LENGTH([iitr24]) > 15
             RETURN VALIDATION MESSAGE
        ENDIF        
    -->
    <assert id="VR.ATO.IITR.100082" diagnostics="DVR.ATO.IITR.100082"
            test="not(
                        $iitr24[string-length(.) > 15]
                     )"/>    
    
  </rule>
  
  <rule context="xbrli:xbrl/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.432041
        ELS Ref: V7
         
        IF LENGTH(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text) > 32
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.432041" diagnostics="DVR.ATO.GEN.432041"
            test="not(
                        string-length(.) > 32
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500058
        ELS Ref: V7
         
        IF LENGTH(pyde.xx.xx:PersonNameDetails.Position.Text) > 50
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500058" diagnostics="DVR.ATO.GEN.500058"
            test="not(
                        string-length(.) > 50
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500055
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500055" diagnostics="DVR.ATO.GEN.500055"
            test="not(
                        string-length(.) > 200
                      )"/>
  </rule>

</pattern>
