﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.000006
         ELS Ref: V9
         
        IF ([iitr22] <> NULLORBLANK) AND ([iitr22] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF            
        
        [iitr22] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000006" diagnostics="DVR.ATO.IITR.000006"
            test="not(     
                        $iitr22
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.000012
          ELS Ref: V138B
         
        IF ([iitr22] <> NULLORBLANK) AND ([iitr22] DOES NOT CONTAIN SET("A-Z","a-z"))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr22] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000012" diagnostics="DVR.ATO.IITR.000012"
            test="not(
                        $iitr22
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000014
         ELS Ref: V138B

        IF ([iitr33] <> NULLORBLANK) AND ([iitr33] DOES NOT CONTAIN SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr33] = pyde.02.00:AddressDetails.Line1.Text (Postal)
    -->
    <assert id="VR.ATO.IITR.000014" diagnostics="DVR.ATO.IITR.000014"
            test="not(
                        $iitr33
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                        
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000015
         ELS Ref: V138B

        IF ([iitr34] <> NULLORBLANK) AND ([iitr34] DOES NOT CONTAIN SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [iitr34] = pyde.02.00:AddressDetails.Line2.Text (Postal)
    -->
    <assert  id="VR.ATO.IITR.000015" diagnostics="DVR.ATO.IITR.000015"
             test="not(
                        $iitr34
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))    
                        ]                        
                    )"></assert>


    <!-- Rule ID: VR.ATO.IITR.000016
         ELS Ref: V138C
         
        IF ([iitr22] CONTAINS SET("-_-","''","  ") )
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr22] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000016" diagnostics="DVR.ATO.IITR.000016"
            test="not(                         
                         $iitr22[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000018
         ELS Ref: V139
         
        IF ([iitr22] CONTAINS " - ")
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr22] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000018" diagnostics="DVR.ATO.IITR.000018"
            test="not(
                         $iitr22[matches(.,'^(.*) - (.*)$')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000020
         ELS Ref: V35
         
        IF ([iitr16] = TRUE) AND ([iitr56] <> SET(1-9))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr16] = pyin.02.07:Report.Amendment.Indicator
        [iitr56] = pyin.02.08:Report.AmendmentSequence.Number
    -->
    <assert id="VR.ATO.IITR.000020" diagnostics="DVR.ATO.IITR.000020"
            test="not(
                        $iitr16[matches(.,'^(true|1)$')]
                        and
                        (
                            not($iitr56[matches(.,'^[1-9]$')])
                        )
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000022
         ELS Ref: V9
         
        IF ([iitr31] <> NULLORBLANK) AND ([iitr31] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
        ENDIF         
  
        [iitr31] = bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
    -->
    <assert id="VR.ATO.IITR.000022" diagnostics="DVR.ATO.IITR.000022"
            test="not(
                        $iitr31
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.000052
         ELS Ref: V9
         
        IF ([iitr18] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr18] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF            
        
        [iitr18] = pyin.xx.xx:Report.AmendmentReason.Text 
    -->
    <assert id="VR.ATO.IITR.000052" diagnostics="DVR.ATO.IITR.000052"
            test="not(
                        $iitr18
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]                              
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.000080
         ELS Ref: V9

        IF ([iitr33] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr33] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr33] = pyde.02.00:AddressDetails.Line1.Text (Postal)
    -->
    <assert id="VR.ATO.IITR.000080" diagnostics="DVR.ATO.IITR.000080"
            test="not(
                        $iitr33
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000081
         ELS Ref: V9
         
        IF ([iitr34] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr34] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr34] = pyde.02.00:AddressDetails.Line2.Text (Postal)
    -->
    <assert id="VR.ATO.IITR.000081" diagnostics="DVR.ATO.IITR.000081"
            test="not(
                        $iitr34
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.000108
         ELS Ref: V210A

        IF (([iitr38] = NULL) OR ([iitr38] = "au")) AND ([iitr35] CONTAINS SET(0-9))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr35] = pyde.02.00:AddressDetails.LocalityName.Text  (Postal)
        [iitr38] = pyde.02.08:AddressDetails.Country.Code       (Postal)
     -->
    <assert id="VR.ATO.IITR.000108" diagnostics="DVR.ATO.IITR.000108"
            test="not(                        
                        (
                            not($iitr38[not(@i:nil='true') and string-length(.) != 0]) 
                            or
                            $iitr38 = 'au'
                        ) 
                        and 
                        $iitr35[matches(., '([0-9])')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000109
         ELS Ref: V210A

        IF (([iitr52] = NULL) OR ([iitr52] = "au")) AND ([iitr43] CONTAINS SET(0-9))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr43] = pyde.02.00:AddressDetails.LocalityName.Text
        [iitr52] = pyde.02.08:AddressDetails.Country.Code
     -->
    <assert id="VR.ATO.IITR.000109" diagnostics="DVR.ATO.IITR.000109"
            test="not(
                        (
                            not($iitr52[not(@i:nil='true') and string-length(.) != 0]) 
                            or
                            $iitr52 = 'au'
                        ) 
                        and 
                        $iitr43[matches(., '([0-9])')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000125
    
        IF (([iitr51] STARTS WITH "@") OR ([iitr51] ENDS WITH "@") OR ([iitr51] CONTAINS MORE THAN ONE "@"))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr51] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.IITR.000125" diagnostics="DVR.ATO.IITR.000125"
            test="not(
                        $iitr51[matches(.,'(@.*@|^@|@$)')]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000128
         ELS Ref: V35

        IF ([iitr37] <> NULLORBLANK) AND ([iitr37]  <> SET(0200-9999))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr37] = pyde.02.00:AddressDetails.Postcode.Text (Postal)
     -->
    <assert  id="VR.ATO.IITR.000128" diagnostics="DVR.ATO.IITR.000128"
             test="not(
                          $iitr37
                          [
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))
                          ]                                           
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.000129
         ELS Ref: V35

        IF ([iitr45] <> NULLORBLANK) AND ([iitr45]  <> SET(0200-9999))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr45] = pyde.02.00:AddressDetails.Postcode.Text (Residential)
     -->
    <assert  id="VR.ATO.IITR.000129" diagnostics="DVR.ATO.IITR.000129"
             test="not(
                          $iitr45
                          [
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))
                          ] 
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.000133
    
        IF (([iitr51] CONTAINS "..")  OR ([iitr51] STARTS WITH ".") OR ([iitr51] ENDS WITH "."))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr51] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.IITR.000133" diagnostics="DVR.ATO.IITR.000133"
            test="not(
                        $iitr51[matches(.,'(\.\.|^\.|\.$)')]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000134
    
        IF ([iitr51] CONTAINS ".@") OR ([iitr51] CONTAINS "@.")
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr51] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.IITR.000134" diagnostics="DVR.ATO.IITR.000134"
            test="not(
                        $iitr51[matches(.,'(\.@|@\.)')]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000139
         
        IF (([iitr48] <> NULLORBLANK) AND NOT ([iitr48] STARTSWITH "04"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.000139" diagnostics="DVR.ATO.IITR.000139"
            test="not(
                        $iitr48
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^04*'))
                        ] 
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.000164
         ELS Ref: V35
         
        IF ([iitr48] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr48] <> SET(0-9))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr48] = pyde.02.07:ElectronicContact.Telephone.Mobile.Number

    -->
    <assert id="VR.ATO.IITR.000164" diagnostics="DVR.ATO.IITR.000164"
            test="not(
                        $iitr48
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000168
         ELS Ref: V9
         
        IF ([iitr41] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr41] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr41] = pyde.02.00:AddressDetails.Line1.Text (Residential)
    -->
    <assert id="VR.ATO.IITR.000168" diagnostics="DVR.ATO.IITR.000168"
            test="not(
                        $iitr41
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]                        
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000169
         ELS Ref: V9
         
        IF ([iitr42] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr42] <>  SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr42] = pyde.02.00:AddressDetails.Line2.Text (Residential)
    -->
    <assert id="VR.ATO.IITR.000169" diagnostics="DVR.ATO.IITR.000169"
            test="not(           
                        $iitr42
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]                                     
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000170
         ELS Ref: V9
         
        IF ([iitr43] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr43] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr43] = pyde.02.00:AddressDetails.LocalityName.Text (Residential)
    -->
    <assert id="VR.ATO.IITR.000170" diagnostics="DVR.ATO.IITR.000170"
            test="not(
                        $iitr43
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]                                       
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000178
         ELS Ref: V9

        IF ([iitr55] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr55] <> SET(a-z,A-Z,0-9,"&","*","(",")","-","'",",",".","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr55] = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text    
    -->
    <assert id="VR.ATO.IITR.000178" diagnostics="DVR.ATO.IITR.000178"
            test="not(
                        $iitr55
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#!@$%\[\];:&#x22;\?]')
                        ]                        
                    )"/>


    <!--  Rule ID: VR.ATO.IITR.000185
         ELS Ref: V2452
    
        IF ([iitr55] STARTSWITH " ")
           RETURN VALIDATION MESSAGE
        ENDIF  
        
        [iitr55] = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text    
    -->
    <assert id="VR.ATO.IITR.000185" diagnostics="DVR.ATO.IITR.000185"
            test="not(
                        $iitr55[matches(.,'^( )(.*)$', 'i')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000187
         ELS Ref: V9
         
        IF ([iitr35] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr35] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr35] = pyde.02.00:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.IITR.000187" diagnostics="DVR.ATO.IITR.000187"
            test="not(
                        $iitr35
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                    )"/>

    
    <!-- Rule ID: VR.ATO.IITR.100009
         ELS Ref: V9

         IF ([iitr533] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr533] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr533] = pyid.xx.xx:Identifiers.FamilyAssistanceOfficeCustomerReferenceNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.100009" diagnostics="DVR.ATO.IITR.100009"
            test="not(
                        $iitr533
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.100010
         ELS Ref: V9
         
        IF ([iitr51] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr51] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","-","=","'",".","?","/"," "))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr51] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.IITR.100010" diagnostics="DVR.ATO.IITR.100010"
            test="not(
                        $iitr51
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[\--9a-z?-Z -!$-&#x26;*='']*$'))
                        ]
                    )"/>

    
    <!-- Rule ID: VR.ATO.IITR.100011
         ELS Ref: V9

         IF ([iitr536] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr536] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr536] = pyid.xx.xx:Identifiers.TaxAgentClientReference.Text
    -->
    <assert id="VR.ATO.IITR.100011" diagnostics="DVR.ATO.IITR.100011"
            test="not(
                        $iitr536INTTAC
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                        or
                        $iitr536RPTAC
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                        ]
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.100075
         ELS Ref: V138B

        IF ([iitr25] <> NULLORBLANK) AND ([iitr25] DOES NOT CONTAIN SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr25] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.IITR.100075" diagnostics="DVR.ATO.IITR.100075"
            test="not(
                        $iitr25
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]      
                     )" />


    <!-- Rule ID: VR.ATO.IITR.100076
         ELS Ref: V9
         
        IF ([iitr25] CONTAINS SET("-_-","''","  ") )
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr25] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.IITR.100076" diagnostics="DVR.ATO.IITR.100076"
            test="not(
                        $iitr25
                        [
                            matches(.,'^(.*)(--|('')('')|  )(.*)$')
                        ]
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.100077
         ELS Ref: V139
         
        IF ([iitr25] CONTAINS  " - ")
           RETURN VALIDATION MESSAGE
        ENDIF  
        
        [iitr25] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.IITR.100077" diagnostics="DVR.ATO.IITR.100077"
            test="not(
                        $iitr25
                        [
                            matches(.,'^(.*) - (.*)$')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.100081
         ELS Ref: V9
         
        IF ([iitr25] <> NULLORBLANK) AND ([iitr25] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF 
        
        [iitr25] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text                 
    -->
    <assert id="VR.ATO.IITR.100081" diagnostics="DVR.ATO.IITR.100081"
            test="not(   
                        $iitr25
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.100083
         ELS Ref: V9
         
        IF ([iitr24] <> NULLORBLANK) AND ([iitr24] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF                    
    -->
    <assert id="VR.ATO.IITR.100083" diagnostics="DVR.ATO.IITR.100083"
            test="not(     
                        $iitr24
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')            
                        ]                         
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.100084
         ELS Ref: V138B
         
        IF ([iitr24] <> NULLORBLANK) AND ([iitr24] DOES NOT CONTAIN SET("A-Z","a-z"))
          RETURN VALIDATION MESSAGE
        ENDIF        
    -->
    <assert id="VR.ATO.IITR.100084" diagnostics="DVR.ATO.IITR.100084"
            test="not(
                        $iitr24
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.100085
         ELS Ref: V138C
         
        IF ([iitr24] CONTAINS SET("-_-","''","  ") )
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.100085" diagnostics="DVR.ATO.IITR.100085"
            test="not(   
                        $iitr24
                        [
                            matches(.,'^(.*)(--|('')('')|  )(.*)$')
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.100086
         ELS Ref: V139
         
        IF ([iitr24] CONTAINS  " - ")
          RETURN VALIDATION MESSAGE
        ENDIF        
    -->
    <assert id="VR.ATO.IITR.100086" diagnostics="DVR.ATO.IITR.100086"
            test="not(
                        $iitr24
                        [
                            matches(.,'^(.*) - (.*)$')
                        ]
                     )"/>
    
    

    <!-- Rule ID: VR.ATO.IITR.100089
         ELS Ref: V139
         
        IF ([iitr538] CONTAINS  " - " )
           RETURN VALIDATION MESSAGE
        ENDIF                   
    -->
    <assert id="VR.ATO.IITR.100089" diagnostics="DVR.ATO.IITR.100089"
            test="not(
                        (
                            not($IITR.INTTAC.Context) 
                            and 
                            $iitr538RPTAC[matches(.,'^(.*) - (.*)$')]
                        ) 
                        or
                        (
                            $IITR.INTTAC.Context 
                            and 
                            $iitr538INTTAC[matches(.,'^(.*) - (.*)$')]
                        )
                     )"/>                                     
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500037
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF              
        
    -->
    <assert id="VR.ATO.GEN.500037" diagnostics="DVR.ATO.GEN.500037"
            test="not(
                        matches(.,'[{}|_\\#]')
                    )"/>

  </rule>

  <rule context="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500059
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonNameDetails.Position.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:PersonNameDetails.Position.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500059" diagnostics="DVR.ATO.GEN.500059"
            test="not(
                        not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyin.02.00:Declaration.SignatoryIdentifier.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500069
         ELS Ref: V9
         
        IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","_","=","[","]",";",":","'",""",",",".","?","/"," "))                                                                                                                                                     
           RETURN VALIDATION MESSAGE
        ENDIF            
        
    -->
    <assert id="VR.ATO.GEN.500069" diagnostics="DVR.ATO.GEN.500069"
            test="not(
                        not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-_''=\[\];:&#x22;,.?\s/]*$'))
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.430230
    
        IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230"
            test="not(
                        not(matches(.,'@'))
                     )" />


    <!-- Rule ID: VR.ATO.GEN.430231
    
        IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" "))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231"
            test="not(
                        matches(.,'( )')
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.430232
    
        IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN ".")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.430232" diagnostics="DVR.ATO.GEN.430232"
            test="not(
                        not(matches(.,'\.'))
                     )" />

  </rule>

</pattern>
