﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Field Pattern Validations for Income</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.000216
         ELS Ref: V7
         
        IF [iitr125] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr125] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromDeferralSchemes.Amount
    -->
    <assert id="VR.ATO.IITR.000216" diagnostics="DVR.ATO.IITR.000216"
            test="not(
                        $iitr125[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000272
         ELS Ref: V7
         
        IF [iitr260] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr260] = bafpr1.xx.xx:Expense.LandcareOperationsNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.000272" diagnostics="DVR.ATO.IITR.000272"
            test="not(
                        $iitr260[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000294
         ELS Ref: V7
         
        IF ([iitr58]) > 100
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr58] = pyde.xx.xx:PersonDemographicDetails.Occupation.Description
    -->
    <assert id="VR.ATO.IITR.000294" diagnostics="DVR.ATO.IITR.000294"
            test="not(
                        $iitr58[string-length(.) > 100]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000299
         ELS Ref: V7

        IF [iitr64] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr64] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAllowancesEarningsTipsDirectorsFees.Amount
    -->
    <assert id="VR.ATO.IITR.000299" diagnostics="DVR.ATO.IITR.000299"
            test="not(
                        $iitr64[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000300
         ELS Ref: V7
         
        IF [iitr62] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr65] = bafpr1.xx.xx:Income.AllowancesEarningsTipsDirectorsFees.Amount
    -->
    <assert id="VR.ATO.IITR.000300" diagnostics="DVR.ATO.IITR.000300"
            test="not(
                        $iitr65[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000306
         ELS Ref: V7
         
        IF [iitr111] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr111] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
    -->
    <assert id="VR.ATO.IITR.000306" diagnostics="DVR.ATO.IITR.000306"
            test="not(
                        $iitr111[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000309
         ELS Ref: V7
         
        IF [iitr112] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr112] = bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount
    -->
    <assert id="VR.ATO.IITR.000309" diagnostics="DVR.ATO.IITR.000309"
            test="not(
                        $iitr112[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000310
         ELS Ref: V7
    
        IF [iitr113] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr111] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheld.Amount
    -->
    <assert id="VR.ATO.IITR.000310" diagnostics="DVR.ATO.IITR.000310"
            test="not(
                        $iitr113[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000311
         ELS Ref: V7
         
        IF [iitr85] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr85] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentAllowancesAndPayments.Amount                               
    -->
    <assert id="VR.ATO.IITR.000311" diagnostics="DVR.ATO.IITR.000311"
            test="not(
                        $iitr85[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000312
         ELS Ref: V7
         
        IF [iitr86] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr86] = bafpr1.xx.xx:Income.AustralianGovernmentAllowancesAndPayments.Amount
    -->
    <assert id="VR.ATO.IITR.000312" diagnostics="DVR.ATO.IITR.000312"
            test="not(
                        $iitr86[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000313
         ELS Ref: V7
         
        IF [iitr88] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr88] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianGovernmentPensionsAndAllowances.Amount                 
    -->
    <assert id="VR.ATO.IITR.000313" diagnostics="DVR.ATO.IITR.000313"
            test="not(
                        $iitr88[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000314
         ELS Ref: V7
         
        IF [iitr89] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF

        [iitr89] = gfapc.xx.xx:Pension.Total.Amount
    -->
    <assert id="VR.ATO.IITR.000314" diagnostics="DVR.ATO.IITR.000314"
            test="not(
                        $iitr89[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000315
         ELS Ref: V7

        IF [iitr91] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr91] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldAustralianAnnuitiesAndSuperannuationIncomeStream.Amount
    -->
    <assert id="VR.ATO.IITR.000315" diagnostics="DVR.ATO.IITR.000315"
            test="not(
                        $iitr91[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000316
         ELS Ref: V7
         
        IF [iitr92] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr92] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentTaxedElement.Amount
    -->
    <assert id="VR.ATO.IITR.000316" diagnostics="DVR.ATO.IITR.000316"
            test="not(
                        $iitr92[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000317
         ELS Ref: V7
         
        IF [iitr93] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr93] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationTaxableComponentUntaxedElement.Amount
    -->
    <assert id="VR.ATO.IITR.000317" diagnostics="DVR.ATO.IITR.000317"
            test="not(
                        $iitr93[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000318
         ELS Ref: V7
         
        IF [iitr94] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr94] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentTaxedElement.Amount
    -->
    <assert id="VR.ATO.IITR.000318" diagnostics="DVR.ATO.IITR.000318"
            test="not(
                        $iitr94[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000319
         ELS Ref: V7
         
        IF [iitr95] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr95] = bafpr3.xx.xx:Income.Superannuation.AnnuitiesAndSuperannuationLumpSumArrearsTaxableComponentUntaxedElement.Amount
    -->
    <assert id="VR.ATO.IITR.000319" diagnostics="DVR.ATO.IITR.000319"
            test="not(
                        $iitr95[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000320
         ELS Ref: V7
         
        IF [iitr115] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr115] = bafpr2.xx.xx:Income.Interest.Gross.Amount
    -->
    <assert id="VR.ATO.IITR.000320" diagnostics="DVR.ATO.IITR.000320"
            test="not(
                        $iitr115[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000321
         ELS Ref: V7

        IF [iitr116] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr116] = rvctc1.xx.xx:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
    -->
    <assert id="VR.ATO.IITR.000321" diagnostics="DVR.ATO.IITR.000321"
            test="not(
                        $iitr116[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000322
         ELS Ref: V7

        IF [iitr118] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr118] = bafpr1.xx.xx:Income.DividendsUnfranked.Amount
    -->
    <assert id="VR.ATO.IITR.000322" diagnostics="DVR.ATO.IITR.000322"
            test="not(
                        $iitr118[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000323
         ELS Ref: V7
         
        IF [iitr119] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr119] = bafpr1.xx.xx:Income.DividendsFranked.Amount
    -->
    <assert id="VR.ATO.IITR.000323" diagnostics="DVR.ATO.IITR.000323"
            test="not(
                        $iitr119[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000324
         ELS Ref: V7
         
        IF [iitr120] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr120] = rvctc1.xx.xx:IncomeTax.FrankingCredits.Amount
    -->
    <assert id="VR.ATO.IITR.000324" diagnostics="DVR.ATO.IITR.000324"
            test="not(
                        $iitr120[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000325
         ELS Ref: V7

        IF [iitr121] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr121] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldDividendsTFNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.000325" diagnostics="DVR.ATO.IITR.000325"
            test="not(
                        $iitr121[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000326
         ELS Ref: V7
         
        IF [iitr123] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr123] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxUpfrontSchemeEligibleForReduction.Amount
    -->
    <assert id="VR.ATO.IITR.000326" diagnostics="DVR.ATO.IITR.000326"
            test="not(
                        $iitr123[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000327
         ELS Ref: V7
         
        IF [iitr124] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr124] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountFromTaxedUpfrontSchemeNotEligibleForReduction.Amount
    -->
    <assert id="VR.ATO.IITR.000327" diagnostics="DVR.ATO.IITR.000327"
            test="not(
                        $iitr124[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000328
         ELS Ref: V7
         
        IF [iitr126] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr126] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountInterestAcquiredPreJuly2009.Amount
    -->
    <assert id="VR.ATO.IITR.000328" diagnostics="DVR.ATO.IITR.000328"
            test="not(
                        $iitr126[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000329
         ELS Ref: V7
         
        IF [iitr127] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr127] = bafpr3.xx.xx:Income.EmployeeShareSchemes.DiscountAssessable.Amount
    -->
    <assert id="VR.ATO.IITR.000329" diagnostics="DVR.ATO.IITR.000329"
            test="not(
                        $iitr127[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000330
         ELS Ref: V7

        IF [iitr128] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr128] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmployeeShareSchemesDiscountTFNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.000330" diagnostics="DVR.ATO.IITR.000330"
            test="not(
                        $iitr128[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000331
         ELS Ref: V7
         
        IF [iitr129] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr129] = bafpr3.xx.xx:Income.EmployeeShareSchemes.ForeignSourceDiscount.Amount
    -->
    <assert id="VR.ATO.IITR.000331" diagnostics="DVR.ATO.IITR.000331"
            test="not(
                        $iitr129[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000332
         ELS Ref: V7
         
        IF [iitr131] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr131] = bafpr1.xx.xx:Income.Net.Amount
    -->
    <assert id="VR.ATO.IITR.000332" diagnostics="DVR.ATO.IITR.000332"
            test="not(
                        $iitr131[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.IITR.000333
         ELS Ref: V7
         
        IF [iitr242] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr242] = bafpr1.xx.xx:Income.PartnershipPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000333" diagnostics="DVR.ATO.IITR.000333"
            test="not(
                        $iitr242[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000334
         ELS Ref: V7
         
        IF [iitr243] <> MONETARY(S,11,0)
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr243] = bafpr1.xx.xx:Income.TrustPrimaryProductionNetShare.Amount
    -->
    <assert id="VR.ATO.IITR.000334" diagnostics="DVR.ATO.IITR.000334"
            test="not(
                        $iitr243[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.IITR.000335
         ELS Ref: V7
         
        IF [iitr245] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr245] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineInValueDeductionPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.000335" diagnostics="DVR.ATO.IITR.000335"
            test="not(
                        $iitr245[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000336
         ELS Ref: V7
         
        IF [iitr246] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr246] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipsAndTrustPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000336" diagnostics="DVR.ATO.IITR.000336"
            test="not(
                        $iitr246[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000337
         ELS Ref: V7
         
        IF [iitr249] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr249] = bafpr1.xx.xx:Income.PartnershipInvestmentLessForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000337" diagnostics="DVR.ATO.IITR.000337"
            test="not(
                        $iitr249[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000338
         ELS Ref: V7
         
        IF [iitr250] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr250] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000338" diagnostics="DVR.ATO.IITR.000338"
            test="not(
                        $iitr250[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000339
         ELS Ref: V7
         
        IF [iitr251] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr251] = bafpr1.xx.xx:Income.PartnershipNonPrimaryProductionOtherShare.Amount
    -->
    <assert id="VR.ATO.IITR.000339" diagnostics="DVR.ATO.IITR.000339"
            test="not(
                        $iitr251[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000340
         ELS Ref: V7
         
        IF [iitr252] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr252] = bafpr1.xx.xx:Income.PartnershipLessForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000340" diagnostics="DVR.ATO.IITR.000340"
            test="not(
                        $iitr252[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000341
         ELS Ref: V7
         
        IF [iitr253] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr253] = bafpr1.xx.xx:Income.TrustManagedInvestmentSchemeLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000341" diagnostics="DVR.ATO.IITR.000341"
            test="not(
                        $iitr253[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000342
         ELS Ref: V7
         
        IF [iitr254] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr254] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000342" diagnostics="DVR.ATO.IITR.000342"
            test="not(
                        $iitr254[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000343
         ELS Ref: V7
         
        IF [iitr255] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr255] = bafpr1.xx.xx:Income.TrustLessNetCapitalGainAndForeignIncomeNonPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000343" diagnostics="DVR.ATO.IITR.000343"
            test="not(
                        $iitr255[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000344
         ELS Ref: V7
         
        IF [iitr257] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr257] = bafpr1.xx.xx:Income.TrustFrankedInvestmentNonPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000344" diagnostics="DVR.ATO.IITR.000344"
            test="not(
                        $iitr257[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000345
         ELS Ref: V7
         
        IF [iitr258] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr258] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionOtherShare.Amount
    -->
    <assert id="VR.ATO.IITR.000345" diagnostics="DVR.ATO.IITR.000345"
            test="not(
                        $iitr258[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000346
         ELS Ref: V7
         
        IF [iitr259] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr259] = bafpr1.xx.xx:Income.TrustFrankedNonPrimaryProductionShare.Amount
    -->
    <assert id="VR.ATO.IITR.000346" diagnostics="DVR.ATO.IITR.000346"
            test="not(
                        $iitr259[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000347
         ELS Ref: V7
         
        IF [iitr261] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr261] = rvctc2.xx.xx:IncomeTax.Deduction.TrustExcludingCapitalGainsAndForeignIncomeNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.000347" diagnostics="DVR.ATO.IITR.000347"
            test="not(
                        $iitr261[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000348
         ELS Ref: V7
         
        IF [iitr262] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr262] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipExcludingForeignIncomeNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.000348" diagnostics="DVR.ATO.IITR.000348"
            test="not(
                        $iitr262[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000349
         ELS Ref: V7
         
        IF [iitr263] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr263] = rvctc2.xx.xx:IncomeTax.Deduction.PartnershipRentalNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.000349" diagnostics="DVR.ATO.IITR.000349"
            test="not(
                        $iitr263[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000350
         ELS Ref: V7
         
        IF [iitr264] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr264] = rvctc2.xx.xx:IncomeTax.Deduction.TrustsPartnershipsOtherAllowableNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.000350" diagnostics="DVR.ATO.IITR.000350"
            test="not(
                        $iitr264[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000351
         ELS Ref: V7
         
        IF [iitr265] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr265] = rvctc2.xx.xx:IncomeTax.Deduction.TrustPartnershipOtherNonPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.000351" diagnostics="DVR.ATO.IITR.000351"
            test="not(
                        $iitr265[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000353
         ELS Ref: V7
         
        IF [iitr268] <> MONETARY(U,13,2)
              RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr268] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.000353" diagnostics="DVR.ATO.IITR.000353"
            test="not(
                        $iitr268[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000354
         ELS Ref: V7
         
        IF [iitr269] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr269] = rvctc1.xx.xx:IncomeTax.FrankingCreditsShare.Amount
    -->
    <assert id="VR.ATO.IITR.000354" diagnostics="DVR.ATO.IITR.000354"
            test="not(
                        $iitr269[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000355
         ELS Ref: V7
         
        IF [iitr270] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr270] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldInvestmentsTFNNotQuotedShare.Amount
    -->
    <assert id="VR.ATO.IITR.000355" diagnostics="DVR.ATO.IITR.000355"
            test="not(
                        $iitr270[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000356
         ELS Ref: V7
         
        IF [iitr271] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr271] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldCloselyHeldTrustShare.Amount
    -->
    <assert id="VR.ATO.IITR.000356" diagnostics="DVR.ATO.IITR.000356"
            test="not(
                        $iitr271[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000357
         ELS Ref: V7
         
        IF [iitr272] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr272] = rvctc1.xx.xx:IncomeTax.CreditTrusteeTaxPaidShare.Amount
    -->
    <assert id="VR.ATO.IITR.000357" diagnostics="DVR.ATO.IITR.000357"
            test="not(
                        $iitr272[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000358
         ELS Ref: V7
         
        IF [iitr273] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr273] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldForeignResidentShare.Amount
    -->
    <assert id="VR.ATO.IITR.000358" diagnostics="DVR.ATO.IITR.000358"
            test="not(
                        $iitr273[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000359
         ELS Ref: V7
         
        IF [iitr274] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr274] = gfati.xx.xx:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlementShare.Amount
    -->
    <assert id="VR.ATO.IITR.000359" diagnostics="DVR.ATO.IITR.000359"
            test="not(
                        $iitr274[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000360
         ELS Ref: V7
         
        IF [iitr276] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr276] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeVoluntaryAgreement.Amount
    -->
    <assert id="VR.ATO.IITR.000360" diagnostics="DVR.ATO.IITR.000360"
            test="not(
                        $iitr276[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000361
         ELS Ref: V7
         
        IF [iitr277] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr277] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeABNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.000361" diagnostics="DVR.ATO.IITR.000361"
            test="not(
                        $iitr277[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000362
         ELS Ref: V7
         
        IF [iitr278] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr278] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncomeLabourHireOrOtherPayments.Amount
    -->
    <assert id="VR.ATO.IITR.000362" diagnostics="DVR.ATO.IITR.000362"
            test="not(
                        $iitr278[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000363
         ELS Ref: V7
         
        IF [iitr279] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr279] = bafpr3.xx.xx:Income.PersonalServicesIncome.Net.Amount
    -->
    <assert id="VR.ATO.IITR.000363" diagnostics="DVR.ATO.IITR.000363"
            test="not(
                        $iitr279[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000364
        ELS Ref: V7
         
        IF [iitr281] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr281] = bafpr1.xx.xx:Income.PrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.000364" diagnostics="DVR.ATO.IITR.000364"
            test="not(
                        $iitr281[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000365
        ELS Ref: V7
         
        IF [iitr282] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr282] = bafpr1.xx.xx:Income.InvestmentNonPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.000365" diagnostics="DVR.ATO.IITR.000365"
            test="not(
                        $iitr282[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000366
        ELS Ref: V7
         
        IF [iitr283] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr283] = bafpr1.xx.xx:Income.RentalPropertyNonPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.000366" diagnostics="DVR.ATO.IITR.000366"
            test="not(
                        $iitr283[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000367
        ELS Ref: V7
         
        IF [iitr284] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr284] = bafpr1.xx.xx:Income.NonPrimaryProductionOtherNet.Amount
    -->
    <assert id="VR.ATO.IITR.000367" diagnostics="DVR.ATO.IITR.000367"
            test="not(
                        $iitr284[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000368
        ELS Ref: V7

        IF [iitr285] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr285] = bafpr1.xx.xx:Income.NonPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.000368" diagnostics="DVR.ATO.IITR.000368"
            test="not(
                        $iitr285[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000369
         ELS Ref: V7

        IF [iitr286] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr286] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
    -->
    <assert id="VR.ATO.IITR.000369" diagnostics="DVR.ATO.IITR.000369"
            test="not(
                        $iitr286[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000370
         ELS Ref: V7

        IF [iitr287] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr287] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.000370" diagnostics="DVR.ATO.IITR.000370"
            test="not(
                        $iitr287[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000371
         ELS Ref: V7

        IF [iitr288] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr288] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
    -->
    <assert id="VR.ATO.IITR.000371" diagnostics="DVR.ATO.IITR.000371"
            test="not(
                        $iitr288[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000372
         ELS Ref: V7

        IF [iitr289] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr289] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
    -->
    <assert id="VR.ATO.IITR.000372" diagnostics="DVR.ATO.IITR.000372"
            test="not(
                        $iitr289[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.310143
         ELS Ref: V7

		    IF [iitr291] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr291] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialPartnershipInvestmentShare.Amount
    -->
    <assert id="VR.ATO.IITR.310143" diagnostics="DVR.ATO.IITR.310143"
            test="not(
                        $iitr291[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.310144
         ELS Ref: V7

		    IF [iitr292] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr292] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialPartnershipRentalShare.Amount
    -->
    <assert id="VR.ATO.IITR.310144" diagnostics="DVR.ATO.IITR.310144"
            test="not(
                        $iitr292[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>    
    
    
    <!-- Rule ID: VR.ATO.IITR.310145
         ELS Ref: V7

        IF [iitr293] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr293] = rvctc3.xx.xx:Tax.Losses.BroughtForward.PartnershipNonCommercialOtherShare.Amount
    -->
    <assert id="VR.ATO.IITR.310145" diagnostics="DVR.ATO.IITR.310145"
            test="not(
                        $iitr293[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310146
         ELS Ref: V7

        IF [iitr294] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr294] = rvctc3.xx.xx:Tax.Losses.BroughtForward.PartnershipNonCommercialShare.Amount
    -->
    <assert id="VR.ATO.IITR.310146" diagnostics="DVR.ATO.IITR.310146"
            test="not(
                        $iitr294[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.310147
         ELS Ref: V7

		    IF [iitr295] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr295] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialSoleTraderInvestment.Amount
    -->
    <assert id="VR.ATO.IITR.310147" diagnostics="DVR.ATO.IITR.310147"
            test="not(
                        $iitr295[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/> 
    
    
    <!-- Rule ID: VR.ATO.IITR.310148
         ELS Ref: V7

		    IF [iitr296] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr296] = rvctc3.xx.xx:Tax.Losses.DeferredNonCommercialSoleTraderRental.Amount
    -->
    <assert id="VR.ATO.IITR.310148" diagnostics="DVR.ATO.IITR.310148"
            test="not(
                        $iitr296[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/> 
    

    <!-- Rule ID: VR.ATO.IITR.310149
         ELS Ref: V7

        IF [iitr297] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr297] = rvctc3.xx.xx:Tax.Losses.BroughtForward.SoleTraderNonCommercialOther.Amount
    -->
    <assert id="VR.ATO.IITR.310149" diagnostics="DVR.ATO.IITR.310149"
            test="not(
                        $iitr297[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310150
         ELS Ref: V7

        IF [iitr298] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr298] = rvctc3.xx.xx:Tax.Losses.BroughtForward.SoleTraderNonCommercial.Amount
    -->
    <assert id="VR.ATO.IITR.310150" diagnostics="DVR.ATO.IITR.310150"
            test="not(
                        $iitr298[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310151
         ELS Ref: V7

        IF [iitr299] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr299] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.310151" diagnostics="DVR.ATO.IITR.310151"
            test="not(
                        $iitr299[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310152
         ELS Ref: V7

        IF [iitr300] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr300] = rvctc3.xx.xx:Tax.Losses.BroughtForward.DeferredNonCommercialNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.310152" diagnostics="DVR.ATO.IITR.310152"
            test="not(
                        $iitr300[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310153
         ELS Ref: V7

        IF [iitr302] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr302] = rvctc2.xx.xx:IncomeTax.Deduction.FarmManagementDeposits.Amount
    -->
    <assert id="VR.ATO.IITR.310153" diagnostics="DVR.ATO.IITR.310153"
            test="not(
                        $iitr302[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310154
         ELS Ref: V7

        IF [iitr303] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr303] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsExceptionalCircumstances.Amount
    -->
    <assert id="VR.ATO.IITR.310154" diagnostics="DVR.ATO.IITR.310154"
            test="not(
                        $iitr303[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310155
         ELS Ref: V7

        IF [iitr304] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr304] = bafpr1.xx.xx:Income.FarmManagementEarlyRepaymentsNaturalDisaster.Amount
    -->
    <assert id="VR.ATO.IITR.310155" diagnostics="DVR.ATO.IITR.310155"
            test="not(
                        $iitr304[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310156
         ELS Ref: V7

        IF [iitr305] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr305] = bafpr1.xx.xx:Income.FarmManagementOtherRepayments.Amount
    -->
    <assert id="VR.ATO.IITR.310156" diagnostics="DVR.ATO.IITR.310156"
            test="not(
                        $iitr305[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310157
         ELS Ref: V7

        IF [iitr306] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr306] = bafpr1.xx.xx:Income.FarmManagementDepositsOrRepaymentsNet.Amount
    -->
    <assert id="VR.ATO.IITR.310157" diagnostics="DVR.ATO.IITR.310157"
            test="not(
                        $iitr306[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310161
         ELS Ref: V7

        IF [iitr311] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr311] = rvctc3.xx.xx:Capital.Gains.Net.Amount
    -->
    <assert id="VR.ATO.IITR.310161" diagnostics="DVR.ATO.IITR.310161"
            test="not(
                        $iitr311[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310162
         ELS Ref: V7

		    IF [iitr312] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr312] = rvctc3.xx.xx:Capital.Gains.Total.Amount
    -->
    <assert id="VR.ATO.IITR.310162" diagnostics="DVR.ATO.IITR.310162"
            test="not(
                        $iitr312[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310163
         ELS Ref: V7

		    IF [iitr313] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr313] = rvctc3.xx.xx:Capital.Losses.CarriedForward.Net.Amount
    -->
    <assert id="VR.ATO.IITR.310163" diagnostics="DVR.ATO.IITR.310163"
            test="not(
                        $iitr313[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310165
         ELS Ref: V7

		    IF [iitr316] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr316] = bafpr1.xx.xx:Income.ControlledForeignCompaniesAttributableIncome.Amount
    -->
    <assert id="VR.ATO.IITR.310165" diagnostics="DVR.ATO.IITR.310165"
            test="not(
                        $iitr316[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310167
         ELS Ref: V7

		    IF [iitr318] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr318] = rvctc4.xx.xx:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
    -->
    <assert id="VR.ATO.IITR.310167" diagnostics="DVR.ATO.IITR.310167"
            test="not(
                        $iitr318[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310168
         ELS Ref: V7

		    IF [iitr320] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr320] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeGross.Amount
    -->
    <assert id="VR.ATO.IITR.310168" diagnostics="DVR.ATO.IITR.310168"
            test="not(
                        $iitr320[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310169
         ELS Ref: V7

		    IF [iitr321] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr321] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomeOther.Amount
    -->
    <assert id="VR.ATO.IITR.310169" diagnostics="DVR.ATO.IITR.310169"
            test="not(
                        $iitr321[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310170
         ELS Ref: V7

		    IF [iitr322] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr322] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeWithoutUndeductedPurchasePrice.Amount
    -->
    <assert id="VR.ATO.IITR.310170" diagnostics="DVR.ATO.IITR.310170"
            test="not(
                        $iitr322[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310171
         ELS Ref: V7

		    IF [iitr323] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr323] = rvctc4.xx.xx:InternationalDealings.ForeignPensionOrAnnuityIncomeUndeductedPurchasePrice.Amount
    -->
    <assert id="VR.ATO.IITR.310171" diagnostics="DVR.ATO.IITR.310171"
            test="not(
                        $iitr323[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.IITR.310172
         ELS Ref: V7

		    IF [iitr324] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr324] = rvctc4.xx.xx:InternationalDealings.ForeignRent.Amount
    -->
    <assert id="VR.ATO.IITR.310172" diagnostics="DVR.ATO.IITR.310172"
            test="not(
                        $iitr324[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310173
         ELS Ref: V7

		    IF [iitr325] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr325] = rvctc4.xx.xx:InternationalDealings.ForeignSourceCompanyIncomeOther.Amount
    -->
    <assert id="VR.ATO.IITR.310173" diagnostics="DVR.ATO.IITR.310173"
            test="not(
                        $iitr325[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310174
         ELS Ref: V7

		    IF [iitr326] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr326] = rvctc4.xx.xx:InternationalDealings.ForeignSourceIncomeOther.Amount
    -->
    <assert id="VR.ATO.IITR.310174" diagnostics="DVR.ATO.IITR.310174"
            test="not(
                        $iitr326[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310175
         ELS Ref: V7

		    IF [iitr327] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr327] = bafpr3.xx.xx:Income.InternationalDealings.Net.Amount
    -->
    <assert id="VR.ATO.IITR.310175" diagnostics="DVR.ATO.IITR.310175"
            test="not(
                        $iitr327[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310176
         ELS Ref: V7

		    IF [iitr328] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr328] = rvctc1.xx.xx:IncomeTax.FrankingCreditsNewZealand.Amount
    -->
    <assert id="VR.ATO.IITR.310176" diagnostics="DVR.ATO.IITR.310176"
            test="not(
                        $iitr328[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310177
         ELS Ref: V7

		    IF [iitr329] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr329] = rvctc4.xx.xx:InternationalDealings.ForeignEmploymentIncomePaymentSummary.Amount
    -->
    <assert id="VR.ATO.IITR.310177" diagnostics="DVR.ATO.IITR.310177"
            test="not(
                        $iitr329[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310178
         ELS Ref: V7

		    IF [iitr330] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr330] = rvctc4.xx.xx:InternationalDealings.ExemptForeignEmploymentIncome.Amount
    -->
    <assert id="VR.ATO.IITR.310178" diagnostics="DVR.ATO.IITR.310178"
            test="not(
                        $iitr330[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310179
         ELS Ref: V7

		    IF [iitr331] <> MONETARY(U,13,2)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr331] = bafpr3.xx.xx:Income.InternationalDealings.TaxOffset.Amount
    -->
    <assert id="VR.ATO.IITR.310179" diagnostics="DVR.ATO.IITR.310179"
            test="not(
                        $iitr331[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.310181
         ELS Ref: V7

		    IF [iitr334] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
    -->
    <assert id="VR.ATO.IITR.310181" diagnostics="DVR.ATO.IITR.310181"
            test="not(
                        $iitr334[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.310182
         ELS Ref: V7

		    IF [iitr335] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount
    -->
    <assert id="VR.ATO.IITR.310182" diagnostics="DVR.ATO.IITR.310182"
            test="not(
                        $iitr335[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310183
         ELS Ref: V7

		    IF [iitr336] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount
    -->
    <assert id="VR.ATO.IITR.310183" diagnostics="DVR.ATO.IITR.310183"
            test="not(
                        $iitr336[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310184
         ELS Ref: V7

		    IF [iitr337] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
    -->
    <assert id="VR.ATO.IITR.310184" diagnostics="DVR.ATO.IITR.310184"
            test="not(
                        $iitr337[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310185
         ELS Ref: V7

		    IF [iitr339] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr339] = rvctc1.xx.xx:IncomeTax.LifeInsuranceCompaniesAndFriendlySocietiesBonuses.Amount
    -->
    <assert id="VR.ATO.IITR.310185" diagnostics="DVR.ATO.IITR.310185"
            test="not(
                        $iitr339[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310186
         ELS Ref: V7

		    IF [iitr341] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr341] = bafpr1.xx.xx:Income.ForestryManagedInvestmentScheme.Amount
    -->
    <assert id="VR.ATO.IITR.310186" diagnostics="DVR.ATO.IITR.310186"
            test="not(
                        $iitr341[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310198
         ELS Ref: V7

		    IF [iitr354] <> MONETARY(U,13,2)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr354] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldLumpSumPaymentsInArrears.Amount
    -->
    <assert id="VR.ATO.IITR.310198" diagnostics="DVR.ATO.IITR.310198"
            test="not(
                        $iitr354[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310199
         ELS Ref: V7

		    IF [iitr355] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr355] = bafpr1.xx.xx:Income.SpecialProfessional.Amount
    -->
    <assert id="VR.ATO.IITR.310199" diagnostics="DVR.ATO.IITR.310199"
            test="not(
                        $iitr355[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310207
         ELS Ref: V7

		    IF [iitr411] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr411] = bafpr3.xx.xx:Income.PersonalServicesIncome.VoluntaryAgreement.Amount
    -->
    <assert id="VR.ATO.IITR.310207" diagnostics="DVR.ATO.IITR.310207"
            test="not(
                        $iitr411[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310208
         ELS Ref: V7

		    IF [iitr412] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr412] = bafpr3.xx.xx:Income.PersonalServicesIncome.ABNNotQuoted.Amount
    -->
    <assert id="VR.ATO.IITR.310208" diagnostics="DVR.ATO.IITR.310208"
            test="not(
                        $iitr412[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310209
         ELS Ref: V7

		    IF [iitr413] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr413] = bafpr3.xx.xx:Income.PersonalServicesIncome.LabourHireOrOtherSpecifiedPayment.Amount
    -->
    <assert id="VR.ATO.IITR.310209" diagnostics="DVR.ATO.IITR.310209"
            test="not(
                        $iitr413[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310210
         ELS Ref: V7

		    IF [iitr414] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr414] = bafpr3.xx.xx:Income.PersonalServicesIncome.Other.Amount
    -->
    <assert id="VR.ATO.IITR.310210" diagnostics="DVR.ATO.IITR.310210"
            test="not(
                        $iitr414[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310211
         ELS Ref: V7

		    IF [iitr415] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr415] = bafpr3.xx.xx:Expense.PersonalServicesIncome.PrincipalWorkPaymentsToAssociates.Amount
    -->
    <assert id="VR.ATO.IITR.310211" diagnostics="DVR.ATO.IITR.310211"
            test="not(
                        $iitr415[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310212
         ELS Ref: V7

		    IF [iitr416] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr416] = bafpr3.xx.xx:Expense.PersonalServicesIncome.OtherDeductionsTotal.Amount
    -->
    <assert id="VR.ATO.IITR.310212" diagnostics="DVR.ATO.IITR.310212"
            test="not(
                        $iitr416[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>



    <!-- Rule ID: VR.ATO.IITR.310213
         ELS Ref: V7

		    IF [iitr436] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr436] = bafpr1.xx.xx:Income.ABNNotQuotedPrimaryProductionPaymentGross.Amount
    -->
    <assert id="VR.ATO.IITR.310213" diagnostics="DVR.ATO.IITR.310213"
            test="not(
                        $iitr436[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310214
         ELS Ref: V7

		    IF [iitr437] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr437] = bafpr1.xx.xx:Income.ABNNotQuotedNonPrimaryProductionPaymentGross.Amount
    -->
    <assert id="VR.ATO.IITR.310214" diagnostics="DVR.ATO.IITR.310214"
            test="not(
                        $iitr437[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310215
         ELS Ref: V7

		    IF [iitr438] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr438] = bafpr1.xx.xx:Income.ForeignResidentWithholdingNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.310215" diagnostics="DVR.ATO.IITR.310215"
            test="not(
                        $iitr438[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310216
         ELS Ref: V7

		    IF [iitr439] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr439] = bafpr1.xx.xx:Income.VoluntaryAgreementPrimaryProductionGross.Amount
    -->
    <assert id="VR.ATO.IITR.310216" diagnostics="DVR.ATO.IITR.310216"
            test="not(
                        $iitr439[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310217
         ELS Ref: V7

		    IF [iitr440] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr440] = bafpr1.xx.xx:Income.VoluntaryAgreementNonPrimaryProductionGross.Amount
    -->
    <assert id="VR.ATO.IITR.310217" diagnostics="DVR.ATO.IITR.310217"
            test="not(
                        $iitr440[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310218
         ELS Ref: V7

		    IF [iitr441] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr441] = bafpr1.xx.xx:Income.LabourHireArrangementPrimaryProductionPaymentGross.Amount
    -->
    <assert id="VR.ATO.IITR.310218" diagnostics="DVR.ATO.IITR.310218"
            test="not(
                        $iitr441[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310219
         ELS Ref: V7

		    IF [iitr442] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr442] = bafpr1.xx.xx:Income.LabourHireArrangementNonPrimaryProductionPaymentGross.Amount
    -->
    <assert id="VR.ATO.IITR.310219" diagnostics="DVR.ATO.IITR.310219"
            test="not(
                        $iitr442[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310220
         ELS Ref: V7

		    IF [iitr443] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr443] = bafpr1.xx.xx:Income.GovernmentIndustryPrimaryProductionPaymentsAssessable.Amount
    -->
    <assert id="VR.ATO.IITR.310220" diagnostics="DVR.ATO.IITR.310220"
            test="not(
                        $iitr443[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310222
         ELS Ref: V7

		    IF [iitr445] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr445] = bafpr1.xx.xx:Income.GovernmentIndustryNonPrimaryProductionPaymentsAssessable.Amount
    -->
    <assert id="VR.ATO.IITR.310222" diagnostics="DVR.ATO.IITR.310222"
            test="not(
                        $iitr445[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310224
         ELS Ref: V7

		    IF [iitr447] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr447] = bafpr1.xx.xx:Income.BusinessPrimaryProductionOther.Amount
    -->
    <assert id="VR.ATO.IITR.310224" diagnostics="DVR.ATO.IITR.310224"
            test="not(
                        $iitr447[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310225
         ELS Ref: V7

		    IF [iitr448] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr448] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionOther.Amount
    -->
    <assert id="VR.ATO.IITR.310225" diagnostics="DVR.ATO.IITR.310225"
            test="not(
                        $iitr448[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310226
         ELS Ref: V7

		    IF [iitr472] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr472] = bafpr1.xx.xx:Income.ReconciliationAdjustmentTotal.Amount
    -->
    <assert id="VR.ATO.IITR.310226" diagnostics="DVR.ATO.IITR.310226"
            test="not(
                        $iitr472[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310227
         ELS Ref: V7

		    IF [iitr474] <> MONETARY(S,11,0)
		          RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr474] = bafpr1.xx.xx:Income.BusinessPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.310227" diagnostics="DVR.ATO.IITR.310227"
            test="not(
                        $iitr474[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310228
         ELS Ref: V7

		    IF [iitr475] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr475] = bafpr1.xx.xx:Income.BusinessNonPrimaryProductionNet.Amount
    -->
    <assert id="VR.ATO.IITR.310228" diagnostics="DVR.ATO.IITR.310228"
            test="not(
                        $iitr475[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310229
         ELS Ref: V7

		    IF [iitr476] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr476] = bafpr1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.310229" diagnostics="DVR.ATO.IITR.310229"
            test="not(
                        $iitr476[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310230
         ELS Ref: V7

		    IF [iitr477] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr477] = bafpr1.xx.xx:Tax.Losses.BusinessDeferredNonCommercialLossPriorYearNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.310230" diagnostics="DVR.ATO.IITR.310230"
            test="not(
                        $iitr477[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY SALARY AND WAGES SEQUENCE CONTEXTS -->
	<rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSaWSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.000297
         ELS Ref: V7
         
         IF [iitr61] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr61] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSalaryOrWages.Amount
    -->
    <assert id="VR.ATO.IITR.000297" diagnostics="DVR.ATO.IITR.000297"
          test="not(
                            $iitr61
                            [
                          not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                                and 
                                @contextRef = $thisContextId
                            ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000298
         ELS Ref: V7
         
         IF [iitr62] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr62] = bafpr1.xx.xx:Income.SalaryOrWages.Amount
    -->
    <assert id="VR.ATO.IITR.000298" diagnostics="DVR.ATO.IITR.000298"
            test="not(
                              $iitr62
                              [
                            not(matches(.,'^[0-9]{1,11}$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY EMPLOYEE LUMP SUM PAYMENT SEQUENCE CONTEXTS -->
	<rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPELSPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.000301
         ELS Ref: V7
         
         IF [iitr67] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr67] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount                               
    -->
    <assert id="VR.ATO.IITR.000301" diagnostics="DVR.ATO.IITR.000301"
            test="not(
                              $iitr67
                              [
                            not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000302
         ELS Ref: V7
         
         IF [iitr68] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr68] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount
    -->
    <assert id="VR.ATO.IITR.000302" diagnostics="DVR.ATO.IITR.000302"
            test="not(
                              $iitr68
                              [
                            not(matches(.,'^[0-9]{1,11}$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000304
         ELS Ref: V7
         
         IF [iitr70] <> MONETARY(U,13,2)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr70] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount
    -->
    <assert id="VR.ATO.IITR.000304" diagnostics="DVR.ATO.IITR.000304"
            test="not(
                              $iitr70
                              [
                            not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000305
         ELS Ref: V7
         
         IF [iitr71] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr71] = bafpr1.xx.xx:Income.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount
    -->
    <assert id="VR.ATO.IITR.000305" diagnostics="DVR.ATO.IITR.000305"
            test="not(
                              $iitr71
                              [
                            not(matches(.,'^[0-9]{1,11}$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY EMPLOYMENT TERMINATION PAYMENT SEQUENCE CONTEXTS -->
	<rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPETPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.000307
         ELS Ref: V7
         
         IF [iitr74] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr74] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldEmploymentTerminationPayment.Amount
    -->
    <assert id="VR.ATO.IITR.000307" diagnostics="DVR.ATO.IITR.000307"
            test="not(
                              $iitr74
                              [
                            not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000308
         ELS Ref: V7
         
         IF [iitr75] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr75] = bafpr1.xx.xx:Income.EmploymentTerminationPaymentTaxable.Amount
    -->
    <assert id="VR.ATO.IITR.000308" diagnostics="DVR.ATO.IITR.000308"
            test="not(
                              $iitr75
                              [
                            not(matches(.,'^[0-9]{1,11}$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY SUPER LUMP SUM PAYMENT SEQUENCE CONTEXTS -->
	<rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSLSPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.000229
         ELS Ref: V7
         
         IF [iitr98] <> MONETARY(U,13,2)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr98] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldSuperannuationLumpSumPayment.Amount
    -->
    <assert id="VR.ATO.IITR.000229" diagnostics="DVR.ATO.IITR.000229"
            test="not(
                              $iitr98
                              [
                            not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000296
         ELS Ref: V7
         
         IF  [iitr99] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr99] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentTaxedElement.Amount                               
    -->
    <assert id="VR.ATO.IITR.000296" diagnostics="DVR.ATO.IITR.000296"
            test="not(
                              $iitr99
                              [
                            not(matches(.,'^[0-9]{1,11}$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000303
         ELS Ref: V7
         
         IF [iitr100] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr100] = bafpr3.xx.xx:Income.Superannuation.LumpSumPaymentTaxableComponentUntaxedElement.Amount
    -->
    <assert id="VR.ATO.IITR.000303" diagnostics="DVR.ATO.IITR.000303"
            test="not(
                              $iitr100
                              [
                            not(matches(.,'^[0-9]{1,11}$'))
                                  and 
                                  @contextRef = $thisContextId
                              ]
                     )"/>
  </rule>

  <!-- LOOP THROUGH REPORTING PARTY INCOME SEQUENCE CONTEXTS -->
	<rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPINCSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.310187
         ELS Ref: V7
         
         IF LENGTH([iitr343]) > 36
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr343] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Text
    -->
    <assert id="VR.ATO.IITR.310187" diagnostics="DVR.ATO.IITR.310187"
            test="not(
                        $iitr343
                        [
                          string-length(.) > 36
                          and
                          @contextRef = $thisContextId
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310189
         ELS Ref: V7

		     IF [iitr345] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr345] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionFinancialInvestmentsOther.Amount
    -->
    <assert id="VR.ATO.IITR.310189" diagnostics="DVR.ATO.IITR.310189"
           test="not(
                        $iitr345
                        [
                            not(matches(.,'^[0-9]{1,11}$'))
                            and
                            @contextRef = $thisContextId                
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.IITR.310190
         ELS Ref: V7

		     IF [iitr346] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr346] = rvctc1.xx.xx:IncomeTax.AssessableLowValuePoolDeductionRentalPropertyOther.Amount
    -->
    <assert id="VR.ATO.IITR.310190" diagnostics="DVR.ATO.IITR.310190"
           test="not(
                        $iitr346
                        [
                            not(matches(.,'^[0-9]{1,11}$'))
                            and
                            @contextRef = $thisContextId                
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310191
         ELS Ref: V7

		     IF [iitr347] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
 
		     [iitr347] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Amount
    -->
    <assert id="VR.ATO.IITR.310191" diagnostics="DVR.ATO.IITR.310191"
           test="not(
                        $iitr347
                        [
                            not(matches(.,'^[0-9]{1,11}$'))
                            and
                            @contextRef = $thisContextId                
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310192
         ELS Ref: V7

		     IF [iitr348] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr348] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Total.Amount
    -->
    <assert id="VR.ATO.IITR.310192" diagnostics="DVR.ATO.IITR.310192"
           test="not(
                        $iitr348
                        [
                            not(matches(.,'^[0-9]{1,11}$'))
                            and
                            @contextRef = $thisContextId                
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310193
         ELS Ref: V7
         
         IF LENGTH([iitr349]) > 36
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr349] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Text
    -->
    <assert id="VR.ATO.IITR.310193" diagnostics="DVR.ATO.IITR.310193"
            test="not(
                        $iitr349
                        [
                          string-length(.) > 36
                          and
                          @contextRef = $thisContextId
                        ]
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.310195
         ELS Ref: V7

		     IF [iitr351] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr351] = rvctc1.xx.xx:IncomeTax.FinancialInvestmentsOther.Amount
    -->
    <assert id="VR.ATO.IITR.310195" diagnostics="DVR.ATO.IITR.310195"
           test="not(
                        $iitr351
                        [
                            not(matches(.,'^[0-9]{1,11}$'))
                            and
                            @contextRef = $thisContextId                
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310196
         ELS Ref: V7

		     IF [iitr352] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr352] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Amount
    -->
    <assert id="VR.ATO.IITR.310196" diagnostics="DVR.ATO.IITR.310196"
           test="not(
                        $iitr352
                        [
                            not(matches(.,'^[0-9]{1,11}$'))
                            and
                            @contextRef = $thisContextId                
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.IITR.310197
         ELS Ref: V7

		     IF [iitr353] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
         
		     [iitr353] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Total.Amount
    -->
    <assert id="VR.ATO.IITR.310197" diagnostics="DVR.ATO.IITR.310197"
           test="not(
                        $iitr353
                        [
                            not(matches(.,'^[0-9]{1,11}$'))
                            and
                            @contextRef = $thisContextId                
                        ]
                     )"/>
  </rule>
</pattern>
