﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.000373
         ELS Ref: V9
         
        IF ([iitr58] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr58] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
        ENDIF         
  
        [iitr58] = pyde.02.11:PersonDemographicDetails.Occupation.Description
    -->
    <assert id="VR.ATO.IITR.000373" diagnostics="DVR.ATO.IITR.000373"
            test="not(
                        $iitr58
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY EMPLOYMENT TERMINATION PAYMENT SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPETPSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.000215
         ELS Ref: V35
        
         IF [iitr76] = "T"
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr76] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EmploymentTerminationPaymentType.Code
    -->
    <assert id="VR.ATO.IITR.000215" diagnostics="DVR.ATO.IITR.000215"
          test="not(
                      $iitr76[
                                . = 'T'
                                and
                                @contextRef = $thisContextId
                             ]
                     )"/>    

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY INCOME SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPINCSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.310137
         ELS Ref: V9
         
         IF ([iitr343] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr343] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr343] = rvctc1.xx.xx:IncomeTax.IncomeCategory1Other.Text
    -->
    <assert id="VR.ATO.IITR.310137" diagnostics="DVR.ATO.IITR.310137"
          test="not(
                      $iitr343[
                                not(@i:nil='true') and string-length(.) != 0
                                and
                                not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                                and
                                @contextRef = $thisContextId
                             ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.310139
         ELS Ref: V9
         
         IF ([iitr349] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr349] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr349] = rvctc1.xx.xx:IncomeTax.IncomeCategory2Other.Text
    -->
    <assert id="VR.ATO.IITR.310139" diagnostics="DVR.ATO.IITR.310139"
          test="not(
                      $iitr349[
                                not(@i:nil='true') and string-length(.) != 0
                                and
                                not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                                and
                                @contextRef = $thisContextId
                             ]
                     )"/>

  </rule>

</pattern>
