﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Income Tests Context Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.400050
      ELS Ref: N/A

      IF COUNT(RP.BUS) > 1
        RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.IITR.400050" diagnostics="DVR.ATO.IITR.400050"
            test="not(
                        count($IITR.RPBUS.Context) > 1
                      )" />


    <!-- Rule ID: VR.ATO.IITR.400051
         ELS Ref: N/A
      
        IF (RP.BUS:entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.400051" diagnostics="DVR.ATO.IITR.400051"
            test="not(
                        xbrli:context[@id = $IITR.RPBUS.ContextId]/xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.400052
      ELS Ref: N/A

      IF COUNT(RP.{LOSSSeqNum}) > 3
        RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.IITR.400052" diagnostics="DVR.ATO.IITR.400052"
            test="not(
                        count($IITR.RPLOSSSEQ.Context) > 3
                      )" />


    <!-- Rule ID: VR.ATO.IITR.400055
         ELS Ref: N/A
      
         IF (RP.SPOUSE:entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.400055" diagnostics="DVR.ATO.IITR.400055"
            test="not(
                        xbrli:context[@id = $IITR.RPSPOUSE.ContextId]/xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.400056
      ELS Ref: N/A

      IF COUNT(RP.SPOUSE) > 1
        RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert id="VR.ATO.IITR.400056" diagnostics="DVR.ATO.IITR.400056"
            test="not(
                        count($IITR.RPSPOUSE.Context) > 1
                      )" />

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY LOSS SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPLOSSSEQ.ContextId]">

    <!-- Rule ID: VR.ATO.IITR.400053
         ELS Ref: N/A
      
        IF (RP.{LOSSSeqNum}:entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.IITR.400053" diagnostics="DVR.ATO.IITR.400053"
            test="not(
                        xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.400054
         ELS Ref: N/A
      
        IF (RP.{LOSSSeqNum}:LossesSequenceContainer) = ANY OTHER OCCURRENCE OF (RP.{LOSSSeqNum}:LossesSequenceContainer)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <let name="thisReportItemOrderNumber" value="xbrli:entity/xbrli:segment/xbrldi:typedMember/LossSqNumDim.02.00:LossesSequenceContainer" />

    <assert id="VR.ATO.IITR.400054" diagnostics="DVR.ATO.IITR.400054"
            test="not(
                        preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/
                            LossSqNumDim.02.00:LossesSequenceContainer[. = $thisReportItemOrderNumber]
                     )" />


    <!-- Rule ID: VR.ATO.IITR.400063
         ELS Ref: N/A
      
         IF (RP.{LOSSSeqNum}:LossesSequenceContainer <> SET(1-3)) OR (RP.{LOSSSeqNum}:LossesSequenceContainer > COUNT(RP.{LOSSSeqNum}))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.400063" diagnostics="DVR.ATO.IITR.400063"
            test="not(
                        $thisReportItemOrderNumber
                        [
                            (. != '1' and . != '2' and . != '3')
                            or
                            . > count($IITR.RPLOSSSEQ.Context)
                        ]
                     )" />

  </rule>

  <!-- ############################## JC rules above SP rules below ############################## -->



</pattern>
