﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Income Tests Field Lengths Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.400032
         ELS Ref: V7

		    IF [iitr200] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr200] = bafpr1.xx.xx:Income.FringeBenefitsReportable.Amount
    -->
    <assert id="VR.ATO.IITR.400032" diagnostics="DVR.ATO.IITR.400032"
            test="not(
                        $iitr200[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400033
         ELS Ref: V7

		    IF [iitr201] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr201] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
    -->
    <assert id="VR.ATO.IITR.400033" diagnostics="DVR.ATO.IITR.400033"
            test="not(
                        $iitr201[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400034
         ELS Ref: V7

		    IF [iitr202] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr202] = gfapc.xx.xx:Pension.TaxFree.Amount
    -->
    <assert id="VR.ATO.IITR.400034" diagnostics="DVR.ATO.IITR.400034"
             test="not(
                        $iitr202[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400035
         ELS Ref: V7

		    IF [iitr203] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr203] = rvctc4.xx.xx:InternationalDealings.ForeignIncomeTarget.Amount
    -->
    <assert id="VR.ATO.IITR.400035" diagnostics="DVR.ATO.IITR.400035"
             test="not(
                        $iitr203[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400036
         ELS Ref: V7

		    IF [iitr204] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr204] = rvctc3.xx.xx:Tax.Losses.FinancialInvestmentNet.Amount
    -->
    <assert id="VR.ATO.IITR.400036" diagnostics="DVR.ATO.IITR.400036"
             test="not(
                        $iitr204[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400037
         ELS Ref: V7

		    IF [iitr205] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr205] = rvctc3.xx.xx:Tax.Losses.RentalPropertyNet.Amount
    -->
    <assert id="VR.ATO.IITR.400037" diagnostics="DVR.ATO.IITR.400037"
             test="not(
                        $iitr205[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400038
         ELS Ref: V7

		    IF [iitr206] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr206] = cssup.xx.xx:ChildSupport.Payment.Amount
    -->
    <assert id="VR.ATO.IITR.400038" diagnostics="DVR.ATO.IITR.400038"
             test="not(
                        $iitr206[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400039
         ELS Ref: V7

		    IF LENGTH([iitr207]) > 2
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr207] = pyde.xx.xx:PersonDemographicDetails.DependentChildren.Count
    -->
    <assert id="VR.ATO.IITR.400039" diagnostics="DVR.ATO.IITR.400039"
             test="not(
                        $iitr207[string-length(.) > 2]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400040
         ELS Ref: V7

		    IF [iitr208] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr208] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
    -->
    <assert id="VR.ATO.IITR.400040" diagnostics="DVR.ATO.IITR.400040"
            test="not(
                        $iitr208[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400041
         ELS Ref: V7

		    IF [iitr209] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr209] = bafpr1.xx.xx:Income.Estimated.Amount
    -->
    <assert id="VR.ATO.IITR.400041" diagnostics="DVR.ATO.IITR.400041"
            test="not(
                        $iitr209[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400042
         ELS Ref: V7

		    IF [iitr210] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr210] = bafpr1.xx.xx:Income.LowIncomeSuperannuationContributionEligible.Amount
    -->
    <assert id="VR.ATO.IITR.400042" diagnostics="DVR.ATO.IITR.400042"
             test="not(
                        $iitr210[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400043
         ELS Ref: V7

		    IF LENGTH([iitr213]) > 40
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.400043" diagnostics="DVR.ATO.IITR.400043"
             test="not(
                        $iitr213[string-length(.) > 30]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400044
         ELS Ref: V7

		    IF LENGTH([iitr214]) > 15
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr214] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.IITR.400044" diagnostics="DVR.ATO.IITR.400044"
             test="not(
                        $iitr214[string-length(.) > 15]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400045
         ELS Ref: V7

		    IF LENGTH([iitr215]) > 30
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr215] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.IITR.400045" diagnostics="DVR.ATO.IITR.400045"
             test="not(
                        $iitr215[string-length(.) > 30]
                     )"/>
    

    <!-- Rule ID: VR.ATO.IITR.410081
         ELS Ref: V7
         
         IF [iitr225] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr225] = bafpr1.xx.xx:Income.Taxable.Amount
      -->
    <assert id="VR.ATO.IITR.410081" diagnostics="DVR.ATO.IITR.410081"
            test="not(
                          $iitr225[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410082
         ELS Ref: V7
         
         IF [iitr226] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr226] = rvctc1.xx.xx:IncomeTax.TrustIncomeNotIncludedInTaxableIncome.Amount
      -->
    <assert id="VR.ATO.IITR.410082" diagnostics="DVR.ATO.IITR.410082"
            test="not(
                          $iitr226[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410083
         ELS Ref: V7
         
         IF [iitr227] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr227] = rvctc1.xx.xx:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount
      -->
    <assert id="VR.ATO.IITR.410083" diagnostics="DVR.ATO.IITR.410083"
            test="not(
                          $iitr227[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410084
         ELS Ref: V7
         
         IF [iitr228] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr228] = bafpr3.xx.xx:Income.FringeBenefits.Reportable.Amount
      -->
    <assert id="VR.ATO.IITR.410084" diagnostics="DVR.ATO.IITR.410084"
            test="not(
                          $iitr228[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410085
         ELS Ref: V7
         
         IF [iitr229] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr229] = gfapc.xx.xx:Pension.Total.Amount
      -->
    <assert id="VR.ATO.IITR.410085" diagnostics="DVR.ATO.IITR.410085"
            test="not(
                          $iitr229[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410086
         ELS Ref: V7
         
         IF [iitr230] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr230] = gfapc.xx.xx:Pension.SpouseExempt.Amount
      -->
    <assert id="VR.ATO.IITR.410086" diagnostics="DVR.ATO.IITR.410086"
            test="not(
                          $iitr230[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410087
         ELS Ref: V7
         
         IF [iitr231] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr231] = emsup.xx.xx:SuperannuationContribution.EmployerReportable.Amount
      -->
    <assert id="VR.ATO.IITR.410087" diagnostics="DVR.ATO.IITR.410087"
            test="not(
                          $iitr231[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410088
         ELS Ref: V7
         
         IF [iitr232] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr232] = gfapc.xx.xx:Pension.TaxFreePaidUnderMilitaryRehabilitationAndCompensationAct2004.Amount
      -->
    <assert id="VR.ATO.IITR.410088" diagnostics="DVR.ATO.IITR.410088"
            test="not(
                          $iitr232[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410089
         ELS Ref: V7
         
         IF [iitr233] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr233] = rvctc4.xx.xx:InternationalDealings.TargetForeignIncome.Amount
      -->
    <assert id="VR.ATO.IITR.410089" diagnostics="DVR.ATO.IITR.410089"
            test="not(
                          $iitr233[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410090
         ELS Ref: V7
         
         IF [iitr234] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr234] = rvctc3.xx.xx:Tax.Losses.InvestmentNet.Amount
      -->
    <assert id="VR.ATO.IITR.410090" diagnostics="DVR.ATO.IITR.410090"
            test="not(
                          $iitr234[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410091
         ELS Ref: V7
         
         IF [iitr235] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr235] = cssup.xx.xx:ChildSupport.Payment.Amount
      -->
    <assert id="VR.ATO.IITR.410091" diagnostics="DVR.ATO.IITR.410091"
            test="not(
                          $iitr235[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410092
         ELS Ref: V7
         
         IF [iitr236] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr236] = emsup.xx.xx:SuperannuationPayment.BenefitLumpSumZeroTaxRate.Amount
      -->
    <assert id="VR.ATO.IITR.410092" diagnostics="DVR.ATO.IITR.410092"
            test="not(
                          $iitr236[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410093
         ELS Ref: V7
         
         IF [iitr237] <> MONETARY(S,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr237] = bafpr1.xx.xx:Income.TaxableAdjusted.Amount
      -->
    <assert id="VR.ATO.IITR.410093" diagnostics="DVR.ATO.IITR.410093"
            test="not(
                          $iitr237[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410094
         ELS Ref: V7
         
         IF LENGTH([iitr418]) > 54
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr418] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
    -->
    <assert id="VR.ATO.IITR.410094" diagnostics="DVR.ATO.IITR.410094"
            test="not(
                        $iitr418[string-length(.) > 54]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.410100
         ELS Ref: V7
         
         IF LENGTH([iitr428]) > 38
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr428] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.IITR.410100" diagnostics="DVR.ATO.IITR.410100"
            test="not(
                        $iitr428[string-length(.) > 38]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.410101
         ELS Ref: V7
         
         IF LENGTH([iitr429]) > 38
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr429] = pyde.xx.xx:AddressDetails.Line2.Text
    -->
    <assert id="VR.ATO.IITR.410101" diagnostics="DVR.ATO.IITR.410101"
            test="not(
                        $iitr429[string-length(.) > 38]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.410102
         ELS Ref: V7
         
         IF LENGTH([iitr430]) > 27
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr430] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.IITR.410102" diagnostics="DVR.ATO.IITR.410102"
            test="not(
                        $iitr430[string-length(.) > 27]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.410106
         ELS Ref: V7
         
         IF LENGTH([iitr479]) > 36
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr479] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
    -->
    <assert id="VR.ATO.IITR.410106" diagnostics="DVR.ATO.IITR.410106"
            test="not(
                        $iitr479[string-length(.) > 36]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.410116
         ELS Ref: V7
         
         IF [iitr507] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

         [iitr507] = rvctc2.xx.xx:IncomeTax.Deduction.LowCostAssetDepreciationSimplified.Amount
      -->
    <assert id="VR.ATO.IITR.410116" diagnostics="DVR.ATO.IITR.410116"
            test="not(
                          $iitr507[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410117
         ELS Ref: V7
         
         IF [iitr508] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

         [iitr508] = rvctc2.xx.xx:IncomeTax.Deduction.SmallBusinessPoolDepreciationSimplified.Amount
      -->
    <assert id="VR.ATO.IITR.410117" diagnostics="DVR.ATO.IITR.410117"
            test="not(
                          $iitr508[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410118
         ELS Ref: V7
         
         IF [iitr510] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr510] = bafpo1.xx.xx:Assets.TradeandReceivablesOther.Amount
      -->
    <assert id="VR.ATO.IITR.410118" diagnostics="DVR.ATO.IITR.410118"
            test="not(
                          $iitr510[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410119
         ELS Ref: V7
         
         IF [iitr512] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr512] = bafpo1.xx.xx:Liabilities.TradeAndOtherPayablesTotal.Amount
      -->
    <assert id="VR.ATO.IITR.410119" diagnostics="DVR.ATO.IITR.410119"
            test="not(
                          $iitr512[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410120
         ELS Ref: V7
         
         IF [iitr514] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr514] = lrla.xx.xx:Remuneration.WagesAndSalaries.Total.Amount
      -->
    <assert id="VR.ATO.IITR.410120" diagnostics="DVR.ATO.IITR.410120"
            test="not(
                          $iitr514[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410122
         ELS Ref: V7
         
         IF [iitr518] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr518] = lrla.xx.xx:Remuneration.PaymentToRelatedPartiesGross.Amount
      -->
    <assert id="VR.ATO.IITR.410122" diagnostics="DVR.ATO.IITR.410122"
            test="not(
                          $iitr518[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410123
         ELS Ref: V7
         
         IF [iitr520] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr520] = bafpr3.xx.xx:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
      -->
    <assert id="VR.ATO.IITR.410123" diagnostics="DVR.ATO.IITR.410123"
            test="not(
                          $iitr520[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410124
         ELS Ref: V7
         
         IF [iitr522] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr522] = bafpr3.xx.xx:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
      -->
    <assert id="VR.ATO.IITR.410124" diagnostics="DVR.ATO.IITR.410124"
            test="not(
                          $iitr522[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410125
         ELS Ref: V7
         
         IF [iitr524] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr524] = bafpo7.xx.xx:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
      -->
    <assert id="VR.ATO.IITR.410125" diagnostics="DVR.ATO.IITR.410125"
            test="not(
                          $iitr524[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410126
         ELS Ref: V7
         
         IF [iitr526] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr526] = bafpo7.xx.xx:Assets.DepreciatingAssets.OtherTerminationValue.Amount
      -->
    <assert id="VR.ATO.IITR.410126" diagnostics="DVR.ATO.IITR.410126"
            test="not(
                          $iitr526[not(matches(.,'^[0-9]{1,11}$'))]
                       )"/>
  </rule>

  <!-- LOOP THROUGH REPORTING PARTY LOSS SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPLOSSSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.410111
         ELS Ref: V7

		    IF LENGTH([iitr489]) > 13
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr489] = rvctc3.xx.xx:Tax.ProductRulingNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.410111" diagnostics="DVR.ATO.IITR.410111"
            test="not(
                          $iitr489
                          [
                              string-length(.) > 13            
                              and 
                              @contextRef = $thisContextId
                          ]
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.410113
         ELS Ref: V7

		    IF LENGTH([iitr485]) > 13
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr485] = rvctc3.xx.xx:Tax.PrivateRulingNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.410113" diagnostics="DVR.ATO.IITR.410113"
            test="not(
                          $iitr485
                          [
                              string-length(.) > 13            
                              and 
                              @contextRef = $thisContextId
                          ]
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.410114
         ELS Ref: V7

		    IF [iitr486] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr486] = rvctc3.xx.xx:Tax.Losses.PriorYearNonCommercial.Amount
    -->
    <assert id="VR.ATO.IITR.410114" diagnostics="DVR.ATO.IITR.410114"
            test="not(
                          $iitr486
                          [
                              not(matches(.,'^[0-9]{1,11}$'))
                              and 
                              @contextRef = $thisContextId
                          ]
                      )"/>
    

    <!-- Rule ID: VR.ATO.IITR.410115
         ELS Ref: V7

		    IF [iitr487] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr487] = rvctc3.xx.xx:Tax.Losses.Net.Amount
    -->
    <assert id="VR.ATO.IITR.410115" diagnostics="DVR.ATO.IITR.410115"
            test="not(
                          $iitr487
                          [
                              not(matches(.,'^[0-9]{1,11}$'))
                              and 
                              @contextRef = $thisContextId
                          ]
                      )"/>
  </rule>

</pattern>
