﻿<?xml version="1.0" encoding="utf-8" ?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>PreFill Context Tests</title>

  <rule context="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true') and string-length(.) != 0]">
  
     <!-- Rule ID: VR.ATO.IITR.620001
          ELS Ref: N/A
 
          IF ([iitr10] < 2014) 
           OR 
           (
            (DATE(TODAY).Month < 7) 
            AND 
            ([iitr10] > (DATE(TODAY).Year))
           ) 
           OR 
           (
            (DATE(TODAY).Month > 6) 
            AND 
            ([iitr10] > DATE(TODAY).Year + 1)
           )
              RETURN VALIDATION MESSAGE
          ENDIF
        -->
    <assert id="VR.ATO.IITR.620001" diagnostics="DVR.ATO.IITR.620001"
            test="not(
                      $iitr10 &lt; '2014'
                      or
                      (
                        month-from-date(current-date()) &lt; 7
                        and
                        $iitr10 &gt; (year-from-date(current-date()))
                      )
                      or
                      (
                        month-from-date(current-date()) &gt; 6
                        and
                        $iitr10 &gt; (year-from-date(current-date()) + 1)
                      )
              )" 
     />

  </rule>
  


  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: V21
         
        IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
            test="not(
                        not(function:ValidateTAN(.)) 
                     )"/>
  </rule>
  
</pattern>
