﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl/xbrli:context[@id = $RPPSSSEQ.ContextId]">

    <let name="thisContextId" value="@id" />
    
    <!-- Rule ID: VR.ATO.PSS.000013
         ELS Ref: V210G
         
         WHERE IN RP.Payer.{PSSeqNum}
         IF ([pss22] > 0 AND [pss22] > [pss18]*0.50 + 1) OR ([pss23] > 0 AND [pss23] > [pss19]*0.50 + 1) OR ([pss24] > 0 AND [pss24] > [pss20]*0.50 + 1) OR ([pss25] > 0 AND [pss25] > [pss21]*0.50 + 1) OR ([pss32] > 0 AND [pss32] > [pss31]*0.50 + 1)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr22] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
         [iitr23] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
         [iitr24] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
         [iitr25] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
         [iitr32] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
     -->
    <assert  id="VR.ATO.PSS.000013" diagnostics="DVR.ATO.PSS.000013"
             test="not(
                          (
                            sum($pss22[@contextRef = $thisContextId]) > 0 
                            and 
                            sum($pss22[@contextRef = $thisContextId]) > sum($pss18[@contextRef = $thisContextId]) * 0.5 +1
                          )
                          or
                          (
                            sum($pss23[@contextRef = $thisContextId]) > 0 
                            and 
                            sum($pss23[@contextRef = $thisContextId]) > sum($pss19[@contextRef = $thisContextId]) * 0.5 +1
                          )
                          or
                          (
                            sum($pss24[@contextRef = $thisContextId]) > 0 
                            and 
                            sum($pss24[@contextRef = $thisContextId]) > sum($pss20[@contextRef = $thisContextId]) * 0.5 +1
                          )
                          or
                          (
                            sum($pss25[@contextRef = $thisContextId]) > 0 
                            and 
                            sum($pss25[@contextRef = $thisContextId]) > sum($pss21[@contextRef = $thisContextId]) * 0.5 +1
                          )
                          or
                          (
                            sum($pss32[@contextRef = $thisContextId]) > 0 
                            and 
                            sum($pss32[@contextRef = $thisContextId]) > sum($pss31[@contextRef = $thisContextId]) * 0.5 +1
                          )
                       )"/>


    <!-- Rule ID: VR.ATO.PSS.000023
         ELS Ref: N/A

		    WHERE IN RP.Payer.PSSeqNum
		    IF (
              ([pss22] <> NULL AND ([pss23] <> NULL OR [pss24] <> NULL OR [pss25] <> NULL OR [pss32] <> NULL)) 
              OR 
              ([pss23] <> NULL AND ([pss22] <> NULL OR [pss24] <> NULL OR [pss25] <> NULL OR [pss32] <> NULL)) 
              OR  
              ([pss24] <> NULL AND ([pss22] <> NULL OR [pss23] <> NULL OR [pss25] <> NULL OR [pss32] <> NULL)) 
              OR 
              ([pss25] <> NULL AND ([pss22] <> NULL OR [pss24] <> NULL OR [pss23] <> NULL OR [pss32] <> NULL))
              OR 
              ([pss32] <> NULL AND ([pss22] <> NULL OR [pss24] <> NULL OR [pss25] <> NULL OR [pss23] <> NULL))
           )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss22] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
		    [pss23] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
		    [pss24] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
		    [pss25] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
		    [pss32] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
    -->
    <assert  id="VR.ATO.PSS.000023" diagnostics="DVR.ATO.PSS.000023"
             test="not(
                          (
                              $pss22[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss23[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss24[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss25[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss32[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          )
                          or
                          (
                              $pss23[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss22[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss24[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss25[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss32[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          ) 
                          or
                          (
                              $pss24[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss22[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss23[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss25[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss32[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          )
                          or
                          (
                              $pss25[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss22[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss23[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss24[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss32[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          )
                          or
                          (
                              $pss32[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss22[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss23[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss24[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss25[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          )
                      )"/>
    

    <!-- Rule ID: VR.ATO.PSS.000024
         ELS Ref: N/A

		    WHERE IN RP.Payer.PSSeqNum
		    IF (
              ([pss18] <> NULL AND ([pss19] <> NULL OR [pss20] <> NULL OR [pss21] <> NULL OR [pss31] <> NULL)) 
              OR 
              ([pss19] <> NULL AND ([pss18] <> NULL OR [pss20] <> NULL OR [pss21] <> NULL OR [pss31] <> NULL)) 
              OR 
              ([pss20] <> NULL AND ([pss19] <> NULL OR [pss18] <> NULL OR [pss21] <> NULL OR [pss31] <> NULL)) 
              OR 
              ([pss21] <> NULL AND ([pss19] <> NULL OR [pss20] <> NULL OR [pss18] <> NULL OR [pss31] <> NULL)) 
              OR 
              ([pss31] <> NULL AND ([pss19] <> NULL OR [pss20] <> NULL OR [pss21] <> NULL OR [pss18] <> NULL))
           )
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss18] = lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
		    [pss19] = lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
		    [pss20] = lrla.xx.xx:Remuneration.VoluntaryAgreementGross.Amount
		    [pss21] = lrla.xx.xx:Remuneration.LabourHireArrangementPaymentGross.Amount
		    [pss31] = lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedGross.Amount
    -->
    <assert  id="VR.ATO.PSS.000024" diagnostics="DVR.ATO.PSS.000024"
             test="not(
                          (
                              $pss18[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss19[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss20[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss21[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss31[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          )
                          or
                          (
                              $pss19[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss18[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss20[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss21[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss31[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          ) 
                          or
                          (
                              $pss20[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss18[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss19[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss21[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss31[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          )
                          or
                          (
                              $pss21[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss18[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss19[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss20[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss31[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          )
                          or
                          (
                              $pss31[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              (
                                  $pss18[not(@i:nil='true') and @contextRef = $thisContextId]
                                  or 
                                  $pss19[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss20[not(@i:nil='true') and @contextRef = $thisContextId] 
                                  or 
                                  $pss21[not(@i:nil='true') and @contextRef = $thisContextId]
                              )
                          )
                      )"/>


    <!-- Rule ID: VR.ATO.PSS.000025
         ELS Ref: N/A

		    WHERE IN RP.Payer.PSSeqNum
		    IF (
              ([pss18] <> NULL AND [pss22] = NULL) 
              OR 
              ([pss19] <> NULL AND [pss23] = NULL) 
              OR 
              ([pss20] <> NULL AND [pss24] = NULL) 
              OR 
              ([pss21] <> NULL AND [pss25] = NULL) 
              OR 
              ([pss31] <> NULL AND [pss32] = NULL))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss18] = lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
		    [pss19] = lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
		    [pss20] = lrla.xx.xx:Remuneration.VoluntaryAgreementGross.Amount
		    [pss21] = lrla.xx.xx:Remuneration.LabourHireArrangementPaymentGross.Amount
		    [pss22] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
		    [pss23] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
		    [pss24] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
		    [pss25] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
		    [pss31] = lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedGross.Amount
		    [pss32] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
    -->
    <assert  id="VR.ATO.PSS.000025" diagnostics="DVR.ATO.PSS.000025"
             test="not(
                          (
                              $pss18[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              not($pss22[not(@i:nil='true') and @contextRef = $thisContextId])
                          )
                          or
                          (
                              $pss19[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              not($pss23[not(@i:nil='true') and @contextRef = $thisContextId])
                          ) 
                          or
                          (
                              $pss20[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              not($pss24[not(@i:nil='true') and @contextRef = $thisContextId])
                          )
                          or
                          (
                              $pss21[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              not($pss25[not(@i:nil='true') and @contextRef = $thisContextId])
                          )
                          or
                          (
                              $pss31[not(@i:nil='true') and @contextRef = $thisContextId]                               
                              and 
                              not($pss32[not(@i:nil='true') and @contextRef = $thisContextId])
                          )
                      )"/>

    <!-- Rule ID: VR.ATO.PSS.000026
         ELS Ref: N/A

		    IF ([pss17] <> NULLORBLANK AND WPNALGORITHM([pss17]) = FALSE)
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss17] = pyid.xx.xx:Identifiers.WithholdingPayerNumber.Identifier
    -->
    <assert  id="VR.ATO.PSS.000026" diagnostics="DVR.ATO.PSS.000026"
             test="not(
                          $pss17
                          [
                              not(@i:nil='true') 
                              and 
                              string-length(.) != 0
                              and 
                              @contextRef = $thisContextId
                              and
                              not(function:ValidateTFN(.))
                          ]
                      )"/>
    
  </rule>

  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.434223
         ELS Ref: V1200
      
          IF (pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) and (ABNALGORITHM(pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier) = FALSE)
            RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223"
               test="not(
                            not(function:ValidateABN(.))
                         )"/>
  </rule>
</pattern>
