﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY PAYER SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $RPPSSSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.PSS.000017
         ELS Ref: V9

		    IF ([pss26] <> NULLORBLANK) AND (ANY CHARACTER OF [pss26] = SET("\", "{", "}", "_", "#"))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss26] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.PSS.000017" diagnostics="DVR.ATO.PSS.000017"
            test="not(     
                        $pss26
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and 
                            @contextRef = $thisContextId                            
                        ]    
                    )"/>


    <!-- Rule ID: VR.ATO.PSS.000018
         ELS Ref: V9

		    IF ([pss29] <> NULLORBLANK) AND (ANY CHARACTER OF [pss29] = SET("\", "{", "}", "_", "#"))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss29] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.PSS.000018" diagnostics="DVR.ATO.PSS.000018"
            test="not(     
                        $pss29
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and 
                            @contextRef = $thisContextId                            
                        ]    
                    )"/>


    <!-- Rule ID: VR.ATO.PSS.000019
         ELS Ref: V9

		    IF ([pss27] <> NULLORBLANK) AND (ANY CHARACTER OF [pss27] = SET("\", "{", "}", "_", "#"))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss27] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.PSS.000019" diagnostics="DVR.ATO.PSS.000019"
            test="not(     
                        $pss27
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and 
                            @contextRef = $thisContextId                            
                        ]    
                    )"/>


    <!-- Rule ID: VR.ATO.PSS.000022
         ELS Ref: V9

		    IF ([pss28] <> NULLORBLANK) AND (ANY CHARACTER OF [pss28] = SET("\", "{", "}", "_", "#"))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss28] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.PSS.000022" diagnostics="DVR.ATO.PSS.000022"
            test="not(     
                        $pss28
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and 
                            @contextRef = $thisContextId                            
                        ]    
                    )"/>

  </rule>
</pattern>