<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="RS201405Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RP_facts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RP')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M10"/><xsl:apply-templates select="/" mode="M11"/><xsl:apply-templates select="/" mode="M12"/><xsl:apply-templates select="/" mode="M13"/><xsl:apply-templates select="/" mode="M14"/><xsl:apply-templates select="/" mode="M15"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross the RS service.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                           and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                           xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                               matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                           ]                                     ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/><xsl:variable name="rs12" select="key('RP_facts', 'Party.Type.CodeRP')"/><xsl:variable name="rs14" select="key('RP_facts', 'OrganisationNameDetails.OrganisationalName.TextRP')"/><xsl:variable name="rs17" select="key('RP_facts', 'AddressDetails.Line1.TextRP')"/><xsl:variable name="rs18" select="key('RP_facts', 'AddressDetails.Line2.TextRP')"/><xsl:variable name="rs19" select="key('RP_facts', 'AddressDetails.LocalityName.TextRP')"/><xsl:variable name="rs20" select="key('RP_facts', 'AddressDetails.Postcode.TextRP')"/><xsl:variable name="rs21" select="key('RP_facts', 'AddressDetails.StateOrTerritory.CodeRP')"/><xsl:variable name="rs24" select="key('RP_facts', 'RealEstateProperty.RentalIncomeFirstEarned.DateRP')"/><xsl:variable name="rs25" select="key('RP_facts', 'RealEstateProperty.RentalWeeks.CountRP')"/><xsl:variable name="rs27" select="key('RP_facts', 'RealEstateProperty.RentalWeeksAvailable.CountRP')"/><xsl:variable name="rs28" select="key('RP_facts', 'RealEstateProperty.Ownership.PercentRP')"/><xsl:variable name="rs29" select="key('RP_facts', 'RealEstateProperty.Acquisition.DateRP')"/><xsl:variable name="rs30" select="key('RP_facts', 'Assets.Investment.RealEstatePropertyPurchase.AmountRP')"/><xsl:variable name="rs31" select="key('RP_facts', 'RealEstateProperty.Disposal.DateRP')"/><xsl:variable name="rs32" select="key('RP_facts', 'Assets.Investment.RealEstatePropertySale.AmountRP')"/><xsl:variable name="rs33" select="key('RP_facts', 'Income.RealEstateProperty.CapitalGainsNet.AmountRP')"/><xsl:variable name="rs34" select="key('RP_facts', 'Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.AmountRP')"/><xsl:variable name="rs35" select="key('RP_facts', 'Expense.RealEstateProperty.CapitalWorksDeductionRecouped.AmountRP')"/><xsl:variable name="rs36" select="key('RP_facts', 'RealEstateProperty.LoanRenegotiated.IndicatorRP')"/><xsl:variable name="rs38" select="key('RP_facts', 'Income.RealEstateProperty.Rental.AmountRP')"/><xsl:variable name="rs39" select="key('RP_facts', 'Income.RealEstateProperty.RentalRelatedOther.AmountRP')"/><xsl:variable name="rs40" select="key('RP_facts', 'Expense.RealEstateProperty.Marketing.AmountRP')"/><xsl:variable name="rs41" select="key('RP_facts', 'Expense.RealEstateProperty.BodyCorporate.AmountRP')"/><xsl:variable name="rs42" select="key('RP_facts', 'Expense.RealEstateProperty.Borrowing.AmountRP')"/><xsl:variable name="rs43" select="key('RP_facts', 'Expense.RealEstateProperty.Cleaning.AmountRP')"/><xsl:variable name="rs44" select="key('RP_facts', 'Expense.RealEstateProperty.CouncilRates.AmountRP')"/><xsl:variable name="rs45" select="key('RP_facts', 'Expense.DepreciationandAmortisation.AmountRP')"/><xsl:variable name="rs46" select="key('RP_facts', 'Expense.RealEstateProperty.Gardening.AmountRP')"/><xsl:variable name="rs47" select="key('RP_facts', 'Expense.RealEstateProperty.Insurance.AmountRP')"/><xsl:variable name="rs48" select="key('RP_facts', 'Expense.RealEstateProperty.LoanInterest.AmountRP')"/><xsl:variable name="rs49" select="key('RP_facts', 'Expense.LandTax.AmountRP')"/><xsl:variable name="rs50" select="key('RP_facts', 'Expense.RealEstateProperty.LegalFees.AmountRP')"/><xsl:variable name="rs51" select="key('RP_facts', 'Expense.RealEstateProperty.PestControl.AmountRP')"/><xsl:variable name="rs52" select="key('RP_facts', 'Expense.RealEstateProperty.AgentFeesCommission.AmountRP')"/><xsl:variable name="rs53" select="key('RP_facts', 'Expense.RealEstateProperty.RepairsAndMaintenance.AmountRP')"/><xsl:variable name="rs54" select="key('RP_facts', 'Expense.RealEstateProperty.CapitalWorksDeduction.AmountRP')"/><xsl:variable name="rs55" select="key('RP_facts', 'Expense.RealEstateProperty.OfficeSupplies.AmountRP')"/><xsl:variable name="rs56" select="key('RP_facts', 'Expense.Travel.AmountRP')"/><xsl:variable name="rs57" select="key('RP_facts', 'Expense.RealEstateProperty.Water.AmountRP')"/><xsl:variable name="rs58" select="key('RP_facts', 'Expense.RealEstateProperty.Sundry.AmountRP')"/><xsl:variable name="rs59" select="key('RP_facts', 'Income.RealEstateProperty.RentalNet.AmountRP')"/><xsl:template match="text()" priority="-1" mode="M10"/><xsl:template match="@*|node()" priority="-2" mode="M10"><xsl:apply-templates select="*" mode="M10"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the RS services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M11">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430296</isns:Code><isns:Description>Invalid context. The number of Reporting party contexts must equal 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.438029</isns:Code><isns:Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M11"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1000" mode="M11">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                @id = $RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateTFN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500009</isns:Code><isns:Description>Reporting Party Tax file number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M11"/></xsl:template><xsl:template match="text()" priority="-1" mode="M11"/><xsl:template match="@*|node()" priority="-2" mode="M11"><xsl:apply-templates select="*" mode="M11"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1004" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500026</isns:Code><isns:Description>Address Line 1 contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1003" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500027</isns:Code><isns:Description>Address Line 2 contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1002" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                       ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500028</isns:Code><isns:Description>Suburb/Town/City contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i')                       ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><isns:Description>Suburb/Town/City cannot contain state code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)[0-9](.*)$')                    ) "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><isns:Description>Suburb/Town/City cannot contain numeric characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428041</isns:Code><isns:Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428036</isns:Code><isns:Description>Invalid State code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The State code in the Current address is not Valid (Valid States are "QLD ","NSW ","VIC ","SA ","WA ","NT ","ACT ","TAS)</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template><xsl:template match="text()" priority="-1" mode="M12"/><xsl:template match="@*|node()" priority="-2" mode="M12"><xsl:apply-templates select="*" mode="M12"/></xsl:template>

<!--
                PATTERN FieldLengthsField Lengths Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1003" mode="M13">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs38[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000020</isns:Code><isns:Description>Rental income is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</xsl:text></Location><isns:LongDescription>Rental income must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs39[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000021</isns:Code><isns:Description>Other rental related income is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount</xsl:text></Location><isns:LongDescription>Other rental related income must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs40[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000022</isns:Code><isns:Description>Advertising for tenants is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount</xsl:text></Location><isns:LongDescription>Advertising for tenants must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs41[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000023</isns:Code><isns:Description>Body corporate fees is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount</xsl:text></Location><isns:LongDescription>Body corporate fees must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs42[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000024</isns:Code><isns:Description>Borrowing expenses is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount</xsl:text></Location><isns:LongDescription>Borrowing expenses must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs43[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000025</isns:Code><isns:Description>Cleaning is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount</xsl:text></Location><isns:LongDescription>Cleaning must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs44[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000026</isns:Code><isns:Description>Council rates is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount</xsl:text></Location><isns:LongDescription>Council rates must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs45[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000027</isns:Code><isns:Description>Capital allowances (depreciation on plant) is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount</xsl:text></Location><isns:LongDescription>Capital allowances (depreciation on plant) must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs46[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000028</isns:Code><isns:Description>Gardening/lawn mowing is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount</xsl:text></Location><isns:LongDescription>Gardening/lawn mowing must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs47[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000029</isns:Code><isns:Description>Insurance is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount</xsl:text></Location><isns:LongDescription>Insurance must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs48[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000030</isns:Code><isns:Description>Interest on loans is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount</xsl:text></Location><isns:LongDescription>Interest on loans must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs49[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000031</isns:Code><isns:Description>Land tax is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.00:Expense.LandTax.Amount</xsl:text></Location><isns:LongDescription>Land tax must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs50[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000032</isns:Code><isns:Description>Legal fees is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount</xsl:text></Location><isns:LongDescription>Legal fees must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs51[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000033</isns:Code><isns:Description>Pest control is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount</xsl:text></Location><isns:LongDescription>Pest control must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs52[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000034</isns:Code><isns:Description>Property agent fees/commission is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount</xsl:text></Location><isns:LongDescription>Property agent fees/commission must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs53[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000035</isns:Code><isns:Description>Repairs and maintenance is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount</xsl:text></Location><isns:LongDescription>Repairs and maintenance must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs54[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000036</isns:Code><isns:Description>Capital works deductions (special building write off) is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount</xsl:text></Location><isns:LongDescription>Capital works deductions (special building write off) must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs55[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000037</isns:Code><isns:Description>Stationery, telephone, and postage is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount</xsl:text></Location><isns:LongDescription>Stationery, telephone, and postage must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs56[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000038</isns:Code><isns:Description>Travel expenses is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr1.02.00:Expense.Travel.Amount</xsl:text></Location><isns:LongDescription>Travel expenses must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs57[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000039</isns:Code><isns:Description>Water charges is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Water.Amount</xsl:text></Location><isns:LongDescription>Water charges must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs58[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000040</isns:Code><isns:Description>Sundry rental expenses is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount</xsl:text></Location><isns:LongDescription>Sundry rental expenses must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs59[not(matches(.,'^(-)?[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000041</isns:Code><isns:Description>Net rent is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</xsl:text></Location><isns:LongDescription>Net rent may be signed, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs25                         [                           string-length(.) &gt; 2                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000042</isns:Code><isns:Description>Number of weeks property was rented this year must not exceed 2 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeks.Count</xsl:text></Location><isns:LongDescription>For Number of weeks property was rented this year, the maximum allowable characters for this form is 2</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs35[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000129</isns:Code><isns:Description>Value of capital works deductions (special building write-off) recouped on the sale of the property is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount</xsl:text></Location><isns:LongDescription>Value of capital works deductions (special building write-off) recouped on the sale of the property may be signed, not exceed 11 digits; no other characters are allowed except for the preceding sign</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M13"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1002" mode="M13">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 38                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500018</isns:Code><isns:Description>Address Line 1 must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Address Line 1, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M13"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M13">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 38                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500019</isns:Code><isns:Description>Address Line 2 must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Address Line 2, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M13"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M13">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 27                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500020</isns:Code><isns:Description>Suburb/Town/City must not exceed 27 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Locality Name, the maximum allowable characters for this form is 27</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M13"/></xsl:template><xsl:template match="text()" priority="-1" mode="M13"/><xsl:template match="@*|node()" priority="-2" mode="M13"><xsl:apply-templates select="*" mode="M13"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M14">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs12[not(@i:nil='true')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000004</isns:Code><isns:Description>Entity Type must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.21:Party.Type.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs38[not(@i:nil='true')])                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000013</isns:Code><isns:Description>Rental income must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs59[not(@i:nil='true')])                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000014</isns:Code><isns:Description>Net rent must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs17[not(@i:nil='true') and string-length(.) != 0])                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000015</isns:Code><isns:Description>Rental Property - Address line 1 must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs19[not(@i:nil='true') and string-length(.) != 0])                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000016</isns:Code><isns:Description>Rental Property - Suburb/Town must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not($rs20[not(@i:nil='true') and string-length(.) != 0])                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000017</isns:Code><isns:Description>Rental Property - Postcode must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Postcode.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not($rs21[not(@i:nil='true')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000018</isns:Code><isns:Description>Rental Property - State must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not($rs24[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000019</isns:Code><isns:Description>Date property first earned rental income must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not($rs25[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000043</isns:Code><isns:Description>Number of weeks property was rented this year must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeks.Count</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M14"/></xsl:template><xsl:template match="text()" priority="-1" mode="M14"/><xsl:template match="@*|node()" priority="-2" mode="M14"><xsl:apply-templates select="*" mode="M14"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs12                         [                           . != 117                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000003</isns:Code><isns:Description>Entity Type is invalid. The only valid code for this submission is 117.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.21:Party.Type.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="endDate" select="xbrli:context[@id = $RP.ContextId]/xbrli:period/xbrli:endDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs24                         [                           function:IsDate1GreaterThanDate2(.,$endDate[1])                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000009</isns:Code><isns:Description>Date property first earned rental income must be prior to form submission date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date</xsl:text></Location><isns:LongDescription>The date entered is a future date. Date property first earned rental income cannot be any day in the future.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs12 = '117' and                         (                             $rs27[not(@i:nil='true')]                             or                             $rs28[not(@i:nil='true')]                             or                             $rs29[not(@i:nil='true')]                             or                             $rs30[not(@i:nil='true')]                             or                             $rs31[not(@i:nil='true')]                             or                             $rs32[not(@i:nil='true')]                             or                             $rs33[not(@i:nil='true')]                             or                             $rs34[not(@i:nil='true')]                             or                             $rs35[not(@i:nil='true')]                             or                             $rs36[not(@i:nil='true')]                             or                             $rs14[not(@i:nil='true') and string-length(.) != 0]                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000011</isns:Code><isns:Description>The Non Individuals only section - Trusts and Partnerships cannot be populated</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</xsl:text></Location><isns:LongDescription>When Entity Type code is equal to 117 (for individual), then all fields in the Non Individuals only section - Trusts and Partnerships must not be populated</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="totalSum" select="sum($rs38|$rs39) -                                  sum($rs40|$rs41|$rs42|$rs43|$rs44|$rs45|$rs46|$rs47|$rs48|$rs49|$rs50|$rs51|$rs52|$rs53|$rs54|$rs55|$rs56|$rs57|$rs58)"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          $rs59[not(@i:nil='true')]                          and                            (                              sum($rs59) &lt; $totalSum - 1                               or                               sum($rs59) &gt; $totalSum + 1                           )                                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RS.000012</isns:Code><isns:Description>Net rent is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</xsl:text></Location><isns:LongDescription>The net rental income figure is not equal to the sum of rental income less the sum of rental expenses</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text" priority="1001" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            matches(upper-case(.),'^(.*)(C/-)(.*)$')                             and                             not($rs18[not(@i:nil='true') and string-length(.) != 0])                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428026</isns:Code><isns:Description>C/- must be followed by a Name and the Address on line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                         matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or                         matches(.,'^(.*)( C/O| C/| Care Of)$','i') or                         matches(.,'^(C/O|C/|Care Of|CO)$','i')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000406</isns:Code><isns:Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line2.Text" priority="1000" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or                        matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or                        matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or                        matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000408</isns:Code><isns:Description>'Care of' is not valid for address line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template><xsl:template match="text()" priority="-1" mode="M15"/><xsl:template match="@*|node()" priority="-2" mode="M15"><xsl:apply-templates select="*" mode="M15"/></xsl:template></xsl:stylesheet>