﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.RS.000003
             ELS Ref: V35
             
             IF ([rs12] <> "117")
               RETURN VALIDATION MESSAGE
             ENDIF
             
             [rs12] = pyde.xx.xx:Party.Type.Code
    -->
    <assert id="VR.ATO.RS.000003" diagnostics="DVR.ATO.RS.000003"
            test="not(
                        $rs12
                        [
                          . != 117
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000009
         ELS Ref: N/A
             
         IF ([rs24] > RP:period.endDate)
            RETURN VALIDATION MESSAGE
         ENDIF
             
         [rs24] = bafot.xx.xx:RealEstateProperty.RentalIncomeFirstEarned.Date
    -->
    <let name="endDate" value="xbrli:context[@id = $RP.ContextId]/xbrli:period/xbrli:endDate" />
    <assert id="VR.ATO.RS.000009" diagnostics="DVR.ATO.RS.000009"
            test="not(
                        $rs24
                        [
                          function:IsDate1GreaterThanDate2(.,$endDate[1])
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000011
         ELS Ref: N/A
         
         IF ([rs12] = "117" AND 
            (
                [rs27] <> NULL OR [rs28] <> NULL OR [rs29] <> NULL OR [rs30] <> NULL OR [rs31] <> NULL OR 
                [rs32] <> NULL OR [rs33] <> NULL OR [rs34] <> NULL OR [rs35] <> NULL OR [rs36] <> NULL OR 
                [rs14] <> NULLORBLANK))
            RETURN VALIDATION MESSAGE
         ENDIF
             
         [rs12] = pyde.xx.xx:Party.Type.Code
         [rs14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
         [rs27] = bafot.xx.xx:RealEstateProperty.RentalWeeksAvailable.Count
         [rs28] = bafot.xx.xx:RealEstateProperty.Ownership.Percent
         [rs29] = bafot.xx.xx:RealEstateProperty.Acquisition.Date
         [rs30] = bafpo7.xx.xx:Assets.Investment.RealEstatePropertyPurchase.Amount
         [rs31] = bafot.xx.xx:RealEstateProperty.Disposal.Date
         [rs32] = bafpo7.xx.xx:Assets.Investment.RealEstatePropertySale.Amount
         [rs33] = bafpr2.xx.xx:Income.RealEstateProperty.CapitalGainsNet.Amount
         [rs34] = bafpr2.xx.xx:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
         [rs35] = bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
         [rs36] = bafot.xx.xx:RealEstateProperty.LoanRenegotiated.Indicator
    -->
    <assert id="VR.ATO.RS.000011" diagnostics="DVR.ATO.RS.000011"
            test="not(
                        $rs12 = '117' and
                        (
                            $rs27[not(@i:nil='true')]
                            or
                            $rs28[not(@i:nil='true')]
                            or
                            $rs29[not(@i:nil='true')]
                            or
                            $rs30[not(@i:nil='true')]
                            or
                            $rs31[not(@i:nil='true')]
                            or
                            $rs32[not(@i:nil='true')]
                            or
                            $rs33[not(@i:nil='true')]
                            or
                            $rs34[not(@i:nil='true')]
                            or
                            $rs35[not(@i:nil='true')]
                            or
                            $rs36[not(@i:nil='true')]
                            or
                            $rs14[not(@i:nil='true') and string-length(.) != 0]
                        )
                     )" />


    <!-- Rule ID: VR.ATO.RS.000012
         ELS Ref: N/A
                      
         IF (
                [rs59] <>  NULL AND 
                [rs59] <>
                ([rs38] + [rs39]) - 
                ([rs40] + [rs41] + [rs42] + [rs43] + [rs44] + [rs45] + [rs46] + [rs47] + 
                 [rs48] + [rs49] + [rs50] + [rs51] + [rs52] + [rs53] + [rs54] + [rs55] + [rs56] + [rs57] + [rs58]
                ) +/- 1 
             )
                      
         [rs38] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
         [rs39] = bafpr2.xx.xx:Income.RealEstateProperty.RentalRelatedOther.Amount
         [rs40] = bafpr2.xx.xx:Expense.RealEstateProperty.Marketing.Amount
         [rs41] = bafpr2.xx.xx:Expense.RealEstateProperty.BodyCorporate.Amount
         [rs42] = bafpr2.xx.xx:Expense.RealEstateProperty.Borrowing.Amount
         [rs43] = bafpr2.xx.xx:Expense.RealEstateProperty.Cleaning.Amount
         [rs44] = bafpr2.xx.xx:Expense.RealEstateProperty.CouncilRates.Amount
         [rs45] = bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
         [rs46] = bafpr2.xx.xx:Expense.RealEstateProperty.Gardening.Amount
         [rs47] = bafpr2.xx.xx:Expense.RealEstateProperty.Insurance.Amount
         [rs48] = bafpr2.xx.xx:Expense.RealEstateProperty.LoanInterest.Amount
         [rs49] = bafpr1.xx.xx:Expense.LandTax.Amount
         [rs50] = bafpr2.xx.xx:Expense.RealEstateProperty.LegalFees.Amount
         [rs51] = bafpr2.xx.xx:Expense.RealEstateProperty.PestControl.Amount
         [rs52] = bafpr2.xx.xx:Expense.RealEstateProperty.AgentFeesCommission.Amount
         [rs53] = bafpr2.xx.xx:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
         [rs54] = bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
         [rs55] = bafpr2.xx.xx:Expense.RealEstateProperty.OfficeSupplies.Amount
         [rs56] = bafpr1.xx.xx:Expense.Travel.Amount
         [rs57] = bafpr2.xx.xx:Expense.RealEstateProperty.Water.Amount
         [rs58] = bafpr2.xx.xx:Expense.RealEstateProperty.Sundry.Amount
         [rs59] = bafpr2.xx.xx:Income.RealEstateProperty.RentalNet.Amount
    -->

    <let name="totalSum" value="sum($rs38|$rs39) - 
                                sum($rs40|$rs41|$rs42|$rs43|$rs44|$rs45|$rs46|$rs47|$rs48|$rs49|$rs50|$rs51|$rs52|$rs53|$rs54|$rs55|$rs56|$rs57|$rs58)" />

    <assert id="VR.ATO.RS.000012" diagnostics="DVR.ATO.RS.000012"
            test="not(
	                        $rs59[not(@i:nil='true')]
	                        and 
                          (
	                            sum($rs59) &lt; $totalSum - 1
                              or
                              sum($rs59) > $totalSum + 1
                          )                 
                      )"/>


    <!-- Rule ID: VR.ATO.RS.000044
         ELS Ref: V1401A

		    IF ([rs31] = NULL AND ([rs32] <> NULL OR [rs34] <> NULL OR [rs35] <> NULL))
		      RETURN VALIDATION MESSAGE
		    ENDIF

		    [rs31] = bafot.xx.xx:RealEstateProperty.Disposal.Date
		    [rs32] = bafpo7.xx.xx:Assets.Investment.RealEstatePropertySale.Amount
		    [rs34] = bafpr2.xx.xx:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
		    [rs35] = bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
    -->

    <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
    <!--<assert id="VR.ATO.RS.000044" diagnostics="DVR.ATO.RS.000044"
            test="not(
                          not($rs31[not(@i:nil='true')])
                          and
                          (
                              $rs32[not(@i:nil='true')]
                              or
                              $rs34[not(@i:nil='true')]
                              or
                              $rs35[not(@i:nil='true')]
                           )                           
                         )"/>-->


    <!-- Rule ID: VR.ATO.RS.000045
         ELS Ref: V1401B

		    IF ([rs31] <> NULL AND ([rs32] = NULL OR [rs34] = NULL OR [rs35] = NULL))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [rs31] = bafot.xx.xx:RealEstateProperty.Disposal.Date
		    [rs32] = bafpo7.xx.xx:Assets.Investment.RealEstatePropertySale.Amount
		    [rs34] = bafpr2.xx.xx:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
		    [rs35] = bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
    -->
    
    <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
    <!--<assert id="VR.ATO.RS.000045" diagnostics="DVR.ATO.RS.000045"
            test="not(
                          $rs31[not(@i:nil='true')]
                          and
                          (
                              not($rs32[not(@i:nil='true')])
                              or
                              not($rs34[not(@i:nil='true')])
                              or
                              not($rs35[not(@i:nil='true')])
                           )                           
                         )"/>-->


    <!-- Rule ID: VR.ATO.RS.000046
         ELS Ref: V1418

		    IF ([rs33] = NULL AND ([rs29] > CONVERT_TO_DATE(19,09,1985) AND [rs31] <> NULL))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [rs29] = bafot.xx.xx:RealEstateProperty.Acquisition.Date
		    [rs31] = bafot.xx.xx:RealEstateProperty.Disposal.Date
		    [rs33] = bafpr2.xx.xx:Income.RealEstateProperty.CapitalGainsNet.Amount
    -->
    
    <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
    <!--<assert id="VR.ATO.RS.000046" diagnostics="DVR.ATO.RS.000046"
            test="not(
                          not($rs33[not(@i:nil='true')])
                          and
                          $rs31[not(@i:nil='true')]
                          and                          
                          $rs29[function:IsDate1GreaterThanDate2(., '1985-09-19')]
                     )"/>-->

    <!-- Rule ID: VR.ATO.RS.000047
         ELS Ref: V1400

        IF ([rs31] <> NULL) AND ([rs31] < RP:period.startDate OR [rs31] > RP:period.endDate)
		      RETURN VALIDATION MESSAGE
		    ENDIF

		    [rs31] = bafot.xx.xx:RealEstateProperty.Disposal.Date		    
    -->

    <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
    <!--<let name="startDateRP" value="$RP.Context/xbrli:period/xbrli:startDate"/>
    <let name="endDateRP" value="$RP.Context/xbrli:period/xbrli:endDate"/>

    <assert id="VR.ATO.RS.000047" diagnostics="DVR.ATO.RS.000047"
            test="not(
                          $rs31[not(@i:nil='true')]
                          and
                          $rs31
                          [
                              function:IsDate1GreaterThanDate2($startDateRP[1], .)
                              or
                              function:IsDate1GreaterThanDate2(., $endDateRP[1])
                          ]
                     )"/>-->

  </rule>

  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text">

    <!-- Rule ID: VR.ATO.GEN.428026
         ELS Ref: V1220
        
        IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "C/-") AND (pyde.xx.xx:AddressDetails.Line 2.Text = NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF  
    -->
    <assert id="VR.ATO.GEN.428026" diagnostics="DVR.ATO.GEN.428026"
                test="not(
                           matches(upper-case(.),'^(.*)(C/-)(.*)$') 
                           and 
                           not($rs18[not(@i:nil='true') and string-length(.) != 0])
                         )"/>


    <!-- Rule ID: VR.ATO.GEN.000406
         ELS Ref: V1213
         
        IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) AND 
             (pyde.xx.xx:AddressDetails.Line1.Text STARTSWITH SET("C/O ","C/ ","Care Of ","CO ")) OR 
             (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS SET(" C/O "," C/ "," Care Of "))
            RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.GEN.000406" diagnostics="DVR.ATO.GEN.000406"
             test="not(
                        matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or
                        matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or
                        matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                        matches(.,'^(C/O|C/|Care Of|CO)$','i')
                      )"/>
  </rule>

  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line2.Text">

    <!-- Rule ID: VR.ATO.GEN.000408
           ELS Ref: V1214
         
          IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) AND 
             (pyde.xx.xx:AddressDetails.Line2.Text STARTSWITH SET("C/- ","C/O ","C/ ","Care Of ","CO ") OR 
              pyde.xx.xx:AddressDetails.Line2.Text CONTAINS SET(" C/- "," C/O "," C/ "," Care Of "))
            RETURN VALIDATION MESSAGE
          ENDIF
      -->
    <assert id="VR.ATO.GEN.000408" diagnostics="DVR.ATO.GEN.000408"
            test="not(
                       matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or
                       matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or
                       matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                       matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')
                     )"/>

  </rule>

</pattern>
