﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldLengths" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Lengths Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.RS.000020
         ELS Tag: V7
         
         IF [rs38] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs38] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
    -->
    <assert id="VR.ATO.RS.000020" diagnostics="DVR.ATO.RS.000020"
            test="not(
                        $rs38[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.RS.000021
         ELS Tag: V7
         
         IF [rs39] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs39] = bafpr2.xx.xx:Income.RealEstateProperty.RentalRelatedOther.Amount
    -->
    <assert id="VR.ATO.RS.000021" diagnostics="DVR.ATO.RS.000021"
            test="not(
                        $rs39[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000022
         ELS Tag: V7
         
         IF [rs40] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs40] = bafpr2.xx.xx:Expense.RealEstateProperty.Marketing.Amount
    -->
    <assert id="VR.ATO.RS.000022" diagnostics="DVR.ATO.RS.000022"
            test="not(
                        $rs40[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000023
         ELS Tag: V7
         
         IF [rs41] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs41] = bafpr2.xx.xx:Expense.RealEstateProperty.BodyCorporate.Amount
    -->
    <assert id="VR.ATO.RS.000023" diagnostics="DVR.ATO.RS.000023"
            test="not(
                        $rs41[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000024
         ELS Tag: V7
         
         IF [rs42] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs42] = bafpr2.xx.xx:Expense.RealEstateProperty.Borrowing.Amount
    -->
    <assert id="VR.ATO.RS.000024" diagnostics="DVR.ATO.RS.000024"
            test="not(
                        $rs42[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000025
         ELS Tag: V7
         
         IF [rs43] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs43] = bafpr2.xx.xx:Expense.RealEstateProperty.Cleaning.Amount
    -->
    <assert id="VR.ATO.RS.000025" diagnostics="DVR.ATO.RS.000025"
            test="not(
                        $rs43[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000026
         ELS Tag: V7
         
         IF [rs44] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs44] = bafpr2.xx.xx:Expense.RealEstateProperty.CouncilRates.Amount
    -->
    <assert id="VR.ATO.RS.000026" diagnostics="DVR.ATO.RS.000026"
            test="not(
                        $rs44[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000027
         ELS Tag: V7
         
         IF [rs45] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs45] = bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
    -->
    <assert id="VR.ATO.RS.000027" diagnostics="DVR.ATO.RS.000027"
            test="not(
                        $rs45[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000028
         ELS Tag: V7
         
         IF [rs46] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs46] = bafpr2.xx.xx:Expense.RealEstateProperty.Gardening.Amount
    -->
    <assert id="VR.ATO.RS.000028" diagnostics="DVR.ATO.RS.000028"
            test="not(
                        $rs46[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000029
         ELS Tag: V7
         
         IF [rs47] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs47] = bafpr2.xx.xx:Expense.RealEstateProperty.Insurance.Amount
    -->
    <assert id="VR.ATO.RS.000029" diagnostics="DVR.ATO.RS.000029"
            test="not(
                        $rs47[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000030
         ELS Tag: V7
         
         IF [rs48] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs48] = bafpr2.xx.xx:Expense.RealEstateProperty.LoanInterest.Amount
    -->
    <assert id="VR.ATO.RS.000030" diagnostics="DVR.ATO.RS.000030"
            test="not(
                        $rs48[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000031
         ELS Tag: V7
         
         IF [rs49] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs49] = bafpr1.xx.xx:Expense.LandTax.Amount
    -->
    <assert id="VR.ATO.RS.000031" diagnostics="DVR.ATO.RS.000031"
            test="not(
                        $rs49[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000032
         ELS Tag: V7
         
         IF [rs50] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs50] = bafpr2.xx.xx:Expense.RealEstateProperty.LegalFees.Amount
    -->
    <assert id="VR.ATO.RS.000032" diagnostics="DVR.ATO.RS.000032"
            test="not(
                        $rs50[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000033
         ELS Tag: V7
         
         IF [rs51] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs51] = bafpr2.xx.xx:Expense.RealEstateProperty.PestControl.Amount
    -->
    <assert id="VR.ATO.RS.000033" diagnostics="DVR.ATO.RS.000033"
            test="not(
                        $rs51[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000034
         ELS Tag: V7
         
         IF [rs52] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs52] = bafpr2.xx.xx:Expense.RealEstateProperty.AgentFeesCommission.Amount
    -->
    <assert id="VR.ATO.RS.000034" diagnostics="DVR.ATO.RS.000034"
            test="not(
                        $rs52[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000035
         ELS Tag: V7
         
         IF [rs53] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs53] = bafpr2.xx.xx:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
    -->
    <assert id="VR.ATO.RS.000035" diagnostics="DVR.ATO.RS.000035"
            test="not(
                        $rs53[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000036
         ELS Tag: V7
         
         IF [rs54] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs54] = bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
    -->
    <assert id="VR.ATO.RS.000036" diagnostics="DVR.ATO.RS.000036"
            test="not(
                        $rs54[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000037
         ELS Tag: V7
         
         IF [rs55] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs55] = bafpr2.xx.xx:Expense.RealEstateProperty.OfficeSupplies.Amount
    -->
    <assert id="VR.ATO.RS.000037" diagnostics="DVR.ATO.RS.000037"
            test="not(
                        $rs55[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000038
         ELS Tag: V7
         
         IF [rs56] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs56] = bafpr1.xx.xx:Expense.Travel.Amount
    -->
    <assert id="VR.ATO.RS.000038" diagnostics="DVR.ATO.RS.000038"
            test="not(
                        $rs56[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000039
         ELS Tag: V7
         
         IF [rs57] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs57] = bafpr2.xx.xx:Expense.RealEstateProperty.Water.Amount
    -->
    <assert id="VR.ATO.RS.000039" diagnostics="DVR.ATO.RS.000039"
            test="not(
                        $rs57[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000040
         ELS Tag: V7
         
         IF [rs58] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs58] = bafpr2.xx.xx:Expense.RealEstateProperty.Sundry.Amount
    -->
    <assert id="VR.ATO.RS.000040" diagnostics="DVR.ATO.RS.000040"
            test="not(
                        $rs58[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000041
         ELS Tag: V7
         
         IF [rs59] <> MONETARY(S,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs59] = bafpr2.xx.xx:Income.RealEstateProperty.RentalNet.Amount
    -->
    <assert id="VR.ATO.RS.000041" diagnostics="DVR.ATO.RS.000041"
            test="not(
                        $rs59[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.RS.000042
         ELS Tag: V7
         
         IF LENGTH([rs25]) > 2
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs25] = bafot.xx.xx:RealEstateProperty.RentalWeeks.Count
    -->
    <assert id="VR.ATO.RS.000042" diagnostics="DVR.ATO.RS.000042"
            test="not(
                        $rs25
                        [
                          string-length(.) > 2
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.RS.000125
         ELS Tag: V7
         
         IF [rs34] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs34] = bafpr2.xx.xx:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
    -->

    <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
    <!--<assert id="VR.ATO.RS.000125" diagnostics="DVR.ATO.RS.000125"
            test="not(
                        $rs34[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />-->


    <!-- Rule ID: VR.ATO.RS.000126
         ELS Tag: V7
         
         IF [rs32] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
         ENDIF

         [rs32] = bafpo7.xx.xx:Assets.Investment.RealEstatePropertySale.Amount
    -->

    <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
    <!--<assert id="VR.ATO.RS.000126" diagnostics="DVR.ATO.RS.000126"
            test="not(
                        $rs32[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />-->


    <!-- Rule ID: VR.ATO.RS.000127
         ELS Tag: V7
         
         IF [rs30] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

         [rs30] = bafpo7.xx.xx:Assets.Investment.RealEstatePropertyPurchase.Amount
    -->

    <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
    <!--<assert id="VR.ATO.RS.000127" diagnostics="DVR.ATO.RS.000127"
            test="not(
                        $rs30[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />-->


    <!-- Rule ID: VR.ATO.RS.000128
         ELS Tag: V7
         
         IF [rs33] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

         [rs33] = bafpr2.xx.xx:Income.RealEstateProperty.CapitalGainsNet.Amount
    -->

    <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
    <!--<assert id="VR.ATO.RS.000128" diagnostics="DVR.ATO.RS.000128"
            test="not(
                        $rs33[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )" />-->


    <!-- Rule ID: VR.ATO.RS.000129
         ELS Tag: V7
         
         IF [rs35] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

         [rs35] = bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
    -->
    <assert id="VR.ATO.RS.000129" diagnostics="DVR.ATO.RS.000129"
            test="not(
                        $rs35[not(matches(.,'^[0-9]{1,11}$'))]
                     )" />
    
  </rule>
  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500018
         ELS Tag: V7
         
         IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38
               RETURN VALIDATION MESSAGE
          ENDIF
    -->
    <assert id="VR.ATO.GEN.500018" diagnostics="DVR.ATO.GEN.500018"
            test="not(
                        string-length(.) > 38
                     )" />
    
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500019
         ELS REF: V7
         
        IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500019" diagnostics="DVR.ATO.GEN.500019"
            test="not(
                        string-length(.) > 38
                      )"/>
  </rule>
  
  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500020
         ELS Tag: V7
         
         IF LENGTH(pyde.xx.xx:AddressDetails.LocalityName.Text) > 27
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500020" diagnostics="DVR.ATO.GEN.500020"
            test="not(
                        string-length(.) > 27
                     )" />
    
  </rule>
    
</pattern>