﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500026
         ELS Ref: V9
         
         IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line1.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500026" diagnostics="DVR.ATO.GEN.500026"
            test="not(
                        not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                     )" />

  </rule>

  
  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true') and string-length(.) != 0]">
    
    <!-- Rule ID: VR.ATO.GEN.500027
         ELS Ref: V9
         
      IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line2.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert  id="VR.ATO.GEN.500027" diagnostics="DVR.ATO.GEN.500027"
             test="not(
                      not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                      )" />
    
  </rule>

  
  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true') and string-length(.) != 0]">
    
    <!-- Rule ID: VR.ATO.GEN.500028
         ELS Ref: V9
         
         IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.LocalityName.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.GEN.500028" diagnostics="DVR.ATO.GEN.500028"
             test="not(
                      not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                      ) "/>

    
    <!-- Rule ID: VR.ATO.GEN.428230
         ELS Ref: V210B
         
         IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT ","ACT","TAS"))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.GEN.428230" diagnostics="DVR.ATO.GEN.428230"
             test="not(
                        matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i')
                      ) "/>


    <!-- Rule ID: VR.ATO.GEN.428257
         ELS Ref: V210B
         
         IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT ","ACT","TAS"))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.GEN.428257" diagnostics="DVR.ATO.GEN.428257"
             test="not(
                        matches(.,'^(.*)[0-9](.*)$')
                   ) "/>
  </rule>

  
  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    
    <!-- Rule ID: VR.ATO.GEN.428041
         ELS Ref: V35

        IF (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Postcode.Text  <> SET(0200-9999))
           RETURN VALIDATION MESSAGE
        ENDIF
     -->
    <assert  id="VR.ATO.GEN.428041" diagnostics="DVR.ATO.GEN.428041"
             test="not(
                       not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))
                      )"/>

  </rule>

  
  <rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428036
         ELS Ref: V35
        
        IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
        ENDIF
        
     -->
    <assert  id="VR.ATO.GEN.428036" diagnostics="DVR.ATO.GEN.428036"
             test="not(
                       not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))
                      )"/>

  </rule>


  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<rule context="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    --><!-- Rule ID: VR.ATO.GEN.500023
           ELS Ref: V9
         
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) 
              AND 
             (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
          ENDIF            
    --><!--
    <assert id="VR.ATO.GEN.500023" diagnostics="DVR.ATO.GEN.500023"
            test="not(
                          matches(.,'[{}|_\\#]')
                    )"/>

  </rule>-->

</pattern>