﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.RS.000004
         ELS Tag: V17
         
         IF ([rs12] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs12] = pyde.xx.xx:Party.Type.Code
    -->
    <assert id="VR.ATO.RS.000004" diagnostics="DVR.ATO.RS.000004"
            test="not(
                        not($rs12[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.RS.000013
         ELS Tag: V17
         
         IF ([rs38] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs38] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
    -->
    <assert id="VR.ATO.RS.000013" diagnostics="DVR.ATO.RS.000013"
            test="not(
                        not($rs38[not(@i:nil='true')])    
                     )" />


    <!-- Rule ID: VR.ATO.RS.000014
         ELS Tag: V17
         
         IF ([rs59] = NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs59] = bafpr2.xx.xx:Income.RealEstateProperty.RentalNet.Amount
    -->
    <assert id="VR.ATO.RS.000014" diagnostics="DVR.ATO.RS.000014"
            test="not(
                        not($rs59[not(@i:nil='true')])    
                     )" />


    <!-- Rule ID: VR.ATO.RS.000015
         ELS Tag: V17
         
         IF ([rs17] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs17] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.RS.000015" diagnostics="DVR.ATO.RS.000015"
            test="not(
                        not($rs17[not(@i:nil='true') and string-length(.) != 0])    
                     )" />


    <!-- Rule ID: VR.ATO.RS.000016
         ELS Tag: V17
         
         IF ([rs19] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs19] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.RS.000016" diagnostics="DVR.ATO.RS.000016"
            test="not(
                        not($rs19[not(@i:nil='true') and string-length(.) != 0])    
                     )" />


    <!-- Rule ID: VR.ATO.RS.000017
         ELS Tag: V17
         
         IF ([rs20] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs20] = pyde.xx.xx:AddressDetails.Postcode.Text
    -->
    <assert id="VR.ATO.RS.000017" diagnostics="DVR.ATO.RS.000017"
            test="not(
                       not($rs20[not(@i:nil='true') and string-length(.) != 0])    
                     )" />
    
        
    <!-- Rule ID: VR.ATO.RS.000018
         ELS Tag: V17
         
         IF ([rs21] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs21] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
    -->
    <assert id="VR.ATO.RS.000018" diagnostics="DVR.ATO.RS.000018"
            test="not(
                       not($rs21[not(@i:nil='true')])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.RS.000019
         ELS Tag: V17
         
         IF ([rs24] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs24] = bafot.xx.xx:RealEstateProperty.RentalIncomeFirstEarned.Date
    -->
    <assert id="VR.ATO.RS.000019" diagnostics="DVR.ATO.RS.000019"
            test="not(
                       not($rs24[not(@i:nil='true') and string-length(.) != 0])
                     )" />    
    
    
    <!-- Rule ID: VR.ATO.RS.000043
         ELS Tag: V17
         
         IF ([rs25] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [rs25] = bafot.xx.xx:RealEstateProperty.RentalWeeks.Count
    -->
    <assert id="VR.ATO.RS.000043" diagnostics="DVR.ATO.RS.000043"
            test="not(
                       not($rs25[not(@i:nil='true') and string-length(.) != 0])
                     )" />      
  </rule>

</pattern>
