﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <diagnostic id="DVR.ATO.RS.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000003</Code>
      <Description>Entity Type is invalid. The only valid code for this submission is 117.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.21:Party.Type.Code</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000004</Code>
      <Description>Entity Type must be provided</Description>
      <LongDescription />
      <Severity>Error</Severity>
      <Location>pyde.02.21:Party.Type.Code</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000009</Code>
      <Description>Date property first earned rental income must be prior to form submission date</Description>
      <LongDescription>The date entered is a future date. Date property first earned rental income cannot be any day in the future.</LongDescription>
      <Severity>Error</Severity>
      <Location>bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000011</Code>
      <Description>The Non Individuals only section - Trusts and Partnerships cannot be populated</Description>
      <LongDescription>When Entity Type code is equal to 117 (for individual), then all fields in the Non Individuals only section - Trusts and Partnerships must not be populated</LongDescription>
      <Severity>Error</Severity>
      <Location>bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000012</Code>
      <Description>Net rent is incorrect</Description>
      <LongDescription>The net rental income figure is not equal to the sum of rental income less the sum of rental expenses</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000013</Code>
      <Description>Rental income must be provided</Description>
      <LongDescription />
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000014</Code>
      <Description>Net rent must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000015</Code>
      <Description>Rental Property - Address line 1 must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000016</Code>
      <Description>Rental Property - Suburb/Town must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000017</Code>
      <Description>Rental Property - Postcode must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000018</Code>
      <Description>Rental Property - State must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000019</Code>
      <Description>Date property first earned rental income must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>bafot.02.00:RealEstateProperty.RentalIncomeFirstEarned.Date</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000020</Code>
      <Description>Rental income is not in a valid monetary format</Description>
      <LongDescription>Rental income must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Income.RealEstateProperty.Rental.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000021</Code>
      <Description>Other rental related income is not in a valid monetary format</Description>
      <LongDescription>Other rental related income must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000022" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000022</Code>
      <Description>Advertising for tenants is not in a valid monetary format</Description>
      <LongDescription>Advertising for tenants must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000023</Code>
      <Description>Body corporate fees is not in a valid monetary format</Description>
      <LongDescription>Body corporate fees must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000024</Code>
      <Description>Borrowing expenses is not in a valid monetary format</Description>
      <LongDescription>Borrowing expenses must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000025</Code>
      <Description>Cleaning is not in a valid monetary format</Description>
      <LongDescription>Cleaning must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000026</Code>
      <Description>Council rates is not in a valid monetary format</Description>
      <LongDescription>Council rates must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000027</Code>
      <Description>Capital allowances (depreciation on plant) is not in a valid monetary format</Description>
      <LongDescription>Capital allowances (depreciation on plant) must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr1.02.04:Expense.DepreciationandAmortisation.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000028</Code>
      <Description>Gardening/lawn mowing is not in a valid monetary format</Description>
      <LongDescription>Gardening/lawn mowing must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000029</Code>
      <Description>Insurance is not in a valid monetary format</Description>
      <LongDescription>Insurance must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000030</Code>
      <Description>Interest on loans is not in a valid monetary format</Description>
      <LongDescription>Interest on loans must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000031</Code>
      <Description>Land tax is not in a valid monetary format</Description>
      <LongDescription>Land tax must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr1.02.00:Expense.LandTax.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000032</Code>
      <Description>Legal fees is not in a valid monetary format</Description>
      <LongDescription>Legal fees must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000033</Code>
      <Description>Pest control is not in a valid monetary format</Description>
      <LongDescription>Pest control must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000034</Code>
      <Description>Property agent fees/commission is not in a valid monetary format</Description>
      <LongDescription>Property agent fees/commission must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000035</Code>
      <Description>Repairs and maintenance is not in a valid monetary format</Description>
      <LongDescription>Repairs and maintenance must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000036</Code>
      <Description>Capital works deductions (special building write off) is not in a valid monetary format</Description>
      <LongDescription>Capital works deductions (special building write off) must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000037</Code>
      <Description>Stationery, telephone, and postage is not in a valid monetary format</Description>
      <LongDescription>Stationery, telephone, and postage must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000038</Code>
      <Description>Travel expenses is not in a valid monetary format</Description>
      <LongDescription>Travel expenses must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr1.02.00:Expense.Travel.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000039</Code>
      <Description>Water charges is not in a valid monetary format</Description>
      <LongDescription>Water charges must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.Water.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000040</Code>
      <Description>Sundry rental expenses is not in a valid monetary format</Description>
      <LongDescription>Sundry rental expenses must be unsigned, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000041</Code>
      <Description>Net rent is not in a valid monetary format</Description>
      <LongDescription>Net rent may be signed, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000042</Code>
      <Description>Number of weeks property was rented this year must not exceed 2 characters</Description>
      <LongDescription>For Number of weeks property was rented this year, the maximum allowable characters for this form is 2</LongDescription>
      <Severity>Error</Severity>
      <Location>bafot.02.00:RealEstateProperty.RentalWeeks.Count</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000043</Code>
      <Description>Number of weeks property was rented this year must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
      <Location>bafot.02.00:RealEstateProperty.RentalWeeks.Count</Location>
    </ProcessMessage>
  </diagnostic>

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.RS.000044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000044</Code>
      <Description>Date property was sold (if property disposed of during year) must be present</Description>
      <LongDescription>Date property was sold (if property disposed of during year) must be present if Sale price of property or Value of capital allowances (depreciation on plant) recouped on the sale of the property or Value of capital works deductions (special building write-off) recouped on the sale of the property are present</LongDescription>
      <Severity>Error</Severity>
      <Location>bafot.02.00:RealEstateProperty.Disposal.Date</Location>
    </ProcessMessage>
  </diagnostic>-->

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.RS.000045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000045</Code>
      <Description>Sale price of property or depreciation on plant recouped or special building write-off recouped is required</Description>
      <LongDescription>If Date property was sold (if property disposed of during year) is present then Sale price of property, Value of capital allowances (depreciation on plant) recouped on the sale of the property and Value of capital works deductions (special building write-off) recouped on the sale of the property must be present</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount</Location>
    </ProcessMessage>
  </diagnostic>-->

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.RS.000046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000046</Code>
      <Description>Capital gain/loss on sale of this property is required</Description>
      <LongDescription>If Date property was purchased was after 19/09/1985 and Date property was sold (if property disposed of during year) is populated, then Capital gain/loss on sale of this property is required</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount</Location>
    </ProcessMessage>
  </diagnostic>-->

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.RS.000047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000047</Code>
      <Description>Date property was sold (if property disposed of during year) is incorrect</Description>
      <LongDescription>Date property was sold (if property disposed of during year) must be during the financial Year of return</LongDescription>
      <Severity>Error</Severity>
      <Location>bafot.02.00:RealEstateProperty.Disposal.Date</Location>
    </ProcessMessage>
  </diagnostic>-->

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.RS.000125" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000125</Code>
      <Description>Value of capital allowances (depreciation on plant) recouped on the sale of the property is not in a valid monetary format</Description>
      <LongDescription>Value of capital allowances (depreciation on plant) recouped on the sale of the property must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount</Location>
    </ProcessMessage>
  </diagnostic>-->

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.RS.000126" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000126</Code>
      <Description>Sale price of property is not in a valid monetary format</Description>
      <LongDescription>Sale price of property must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount</Location>
    </ProcessMessage>
  </diagnostic>-->

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.RS.000127" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000127</Code>
      <Description>Purchase price of property is not in a valid monetary format</Description>
      <LongDescription>Purchase price of property must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount</Location>
    </ProcessMessage>
  </diagnostic>-->

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.RS.000128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000128</Code>
      <Description>Capital gain/loss on sale of this property is not in a valid monetary format</Description>
      <LongDescription>Capital gain/loss on sale of this property may be signed, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount</Location>
    </ProcessMessage>
  </diagnostic>-->

  <diagnostic id="DVR.ATO.RS.000129" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000129</Code>
      <Description>Value of capital works deductions (special building write-off) recouped on the sale of the property is not in a valid monetary format</Description>
      <LongDescription>Value of capital works deductions (special building write-off) recouped on the sale of the property may be signed, not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Severity>Error</Severity>
      <Location>bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount</Location>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428026</Code>
      <Description>C/- must be followed by a Name and the Address on line 2</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428041</Code>
      <Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000411</Code>
      <Description>Suburb/Town/City cannot contain state code</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428036</Code>
      <Description>Invalid State code</Description>
      <LongDescription>The State code in the Current address is not Valid (Valid States are "QLD ","NSW ","VIC ","SA ","WA ","NT ","ACT ","TAS)</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000406" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000406</Code>
      <Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000408" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000408</Code>
      <Description>'Care of' is not valid for address line 2</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428257" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000410</Code>
      <Description>Suburb/Town/City cannot contain numeric characters</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500009</Code>
      <Description>Reporting Party Tax file number has failed the algorithm check</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500018</Code>
      <Description>Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>For Address Line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500019</Code>
      <Description>Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>For Address Line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500020</Code>
      <Description>Suburb/Town/City must not exceed 27 characters</Description>
      <LongDescription>For Locality Name, the maximum allowable characters for this form is 27</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!-- Note: Rule has been removed as not for IITR, will be re-enabled at a later stage for PTR and TRT -->
  <!--<diagnostic id="DVR.ATO.GEN.500023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500023</Code>
      <Description>Non-Individual Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>-->

  <diagnostic id="DVR.ATO.GEN.500026" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500026</Code>
      <Description>Address Line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500027</Code>
      <Description>Address Line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500028</Code>
      <Description>Suburb/Town/City contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!--
  <diagnostic id="DVR.ATO.RS.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000001</Code>
      <Description>Invalid context. Period start date must be the same as the Period start date of the parent form.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RS.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000002</Code>
      <Description>Tax file number invalid</Description>
      <LongDescription>The TFN provided for the beneficiary should be the same as the TFN of the parent form</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RS.000005" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000005</Code>
      <Description>Tax File Number must be provided</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  -->
</diagnostics>
